<?php

namespace App\Exports;

use App\Models\Inventory;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\WithMapping;

class InventoryExport implements FromCollection, WithHeadings, ShouldAutoSize, WithStyles, WithMapping
{
    public function collection()
    {
        return Inventory::all();
    }

    public function headings(): array
    {
        return [
            'Quantity',
            'Category & Item Name',
            'Description',
        ];
    }

    public function map($inventory): array
    {
        return [
            $inventory->quantity,
            $inventory->category . ' ' . $inventory->item_name,
            $inventory->unit,
        ];
    }

    public function styles(Worksheet $sheet)
    {
        return [
            // Style the headings
            1 => ['font' => ['bold' => true]],
            'A1:C1' => ['fill' => ['fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID, 'startColor' => ['rgb' => 'FFFF00']]]
        ];
    }
}
