<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\AuditLog;
use Yajra\DataTables\Facades\DataTables;

class LogsController extends Controller
{
    public function index()
    {
        if (request()->ajax()) {
            $logs = AuditLog::all(); // Fetch all logs

            return DataTables::of($logs)
                ->addColumn('actions', function ($log) {
                    return '
                        <button onclick="openModal(\'deleteModal' . $log->id . '\')" class="px-2 py-1 font-bold text-white bg-red-500 rounded hover:bg-red-700">Delete</button>';
                })
                ->addColumn('created_at', function ($log) {
                    return \Carbon\Carbon::parse($log->created_at)->format('F j, Y'); // Format as needed
                })
                ->rawColumns(['actions']) // Specify which columns are raw HTML
                ->make(true); // Format the response as JSON for DataTables
        }

        return view('CMS.Logs.viewlogs'); // Adjust the view path as necessary
    }
    public function delete($id)
    {
        $log = AuditLog::findOrFail($id);
        $log->delete();

        return redirect()->back()->with('success', 'Log deleted successfully.');
    }

    // Method to delete all log entries
    public function deleteAll()
    {
        AuditLog::truncate(); // Deletes all logs

        return redirect()->back()->with('success', 'All logs deleted successfully.');
    }
}
