<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use HasFactory;

    protected $fillable = [
        'complete_name',
        'address',
        'contact_no',
        'salary_rate',
        'position',
        'date_hired',
        'employee_type',
        'clearance',

    ];

    public function deductions()
    {
        return $this->hasMany(Deduction::class);
    }

    public function loans()
    {
        return $this->hasMany(Loan::class);
    }

    public function payrolls()
    {
        return $this->hasMany(Payroll::class);
    }

    public function attendances()
    {
        return $this->hasMany(Attendance::class);
    }
}
