<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MiscellaneousFee extends Model
{
    use HasFactory;

    // Specify the table associated with the model
    protected $table = 'miscellaneous_fee';

    // Specify the attributes that are mass assignable
    protected $fillable = [
        'property_id',
        'type',
        'amount',
        'amount_paid',
        'status',
        'notes',
        'date',
    ];

    // Define the relationship with the Property model
    public function property()
    {
        return $this->belongsTo(Property::class, 'property_id');
    }
}
