<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    protected $primaryKey = 'payment_id'; // Assuming 'payment_id' is the primary key
    protected $table = 'payment';
    protected $fillable = [
        'lease_id',
        'payment_date',
        'Amount',
        'status',
        'billing_notes',
    ];
    protected $dates = ['payment_date']; // Ensure payment_date is cast to Carbon

    public function lease()
    {
        return $this->belongsTo(Lease::class, 'lease_id', 'lease_id');
    }

    public function electricPayments()
    {
        return $this->hasMany(Electricbill::class, 'payment_id', 'payment_id');
    }

    public function waterPayments()
    {
        return $this->hasMany(Waterbill::class, 'payment_id', 'payment_id');
    }
    public function additionalFees()
    {
        return $this->hasMany(AdditionalFee::class, 'billing_id');
    }
}
