<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Payroll extends Model
{
    use HasFactory;

    protected $table = 'payroll';
    protected $fillable = [
        'employee_id',
        'payroll_date',
        'days_worked',
        'gross_earnings',
        'bonuses',
        'cash_advances',
        'sss_deduction',
        'philhealth_deduction',
        'pagibig_deduction',
        'custom_deductions',
        'late_undertime',
        'net_pay',
        'status',
        'notes',
        'start_date',
        'end_date',
    ];


    public function employee()
    {
        return $this->belongsTo(Employee::class);
    }
    public function getCreatedAtFormattedAttribute()
    {
        return Carbon::parse($this->created_at)->format('F j, Y');
    }

    public function getTotalDeductionsAttribute()
    {

        $this->load('employee');


        return $this->employee->deductions->sum('amount') + $this->employee->loans->sum('repayment_amount');
    }
}
