<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Unit extends Model
{
    use HasFactory;
    protected $primaryKey = 'unit_id';
    protected $fillable = ['property_id', 'unit_name', 'size', 'rate_type', 'rate', 'yearly_escalation', 'status'];

    public function property()
    {
        return $this->belongsTo(Property::class);
    }
    public function leases()
    {
        return $this->hasMany(Lease::class, 'unit_id', 'unit_id');
    }
}
