<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Waterbill extends Model
{
    protected $table = 'waterbill';
    protected $fillable = [
        'payment_id',
        'location',
        'consumption',
        'rate',
        'amount',
        'start_date',
        'end_date',
    ];
    protected $dates = ['start_date', 'end_date'];
    protected $primaryKey = 'waterbill_id';

    public function billing()
    {
        return $this->belongsTo(Payment::class, 'payment_id', 'payment_id');
    }
}
