<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->id('client_id');

            $table->string('business_name')->nullable();
            $table->string('business_type')->nullable();
            $table->string('home_address')->nullable();
            $table->string('owners_name')->nullable();
            $table->string('id_type')->nullable();
            $table->string('id_no')->nullable();
            $table->string('contact_no')->nullable();
            $table->string('phone_no')->nullable();
            $table->string('vat')->nullable();
            $table->string('w_holding_tax')->nullable();
            $table->string('email')->nullable();
            $table->timestamps();
        });

        Schema::create('admin', function (Blueprint $table) {
            $table->id('admin_id');
            $table->unsignedBigInteger('user_id');
            $table->string('admin_name')->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('admin');
        Schema::dropIfExists('clients');
        Schema::dropIfExists('users');
    }
};
