<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('waterbill', function (Blueprint $table) {
            $table->id('waterbill_id');
            $table->unsignedBigInteger('payment_id');
            $table->foreign('payment_id')->references('payment_id')->on('payment')->onDelete('cascade');
            $table->text('location');
            $table->string('consumption');
            $table->string('rate');
            $table->string('amount')->nullable();
            $table->date('start_date');
            $table->date('end_date');

            $table->timestamps();
        });
        Schema::create('Electricbill', function (Blueprint $table) {
            $table->id('electricbill_id');
            $table->unsignedBigInteger('payment_id');
            $table->foreign('payment_id')->references('payment_id')->on('payment')->onDelete('cascade');
            $table->text('location');
            $table->string('consumption');
            $table->string('rate');
            $table->string('amount')->nullable();
            $table->date('start_date');
            $table->date('end_date');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
