<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('inventory', function (Blueprint $table) {
            $table->id();
            $table->string('category');
            $table->string('item_name');
            $table->integer('quantity');
            $table->string('unit')->nullable();
            $table->timestamps();
        });

        Schema::create('stock_in_out', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('inventory_id');
            $table->integer('quantity');
            $table->string('type');
            $table->text('notes')->nullable();
            $table->string('date');
            $table->timestamps();

            $table->foreign('inventory_id')->references('id')->on('inventory')->onDelete('cascade');
        });
        Schema::create('consumables', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->integer('quantity');
            $table->date('date');
            $table->decimal('amount_spent', 10, 2);
            $table->text('notes')->nullable();
            $table->timestamps();
        });
    }
};
