<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use App\Models\User;
use App\Models\Property;
use App\Models\Unit;
use App\Models\Client;
use App\Models\Lease; // Include the Lease model

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // Create admin user
        User::create([
            'email' => 'test@gmail.com',
            'email_verified_at' => now(),
            'role' => 'Admin',
            'password' => Hash::make('123'), // Set password to '123'
            'remember_token' => Str::random(10),
        ]);


        // Seed properties, units, and leases
        for ($i = 1; $i <= 1; $i++) {
            // Create property
            $property = Property::create([
                'property_name' => 'MGR Building ',
                'street_address' => 'Matina Crossing ',
                'city' => 'Davao City ',
                'state' => 'Philippines ',
                'zip' => '8000 ',
            ]);

            // Seed 10 units for each property
            for ($j = 1; $j <= 10; $j++) {
                $unit = Unit::create([
                    'property_id' => $property->id,
                    'unit_name' => 'Unit ' . $j,
                    'size' => rand(80, 150), // Example of random size generation
                    'rate_type' => 'Rate base',
                    'rate' => rand(1000, 2000), // Example of random rate generation
                    'yearly_escalation' => 0, // Example of random escalation rate
                    'status' => 'Vacant',
                ]);
            }
        }
    }
}
