@extends('layouts.sidebar')

@section('content')
    <div class="container px-4 mx-auto">
        <div class="flex justify-between py-5 ">
            <div>
                <h2 class="text-2xl font-bold ">Admin Information</h2>
            </div>
            <div> <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
                    onclick="openModal('addItemModal')">Add Admin</button>


            </div>


        </div>

        @if (session('success'))
            <div class="text-center text-red-900 alert alert-success">
                {{ session('success') }}
            </div>
        @endif
        <table id="leaseTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
            <thead class="bg-gray-200">
                <tr>
                    <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Admin Name</th>
                    <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">email</th>
                    <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Action</th>

                </tr>
            </thead>
            <tbody class="text-sm text-gray-600">


            </tbody>
        </table>



        @foreach ($admins as $admin)
            <div id="deleteModal{{ $admin->admin_id }}"
                class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
                <!-- Modal dialog -->
                <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                    <!-- Modal header -->
                    <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                        <h5 class="font-bold text-white">Confirm Delete</h5>
                        <button onclick="closeModal('deleteModal{{ $admin->admin_id }}')"
                            class="text-white">&times;</button>
                    </div>

                    <!-- Modal body -->
                    <div class="px-4 py-4">
                        <p>Are you sure you want to delete this user?</p>
                    </div>

                    <!-- Modal footer -->
                    <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                        <button onclick="closeModal('deleteModal{{ $admin->admin_id }}')"
                            class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                        <!-- Form for delete -->
                        <form id="deleteForm{{ $admin->admin_id }}" action="{{ route('admin.destroy', $admin->admin_id) }}"
                            method="POST">
                            @csrf
                            @method('DELETE')
                            <button type="submit"
                                class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                        </form>
                    </div>
                </div>
            </div>

            <div id="editModal{{ $admin->admin_id }}"
                class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
                <!-- Modal dialog -->
                <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                    <!-- Modal header -->
                    <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                        <h5 class="font-bold text-white">Edit Admin</h5>
                        <button onclick="closeModal('editModal{{ $admin->admin_id }}')" class="text-white">&times;</button>
                    </div>

                    <div class="flex items-center justify-end px-4 py-3 bg-gray-100">


                        <!-- Form for updating admin -->
                        <form action="{{ route('admin.update', $admin->admin_id) }}" method="POST"
                            class="bg-white p-6 rounded shadow-md">
                            @csrf
                            @method('PUT') <!-- Use PUT method for updating -->

                            <!-- Hidden input to pass the admin ID -->
                            <input type="hidden" name="admin_id" value="{{ $admin->admin_id }}">

                            <div class="mb-4">
                                <label for="admin_name" class="block text-gray-700 font-bold mb-2">Admin Name</label>
                                <input type="text" id="admin_name" name="admin_name"
                                    class="border border-gray-300 p-2 w-full"
                                    value="{{ old('admin_name', $admin->admin_name) }}" required>
                            </div>

                            <div class="mb-4">
                                <label for="email" class="block text-gray-700 font-bold mb-2">Email</label>
                                <input type="email" id="email" name="email"
                                    class="border border-gray-300 p-2 w-full"
                                    value="{{ old('email', $admin->user->email) }}" required>
                            </div>

                            <div class="mb-4">
                                <label for="password" class="block text-gray-700 font-bold mb-2">Password</label>
                                <input type="password" id="password" name="password"
                                    class="border border-gray-300 p-2 w-full">
                                <small class="text-gray-500">Leave blank if you do not want to change the
                                    password.</small>
                            </div>

                            <div class="flex items-center justify-between">
                                <button type="submit"
                                    class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
                                    Update Admin
                                </button>
                                <a href="{{ route('admin.index') }}" class="text-blue-500 hover:underline">Back to
                                    Admin List</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        @endforeach


        <div id="addItemModal" class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="w-1/2 mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                    <h5 class="font-bold text-white">Add Client</h5>
                    <button onclick="closeModal1('addItemModal')" class="text-white">&times;</button>
                </div>
                <!-- client.blade.php -->
                <form action="{{ route('admin.store') }}" method="POST" class="bg-white p-6 rounded shadow-md">
                    @csrf

                    <div class="mb-4">
                        <label for="admin_name" class="block text-gray-700 font-bold mb-2">Admin Name</label>
                        <input type="text" id="admin_name" name="admin_name" class="border border-gray-300 p-2 w-full"
                            value="{{ old('admin_name') }}" required>
                    </div>

                    <div class="mb-4">
                        <label for="email" class="block text-gray-700 font-bold mb-2">Email</label>
                        <input type="email" id="email" name="email" class="border border-gray-300 p-2 w-full"
                            value="{{ old('email') }}" required>
                    </div>

                    <div class="mb-4">
                        <label for="password" class="block text-gray-700 font-bold mb-2">Password</label>
                        <input type="password" id="password" name="password" class="border border-gray-300 p-2 w-full"
                            required>
                    </div>

                    <div class="flex items-center justify-between">
                        <button type="submit"
                            class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
                            Create Admin
                        </button>
                        <a href="{{ route('admin.index') }}" class="text-blue-500 hover:underline">Back to Admin List</a>
                    </div>
                </form>
            </div>
        </div>
    @endsection
    @section('scripts')
        <script>
            $(document).ready(function() {
                $('#leaseTable').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: "{{ url('/admin') }}",
                    columns: [{
                            data: 'admin_name',
                            name: 'admin_name'
                        }, {
                            data: 'email',
                            name: 'email'
                        },

                        {
                            data: 'actions',
                            name: 'actions',
                            orderable: false,
                            searchable: false,

                        }
                    ]
                });
            });

            function openDeleteModal(clientId) {
                $('#deleteModal' + clientId).modal('show');

                $('#confirmDelete').on('click', function() {
                    deleteClient(clientId);
                });
            }

            function deleteClient(clientId) {
                $.ajax({
                    url: '/delete-client/' + clientId,
                    type: 'DELETE',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        $('#leaseTable').DataTable().ajax.reload();
                        closeModal('deleteModal' + clientId);
                    }
                });
            }

            function closeModal(modalId) {
                $('#' + modalId).modal('hide');
            }
        </script>






        <script>
            function openModal1(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.remove('hidden');
                modal.classList.add('flex');
            }

            // Function to close a modal
            function closeModal1(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.add('hidden');
                modal.classList.remove('flex');
            }

            // Function to open a modal
            function openModal(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.remove('hidden');
                modal.classList.add('flex');
            }

            // Function to close a modal
            function closeModal(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.add('hidden');
                modal.classList.remove('flex');
            }

            // Function to handle add item form submission
            function submitAddItemForm(event) {
                event.preventDefault();
                var itemName = document.getElementById('item-name').value;
                console.log('Adding item:', itemName);
                document.getElementById('addItemForm').reset(); // Reset form
                closeModal('addItemModal'); // Close modal
            }


            function openEditModal(propertyId) {

                document.getElementById('editItemModal' + propertyId).classList.remove('hidden');
            }


            function closeEditModal(propertyId) {
                // Hide the modal
                document.getElementById('editItemModal' + propertyId).classList.add('hidden');
            }

            // Function to handle form submission (in this case, just closing the modal)
            function submitEditItemForm(event, propertyId) {
                event.preventDefault(); // Prevent form submission

                // In a real scenario without AJAX, you might just close the modal
                closeEditModal(propertyId);
            }
        </script>
    @endsection
