@foreach ($lease as $lease)
    <div id="editItemModal{{ $lease->lease_id }}"
        class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <div class="w-1/2 overflow-y-auto bg-white rounded-lg">
            <!-- Modal header -->
            <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                <h5 class="font-bold text-white">Edit Lease Agreement</h5>
                <button onclick="closeModal('editItemModal{{ $lease->lease_id }}')" class="text-white">&times;</button>
            </div>

            <!-- Edit Lease Form -->
            <form id="editItemForm{{ $lease->lease_id }}" action="{{ route('lease.update', $lease->lease_id) }}"
                method="POST" class="p-6">
                @csrf

                <div class="grid grid-cols-1 gap-6 md:grid-cols-3">

                    <input type="hidden" id="property_id" name="property_id" required
                        value="{{ $lease->property_id }}">
                    <input type="hidden" id="unit_id" name="unit_id" required value="{{ $lease->unit_id }}">

                    <div class="col-span-1">
                        <label for="client_id" class="block mb-2 text-sm font-bold text-gray-700">Tenant
                            Name:</label>
                        <select id="client_id" name="client_id"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            required>
                            <option value="">Select Client</option>
                            @foreach ($editclients as $client)
                                <option value="{{ $client->client_id }}"
                                    {{ $lease->client_id == $client->client_id ? 'selected' : '' }}>
                                    {{ $client->owners_name }}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="col-span-1">
                        <label for="lease_start_date" class="block mb-2 text-sm font-bold text-gray-700">Lease Start
                            Date:</label>
                        <input type="date" id="lease_start_date" name="lease_start_date"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            value="{{ $lease->lease_start_date }}" required>
                    </div>

                    <div class="col-span-1">
                        <label for="rate_type{{ $lease->lease_id }}"
                            class="block mb-2 text-sm font-bold text-gray-700">Contract Type:</label>
                        <select id="rate_type{{ $lease->lease_id }}" name="rate_type"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline">
                            <option value="" disabled>Select Contract Type</option>
                            <option value="Daily" {{ $lease->contract_type == 'Daily' ? 'selected' : '' }}>Daily
                            </option>
                            <option value="Weekly" {{ $lease->contract_type == 'Weekly' ? 'selected' : '' }}>Weekly
                            </option>
                            <option value="Monthly" {{ $lease->contract_type == 'Monthly' ? 'selected' : '' }}>
                                Monthly
                            </option>
                        </select>
                    </div>

                    <div class="col-span-1">
                        <label for="lease_duration" class="block mb-2 text-sm font-bold text-gray-700">Lease
                            Duration:</label>
                        <input type="number" id="lease_duration" name="lease_duration"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="Enter Duration" value="{{ $lease->lease_duration }}" required>
                    </div>

                    <div class="col-span-1">
                        <label for="payment_amount" class="block mb-2 text-sm font-bold text-gray-700">Rent
                            Amount:</label>
                        <input type="text" id="payment_amount" name="payment_amount"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="Enter Monthly Rent Amount" value="{{ $lease->rent_amount }}">
                    </div>

                    <div class="col-span-1">
                        <label for="yearly_escalation{{ $lease->lease_id }}"
                            class="block mb-2 text-sm font-bold text-gray-700">Yearly Escalation:</label>
                        <input type="number" id="yearly_escalation{{ $lease->lease_id }}" name="yearly_escalation"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="Yearly Escalation" value="{{ $lease->yearly_escalation }}">
                    </div>

                    <div class="col-span-1">
                        <label for="terms{{ $lease->lease_id }}"
                            class="block mb-2 text-sm font-bold text-gray-700">Terms:</label>
                        <input type="number" id="terms{{ $lease->lease_id }}" name="terms"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="Terms" value="{{ $lease->terms }}">
                    </div>

                    <div class="col-span-1">
                        <label for="relief_rental" class="block mb-2 text-sm font-bold text-gray-700">Annual (Rental
                            Relief):</label>
                        <input type="text" id="relief_rental" name="relief_rental"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="" value="{{ $lease->relief_rental }}">
                    </div>

                    <div class="col-span-1">
                        <label for="business_start" class="block mb-2 text-sm font-bold text-gray-700">Start of
                            Business:</label>
                        <input type="date" id="business_start" name="business_start"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            value="{{ $lease->business_start ? \Carbon\Carbon::parse($lease->business_start)->format('Y-m-d') : '' }}">
                    </div>


                    <div class="col-span-1">
                        <label for="security_deposit" class="block mb-2 text-sm font-bold text-gray-700">Security
                            Deposit:</label>
                        <input type="text" id="security_deposit" name="security_deposit"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-black rounded shadow-sm focus:outline-none focus:shadow-outline"
                            placeholder="Deposit" value="{{ $lease->security_deposit }}">
                    </div>
                </div>

                <div class="h-auto pt-10 overflow-y-auto">
                    <div class="col-span-3">
                        <label for="utilities{{ $lease->lease_id }}"
                            class="block mb-2 text-sm font-bold text-gray-700">Utilities:</label>
                        <textarea id="utilities{{ $lease->lease_id }}" name="utilities" rows="3"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500">{{ $lease->utilities }}</textarea>
                    </div>

                    <div class="col-span-3">
                        <label for="rules{{ $lease->lease_id }}"
                            class="block mb-2 text-sm font-bold text-gray-700">Rules and Regulations:</label>
                        <textarea id="rules{{ $lease->lease_id }}" name="rules_and_regulations" rows="3"
                            class="w-full px-3 py-2 text-sm text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500">{{ $lease->rules_and_regulations }}</textarea>
                    </div>
                </div>

                <!-- Submit Button -->
                <div class="flex justify-end p-4">
                    <button type="submit"
                        class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">Update Lease
                        Agreement</button>
                </div>
            </form>
        </div>
    </div>






    <div id="cancelModal{{ $lease->lease_id }}"
        class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <div class="w-1/2 bg-white rounded">
            <!-- Modal header -->
            <div class="flex items-center justify-between px-4 py-2 bg-blue-500 rounded-t">
                <h5 class="font-bold text-white">Cancel Lease</h5>
                <button onclick="closeModal('cancelModal{{ $lease->lease_id }}')" class="text-white">&times;</button>
            </div>
            <div class="p-4">
                <p>Are you sure you want to cancel this lease?</p>
            </div>
            <div class="flex justify-end p-4 space-x-2 bg-gray-100 border-t rounded-b">
                <form id="cancelForm" method="POST" action="{{ route('lease.cancel', $lease->lease_id) }}">
                    @csrf
                    <button type="button" onclick="closeModal('cancelModal{{ $lease->lease_id }}')"
                        class="px-4 py-2 font-semibold text-gray-700 bg-gray-200 rounded hover:bg-gray-300">Close</button>
                    <button type="submit"
                        class="px-4 py-2 font-semibold text-white bg-red-500 rounded hover:bg-red-600">Cancel
                        Lease</button>
                </form>
            </div>
        </div>
    </div>



    <div id="viewModal{{ $lease->lease_id }}"
        class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <div class="w-full max-w-3xl overflow-y-auto bg-white border border-gray-300 rounded-lg shadow-lg">
            <!-- Modal header -->
            <div class="px-6 py-4 text-white bg-gray-900 rounded-t-lg">
                <h5 class="text-lg font-bold">Lease Agreement</h5>
            </div>

            <!-- Document Content -->
            <div class="p-6">


                <div class="pb-4 mb-4">
                    <h3 class="mb-2 text-xl font-semibold text-gray-800">Lease Details</h3>
                    <div class="grid grid-cols-1 gap-4 md:grid-cols-2">
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Tenant Name:</strong> <span
                                    class="font-semibold">{{ $lease->client->owners_name ?? 'N/A' }}</span></p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Lease Start Date:</strong> <span
                                    class="font-semibold">{{ \Carbon\Carbon::parse($lease->lease_start_date)->format('F j, Y') }}</span>
                            </p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Contract Type:</strong> <span
                                    class="font-semibold">{{ $lease->contract_type }}</span></p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Lease Duration:</strong> <span
                                    class="font-semibold">{{ $lease->lease_duration }}
                                    {{ $lease->contract_type === 'Daily' ? 'days' : ($lease->contract_type === 'Weekly' ? 'weeks' : 'months') }}</span>
                            </p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Estimated End Date:</strong> <span
                                    class="font-semibold">{{ \Carbon\Carbon::parse($lease->lease_start_date)->addMonths($lease->contract_type === 'Monthly' ? $lease->lease_duration : 0)->addWeeks($lease->contract_type === 'Weekly' ? $lease->lease_duration : 0)->addDays($lease->contract_type === 'Daily' ? $lease->lease_duration : 0)->format('F j, Y') }}</span>
                            </p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Rent Amount:</strong> <span
                                    class="font-semibold">₱{{ number_format($lease->rent_amount, 2) }}</span></p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Yearly Escalation:</strong> <span
                                    class="font-semibold">{{ $lease->yearly_escalation }}%</span></p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Terms:</strong> <span
                                    class="font-semibold">{{ $lease->terms }}</span></p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Start of Business:</strong> <span
                                    class="font-semibold">{{ \Carbon\Carbon::parse($lease->business_start)->format('F j, Y') }}
                                </span>
                            </p>
                        </div>
                        <div class="p-3 border border-gray-200 rounded-lg shadow bg-gray-50">
                            <p class="text-sm text-gray-700"><strong>Security Deposit:</strong> <span
                                    class="font-semibold">₱{{ number_format($lease->security_deposit, 2) }}</span>
                            </p>
                        </div>
                    </div>
                </div>

                <h3 class="mt-4 mb-2 text-lg font-semibold text-gray-800">Additional Information</h3>
                <p class="text-sm text-gray-700"><strong>Utilities:</strong> <span
                        class="font-semibold">{{ $lease->utilities }}</span></p>
                <p class="text-sm text-gray-700"><strong>Rules and Regulations:</strong> <span
                        class="font-semibold">{{ $lease->rules_and_regulations }}</span></p>

                <div class="pt-4 mt-4 border-t border-gray-300">
                    <h3 class="text-lg font-semibold text-gray-800">Acknowledgment</h3>
                    <p class="mt-2 text-sm text-gray-700">
                        By signing this lease agreement, both parties acknowledge their understanding and acceptance
                        of
                        the terms outlined above.
                    </p>
                </div>
            </div>

            <!-- Close Button -->
            <div class="px-8 pb-6">
                <button onclick="closeModal('viewModal{{ $lease->lease_id }}')"
                    class="w-full px-4 py-2 text-white transition duration-200 bg-gray-900 rounded hover:bg-gray-800">Close</button>
            </div>
        </div>
    </div>
@endforeach

<script>
    // Function to open a modal
    function openModal(modalId) {
        var modal = document.getElementById(modalId);
        modal.classList.remove('hidden');
        modal.classList.add('flex');
    }

    // Function to close a modal
    function closeModal(modalId) {
        var modal = document.getElementById(modalId);
        modal.classList.add('hidden');
        modal.classList.remove('flex');
    }
</script>



@foreach ($newpayments as $payment)
    <div id="deleteModal{{ $payment->newpayment_id }}"
        class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <!-- Modal dialog -->
        <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
            <!-- Modal header -->
            <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                <h5 class="font-bold text-white">Confirm Delete</h5>
                <button onclick="closeModal('deleteModal{{ $payment->newpayment_id }}')"
                    class="text-white">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="px-4 py-4">
                <p>Are you sure you want to delete this payment?</p>
            </div>

            <!-- Modal footer -->
            <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                <button onclick="closeModal('deleteModal{{ $payment->newpayment_id }}')"
                    class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                <!-- Form for delete -->
                <form id="deleteForm{{ $payment->newpayment_id }}"
                    action="{{ route('delete.newpayment', $payment->newpayment_id) }}" method="POST">
                    @csrf
                    @method('DELETE')
                    <button type="submit"
                        class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                </form>
            </div>
        </div>
    </div>
@endforeach
@foreach ($payments as $payment)
    <div id="deleteModal{{ $payment->payment_id }}"
        class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <!-- Modal dialog -->
        <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
            <!-- Modal header -->
            <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                <h5 class="font-bold text-white">Confirm Delete</h5>
                <button onclick="closeModal('deleteModal{{ $payment->payment_id }}')"
                    class="text-white">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="px-4 py-4">
                <p>Are you sure you want to delete this payment?</p>
            </div>

            <!-- Modal footer -->
            <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                <button onclick="closeModal('deleteModal{{ $payment->payment_id }}')"
                    class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                <!-- Form for delete -->
                <form id="deleteForm{{ $payment->payment_id }}"
                    action="{{ route('delete.payment', $payment->payment_id) }}" method="POST">
                    @csrf
                    @method('DELETE')
                    <button type="submit"
                        class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                </form>
            </div>
        </div>
    </div>
@endforeach
