<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    @vite('resources/css/app.css')
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>


<body>
    @extends('layouts.sidebar')


    <body class="bg-white">

        <div class="max-w-4xl p-6 mx-auto mt-20 border border-gray-400 rounded-lg shadow-md">

            <header class="mb-4 text-center">
                <h1 class="text-2xl font-bold">Lease Agreement</h1>
            </header>

            <section class="mb-4">
                <h2 class="mb-2 text-lg font-bold">Parties</h2>
                <div class="grid grid-cols-2 gap-4">
                    <div>
                        <p><span class="font-bold">Landlord:</span> John Doe</p>
                        <p><span class="font-bold">Address:</span> 123 Main Street, Anytown, USA</p>
                    </div>
                    <div>
                        <p><span class="font-bold">Tenant:</span> Jane Smith</p>
                        <p><span class="font-bold">Address:</span> 456 Elm Avenue, Anytown, USA</p>
                    </div>
                </div>
            </section>

            <section class="mb-4">
                <h2 class="mb-2 text-lg font-bold">Property Details</h2>
                <p><span class="font-bold">Property Address:</span> 789 Oak Drive, Anytown, USA</p>
                <p><span class="font-bold">Lease Term:</span> 1 year</p>
                <p><span class="font-bold">Monthly Rent:</span> $1,200</p>
            </section>

            <section class="mb-4">
                <h2 class="mb-2 text-lg font-bold">Utilities</h2>
                <p>Tenant is responsible for all utilities including water, electricity, and internet.</p>
            </section>

            <section class="mb-4">
                <h2 class="mb-2 text-lg font-bold">Rules and Regulations</h2>
                <p>No pets allowed. No smoking inside the premises. Quiet hours from 10 PM to 7 AM.</p>
            </section>

            <section class="mb-4">
                <h2 class="mb-2 text-lg font-bold">Additional Terms</h2>
                <p>Security deposit of $1,500 due upon signing. Rent due on the 1st of each month.</p>
            </section>

            <footer class="mt-8 font-bold">
                <p>Signed by:</p>
                <p><span class="font-bold">Landlord:</span> ________________________</p>
                <p><span class="font-bold">Tenant:</span> ________________________</p>
            </footer>

        </div>

    </body>

</body>

</html>
