@extends('layouts.sidebar')

@section('content')
    <div class="max-w-3xl p-6 mx-auto bg-white border border-gray-300 rounded-lg shadow-lg">
        <div class="mb-6">
            <p class="text-lg font-semibold">San Roque Hermanas Inc.</p>
            <p class="mb-2">MGR BLDG. II, Matina Crossing, Davao City</p>
            <p>Tel: (082)299-4103</p>
            <p>Cell # 0910-651-1604</p>
        </div>

        <div class="mb-6">
            <p class="text-lg font-semibold">Foreclosure Notice</p>
        </div>

        <div class="mb-6">
            <p class="mb-2">{{ \Carbon\Carbon::now()->format('j F Y') }}</p>
            <p>{{ $data->client->business_name }}</p>
            <p>{{ $data->unit->unit_name }}</p>
            <p>{{ $data->property->street_address }},{{ $data->property->city }} ,{{ $data->property->zip }}
                ,{{ $data->property->state }}</p>
        </div>


        <div class="mb-6">
            <p>Sir / Madam:</p>
            <p class="mb-4">This is to inform you of your unpaid monthly rentals & light/water in the total amount as
                shown in the computation below:</p>

            <table class="min-w-full mb-4 border border-gray-300">
                <thead>
                    <tr class="bg-gray-200">
                        <th class="p-2 text-left">Description</th>
                        <th class="p-2 text-right">Amount</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($data->newpayments as $payment)
                        <tr>
                            <td class="p-2">Rent due for
                                {{ $payment->start_date ? \Carbon\Carbon::parse($payment->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $payment->end_date ? \Carbon\Carbon::parse($payment->end_date)->format('j F Y') : 'N/A' }}
                            </td>
                            <td class="p-2 text-right">P </td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue rent for
                                {{ $payment->start_date ? \Carbon\Carbon::parse($payment->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $payment->end_date ? \Carbon\Carbon::parse($payment->end_date)->format('j F Y') : 'N/A' }}
                            </td>
                            <td class="p-2 text-right">P {{ number_format($payment->penalty, 2) }}</td>
                        </tr>
                    @endforeach

                    @foreach ($data->client->waterbills as $waterbill)
                        <tr>
                            <td class="p-2">Water bill
                                {{ $waterbill->start_date ? \Carbon\Carbon::parse($waterbill->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $waterbill->end_date ? \Carbon\Carbon::parse($waterbill->end_date)->format('j F Y') : 'N/A' }}
                            <td class="p-2 text-right">P {{ number_format($waterbill->amount, 2) }}</td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue water
                                {{ $waterbill->start_date ? \Carbon\Carbon::parse($waterbill->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $waterbill->end_date ? \Carbon\Carbon::parse($waterbill->end_date)->format('j F Y') : 'N/A' }}
                            </td>
                            <td class="p-2 text-right">P {{ number_format($waterbill->penalty, 2) }}</td>
                        </tr>
                    @endforeach

                    @foreach ($data->client->electricbills as $electricbill)
                        <tr>
                            <td class="p-2">Electric bill
                                {{ $electricbill->start_date ? \Carbon\Carbon::parse($electricbill->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $electricbill->end_date ? \Carbon\Carbon::parse($electricbill->end_date)->format('j F Y') : 'N/A' }}
                            </td>
                            <td class="p-2 text-right">P {{ number_format($electricbill->amount, 2) }}</td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue Electric
                                {{ $electricbill->start_date ? \Carbon\Carbon::parse($electricbill->start_date)->format('j F Y') : 'N/A' }}-
                                {{ $electricbill->end_date ? \Carbon\Carbon::parse($electricbill->end_date)->format('j F Y') : 'N/A' }}

                            </td>
                            <td class="p-2 text-right">P {{ number_format($electricbill->penalty, 2) }}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr>
                        <td class="p-2 font-semibold text-right">Total Payables</td>
                        <td class="p-2 font-semibold text-right">
                            P
                            {{ number_format($data->payments->sum('Amount') + $data->client->waterbills->sum('amount') + $data->client->electricbills->sum('amount'), 2) }}
                        </td>
                    </tr>
                </tfoot>
            </table>

            <p class="mb-4">Note: Bounced Check # UB 3470782 26Apr24 P24,827.00<br> UB 3470783 3May24 33,936.00</p>

            <p class="mb-4">It is stipulated in the Contract of Lease that in the event the LESSEE fails to pay two (2)
                monthly rental payments, the LESSOR is hereby authorized, and the LESSEE agrees, to padlock the leased
                premises without incurring any liability, civil or criminal. It must also be stated here that your security
                deposit with Us cannot be applied to or answer for any unpaid monthly rentals, electricity or water bills at
                this time.</p>

            <p class="mb-4">Accordingly, We demand that you to pay in cash or issue checks in the total amount as shown
                above on or before ___________________ from receipt of this notice. Otherwise, much to our regret, We will
                be constrained to take appropriate action against you which includes the possible padlocking of your
                premises and/or cutting off your water or electricity connection with Us, without prejudice to other further
                actions as may be allowed by law.</p>
        </div>

        <div class="flex justify-between mb-6">
            <div>
                <p>Prepared by:</p>
                <p class="font-semibold">Theresa G. Sabate</p>
                <p>Admin Staff</p>
            </div>
            <div>
                <p>Noted by:</p>
                <p class="font-semibold">Heracleo S. Roque</p>
                <p>Lessor</p>
            </div>
        </div>

        <div class="mb-6">
            <p>Received By: ________________________</p>
            <p>Signature over Printed Name</p>
        </div>
    </div>





















    {{-- <!DOCTYPE html>

@extends('layouts.sidebar')

@section('content')
    <div class="max-w-3xl p-6 mx-auto bg-white border border-gray-300 rounded-lg shadow-lg">
        <div class="mb-6">
            <p class="text-lg font-semibold">San Roque Hermanas Inc.</p>
            <p class="mb-2">MGR BLDG. II, Matina Crossing, Davao City</p>
            <p class="mb-2">Tel: (082)299-4103</p>
            <p>Cell # 0910-651-1604</p>
        </div>

        <div class="mb-6">
            <p class="text-lg font-semibold">Demand Letter</p>
        </div>

        <div class="mb-6">
            <p class="mb-2">May 24, 2024</p>
            <p>Mortar Master & Concrete Builders</p>
            <p>Other Area #12</p>
            <p>Matina Aplaya, Davao City</p>
        </div>

        <div class="mb-6">
            <p>Sir / Madam:</p>
            <p class="mb-4">This is to inform you of your unpaid monthly rentals in the total amount as shown in the
                computation below:</p>

            <table class="min-w-full mb-4">
                <thead>
                    <tr>
                        <th class="text-left">Description</th>
                        <th class="text-right">Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Rent due for 17Apr24-16May24</td>
                        <td class="text-right">P 21,400.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue rent for 17Apr24-16May24</td>
                        <td class="text-right">P 428.00</td>
                    </tr>
                    <tr>
                        <td>Rent due for 17May24-16Jun24</td>
                        <td class="text-right">P 21,400.00</td>
                    </tr>
                    <tr>
                        <td>Light bill due for 18Mar24-17Apr24</td>
                        <td class="text-right">P 2,786.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue light 18Mar24-17Apr24</td>
                        <td class="text-right">P 55.75</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td class="font-semibold text-right">Total Payables</td>
                        <td class="font-semibold text-right">P 46,069.75</td>
                    </tr>
                </tfoot>
            </table>

            <p class="mb-4">It is stipulated in the Contract of Lease that in the event the LESSEE fails to pay two (2)
                monthly rental payments, the LESSOR is hereby authorized, and the LESSEE agrees, to padlock the leased
                premises without incurring any liability, civil or criminal. It must also be stated here that your security
                deposit with Us cannot be applied to or answer for any unpaid monthly rentals, electricity or water bills at
                this time.</p>

            <p class="mb-4">Accordingly, We demand that you to pay in cash or issue checks in the total amount as shown
                above on or before ___________________ from receipt of this notice. Otherwise, much to our regret, We will
                be constrained to take appropriate action against you which includes the possible padlocking of your
                premises and/or cutting off your water or electricity connection with Us, without prejudice to other further
                actions as may be allowed by law.</p>
        </div>

        <div class="flex justify-between mb-6">
            <div>
                <p>Prepared by:</p>
                <p class="font-semibold">Theresa G. Sabate</p>
                <p>Admin Staff</p>
            </div>
            <div>
                <p>Noted by:</p>
                <p class="font-semibold">Heracleo S. Roque</p>
                <p>Lessor</p>
            </div>
        </div>

        <div class="mb-6">
            <p>Received By: ________________________</p>
            <p>Signature over Printed Name</p>
        </div>
    </div> --}}



    {{-- 




    <div class="max-w-3xl p-6 mx-auto bg-white border border-gray-300 rounded-lg shadow-lg">
        <div class="mb-6">
            <p class="text-lg font-semibold">San Roque Hermanas Inc.</p>
            <p class="mb-2">MGR BLDG. II, Matina Crossing, Davao City</p>
            <p>Tel: (082)299-4103</p>
            <p>Cell # 0910-651-1604</p>
        </div>

        <div class="mb-6">
            <p class="text-lg font-semibold">Foreclosure Notice</p>
        </div>

        <div class="mb-6">
            <p class="mb-2">May 24, 2024</p>
            <p>Thrive Food Channel Inc.</p>
            <p>Unit 2 SRHI Annex</p>
            <p>Matina Aplaya, Davao City</p>
        </div>

        <div class="mb-6">
            <p>Sir / Madam:</p>
            <p class="mb-4">This is to inform you of your unpaid monthly rentals & light/water in the total amount as
                shown in the computation below:</p>

            <table class="min-w-full mb-4">
                <thead>
                    <tr>
                        <th class="text-left">Description</th>
                        <th class="text-right">Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Rent due for 3Mar24-2Apr24</td>
                        <td class="text-right">P 16,799.85</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue rent for 3Mar24-2Apr24</td>
                        <td class="text-right">P 336.00</td>
                    </tr>
                    <tr>
                        <td>Rent due for 3Apr24-2May24</td>
                        <td class="text-right">P 16,799.85</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue rent for 3Apr24-2May24</td>
                        <td class="text-right">P 336.00</td>
                    </tr>
                    <tr>
                        <td>Rent due for 3May24-2Jun24</td>
                        <td class="text-right">P 16,799.85</td>
                    </tr>
                    <tr>
                        <td>Elec/water 18Dec23-17Jan24</td>
                        <td class="text-right">P 8,893.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue elec/water18Dec23-17Jan24</td>
                        <td class="text-right">P 177.90</td>
                    </tr>
                    <tr>
                        <td>Elec/water 18Jan24-17Feb24</td>
                        <td class="text-right">P 6,504.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue elec/water18Jan24-17Feb24</td>
                        <td class="text-right">P 130.10</td>
                    </tr>
                    <tr>
                        <td>Elec/water 18Feb24-17Mar24</td>
                        <td class="text-right">P 8,466.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue elec/water18Feb24-17Mar24</td>
                        <td class="text-right">P 169.35</td>
                    </tr>
                    <tr>
                        <td>Elec/water 18Mar24-17Apr24</td>
                        <td class="text-right">P 7,715.00</td>
                    </tr>
                    <tr>
                        <td>Penalty overdue elec/water18Mar24-17Apr24</td>
                        <td class="text-right">P 154.30</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <td class="font-semibold text-right">Total Payables</td>
                        <td class="font-semibold text-right">P 84,580.45</td>
                    </tr>
                </tfoot>
            </table>

            <p class="mb-4">Note: Bounced Check # UB 3470782 26Apr24 P24,827.00<br> UB 3470783 3May24 33,936.00</p>

            <p class="mb-4">It is stipulated in the Contract of Lease that in the event the LESSEE fails to pay two (2)
                monthly rental payments, the LESSOR is hereby authorized, and the LESSEE agrees, to padlock the leased
                premises without incurring any liability, civil or criminal. It must also be stated here that your security
                deposit with Us cannot be applied to or answer for any unpaid monthly rentals, electricity or water bills at
                this time.</p>

            <p class="mb-4">Accordingly, We demand that you to pay in cash or issue checks in the total amount as shown
                above on or before ___________________ from receipt of this notice. Otherwise, much to our regret, We will
                be constrained to take appropriate action against you which includes the possible padlocking of your
                premises and/or cutting off your water or electricity connection with Us, without prejudice to other further
                actions as may be allowed by law.</p>
        </div>

        <div class="flex justify-between mb-6">
            <div>
                <p>Prepared by:</p>
                <p class="font-semibold">Theresa G. Sabate</p>
                <p>Admin Staff</p>
            </div>
            <div>
                <p>Noted by:</p>
                <p class="font-semibold">Heracleo S. Roque</p>
                <p>Lessor</p>
            </div>
        </div>

        <div class="mb-6">
            <p>Received By: ________________________</p>
            <p>Signature over Printed Name</p>
        </div>
    </div>
@endsection --}}
