@extends('layouts.sidebar')

@section('content')
    <div class="container mx-auto">
        <div class="flex justify-between py-5 ">
            <div class="">
                <h2 class="text-2xl font-bold ">Units</h2>
            </div>
            <div> <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
                    onclick="openModal('addItemModal')">Add Unit</button></div>
        </div>

        @if (session('success'))
            <div class="px-4 py-2 mb-4 text-green-800 bg-green-200 border border-green-600 rounded">
                {{ session('success') }}
            </div>
        @endif
        <div class="overflow-x-auto">
            <table id="leaseTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                <thead class="bg-gray-200">
                    <tr class="text-center">
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">View Lease</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Unit Name</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Size</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Rate Type</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Rate</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Status</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Actions</th>
                    </tr>
                </thead>
                <tbody class="text-sm text-gray-600">

                    <!-- Table rows will be populated dynamically -->
                </tbody>
            </table>
        </div>




        <div id="addItemModal"
            class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
            <div class="w-1/2 p-8 bg-white rounded">
                <span class="float-right text-2xl cursor-pointer close" onclick="closeModal('addItemModal')">&times;</span>
                <h2 class="mb-4 text-2xl font-bold">Add Units</h2>

                @csrf
                <div class="mb-3">
                    <label for="property-name" class="block mb-1 text-sm font-semibold text-gray-700">Property
                        Name:</label>
                    <span id="property-name"
                        class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm">{{ $property->property_name }}</span>
                </div>

                <div class="mb-3">
                    <label for="street-address" class="block mb-1 text-sm font-semibold text-gray-700">Street
                        Address:</label>
                    <span id="street-address"
                        class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm">{{ $property->street_address }}</span>
                </div>

                <div class="flex mb-3 -mx-1">
                    <div class="w-1/2 px-1">
                        <label for="city" class="block mb-1 text-sm font-semibold text-gray-700">City:</label>
                        <span id="city"
                            class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm">{{ $property->city }}</span>
                    </div>
                    <div class="w-1/4 px-1">
                        <label for="state" class="block mb-1 text-sm font-semibold text-gray-700">State:</label>
                        <span id="state"
                            class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm">{{ $property->state }}</span>
                    </div>
                    <div class="w-1/4 px-1">
                        <label for="zip" class="block mb-1 text-sm font-semibold text-gray-700">Zip Code:</label>
                        <span id="zip"
                            class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm">{{ $property->zip }}</span>
                    </div>
                </div>


                <form method="POST" action="{{ route('unit.store') }}" class="p-6 bg-white rounded shadow-md">
                    @csrf
                    <hr class="my-4">
                    <input type="hidden" name="property_id" value="{{ $property->id }}">
                    <div id="units-container">
                        <div class="mb-4 unit-item">
                            <h3 class="mb-2 text-lg font-bold">Unit 1</h3>
                            <div class="flex mb-2">
                                <div class="w-1/2 px-2">
                                    <label for="unit-size-1" class="block mb-2 text-sm font-bold text-gray-700">Unit
                                        Name:</label>
                                    <input type="text" id="unit-size-1" name="units[0][unit_name]"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                        placeholder="Unit Size">
                                </div>
                                <div class="w-1/2 px-2">
                                    <label for="unit-size-1"
                                        class="block mb-2 text-sm font-bold text-gray-700">Size:</label>
                                    <input type="text" id="unit-size-1" name="units[0][size]"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                        placeholder="Unit Size">
                                </div>
                                <div class="w-1/2 px-2">
                                    <label for="unit-rate-type-1" class="block mb-2 text-sm font-bold text-gray-700">Rate
                                        Type:</label>
                                    <select id="unit-rate-type-1" name="units[0][rate_type]"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                                        <option value="" disabled selected>Rate Type</option>
                                        <option value="Rate base">Rate base</option>
                                        <option value="Per Square Meter">Per Square Meter</option>
                                    </select>
                                </div>
                                <div class="w-1/2 px-2">
                                    <label for="unit-Rate-1"
                                        class="block mb-2 text-sm font-bold text-gray-700">Rate:</label>
                                    <input type="text" id="unit-Rate-1" name="units[0][rate]"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                        placeholder="Unit Rate">
                                </div>
                            </div>
                            <div class="flex hidden mb-2">
                                <div class="w-1/2 px-2 ">
                                    <label for="unit-escalation-1" class="block mb-2 text-sm font-bold text-gray-700">Yearly
                                        Escalation:</label>
                                    <input type="text" id="unit-escalation-1"
                                        name="units[0][yearly_escalation]
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline" placeholder="Yearly Escalation">
                                </div>
                            </div>
                        </div>
                    </div>

                    <button type="button" onclick="addUnit()"
                        class="px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">
                        Add Unit
                    </button>

                    <button type="submit" class="px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Save
                        Property</button>
                </form>
            </div>
        </div>
        @foreach ($units as $unit)
            <div id="deleteModal{{ $unit->unit_id }}"
                class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
                <!-- Modal dialog -->
                <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                    <!-- Modal header -->
                    <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                        <h5 class="font-bold text-white">Confirm Delete</h5>
                        <button onclick="closeModal('deleteModal{{ $unit->unit_id }}')"
                            class="text-white">&times;</button>
                    </div>

                    <!-- Modal body -->
                    <div class="px-4 py-4">
                        <p>Are you sure you want to delete this unit?</p>
                    </div>

                    <!-- Modal footer -->
                    <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                        <button onclick="closeModal('deleteModal{{ $unit->unit_id }}')"
                            class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                        <!-- Form for delete -->
                        <form id="deleteForm{{ $unit->unit_id }}" action="{{ route('delete.unit', $unit->unit_id) }}"
                            method="POST">
                            @csrf
                            @method('DELETE')
                            <button type="submit"
                                class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                        </form>
                    </div>
                </div>
            </div>







            <div id="editUnitModal{{ $unit->unit_id }}"
                class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
                <div class="w-1/2 bg-white rounded">

                    <div class="flex items-center justify-between p-3 bg-blue-500">
                        <h5 class="font-bold text-white">Edit Unit</h5>
                        <button onclick="closeModal('editUnitModal{{ $unit->unit_id }}')"
                            class="text-white">&times;</button>
                    </div>

                    <form method="POST" action="{{ route('unit.update', $unit->unit_id) }}"
                        class="p-6 bg-white rounded shadow-md">
                        @csrf
                        @method('PUT')
                        <hr class="">

                        <div id="units-container">
                            <div class="mb-4 unit-item">
                                <h3 class="mb-2 text-lg font-bold">Unit {{ $unit->unit_id }}</h3>
                                <div class="flex mb-2">
                                    <div class="w-1/2 px-2">
                                        <label for="unit-name-{{ $unit->unit_id }}"
                                            class="block mb-2 text-sm font-bold text-gray-700">Unit
                                            Name:</label>
                                        <input type="text" id="unit-name-{{ $unit->unit_id }}" name="unit_name"
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border-2 rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                            value="{{ $unit->unit_name }}" placeholder="Unit Name">
                                    </div>
                                    <div class="w-1/2 px-2">
                                        <label for="unit-size-{{ $unit->unit_id }}"
                                            class="block mb-2 text-sm font-bold text-gray-700">Size:</label>
                                        <input type="text" id="unit-size-{{ $unit->unit_id }}" name="size"
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border-2 rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                            value="{{ $unit->size }}" placeholder="Unit Size">
                                    </div>
                                    <div class="w-1/2 px-2">
                                        <label for="unit-rate-type-{{ $unit->unit_id }}"
                                            class="block mb-2 text-sm font-bold text-gray-700">Rate
                                            Type:</label>
                                        <select id="unit-rate-type-{{ $unit->unit_id }}" name="rate_type"
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border-2 rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                                            <option value="" disabled {{ !$unit->rate_type ? 'selected' : '' }}>Rate
                                                Type</option>
                                            <option value="Rate base"
                                                {{ $unit->rate_type == 'Rate base' ? 'selected' : '' }}>
                                                Rate base</option>
                                            <option value="Per Square Meter"
                                                {{ $unit->rate_type == 'Per Square Meter' ? 'selected' : '' }}>
                                                Per Square
                                                Meter</option>
                                        </select>
                                    </div>
                                    <div class="w-1/2 px-2">
                                        <label for="unit-rate-{{ $unit->unit_id }}"
                                            class="block mb-2 text-sm font-bold text-gray-700">Rate:</label>
                                        <input type="text" id="unit-rate-{{ $unit->unit_id }}" name="rate"
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border-2 rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                            value="{{ $unit->rate }}" placeholder="Unit Rate">
                                    </div>
                                </div>
                                <div class="flex mb-2">
                                    <div class="w-1/2 px-2">
                                        <label for="unit-escalation-{{ $unit->unit_id }}"
                                            class="block mb-2 text-sm font-bold text-gray-700">Yearly
                                            Escalation:</label>
                                        <input type="text" id="unit-escalation-{{ $unit->unit_id }}"
                                            name="yearly_escalation"
                                            class="w-full px-3 py-2 leading-tight text-gray-700 border-2 rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                            value="{{ $unit->yearly_escalation }}" placeholder="Yearly Escalation">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <button type="submit"
                            class="px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Update
                            Unit</button>
                    </form>
                </div>
            </div>
        @endforeach
    @endsection
    @section('scripts')
        <script>
            $(document).ready(function() {
                $('#leaseTable').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: "{{ route('units.index', $property->id) }}",
                    columns: [{
                            data: 'view_lease',
                            name: 'view_lease',
                            orderable: false,
                            searchable: false
                        }, {
                            data: 'unit_name',
                            name: 'unit_name'
                        },
                        {
                            data: 'size',
                            name: 'size'
                        },
                        {
                            data: 'rate_type',
                            name: 'rate_type'
                        },
                        {
                            data: 'rate',
                            name: 'rate'
                        },

                        {
                            data: 'status',
                            name: 'status'
                        },
                        {
                            data: 'actions',
                            name: 'actions',
                            orderable: false,
                            searchable: false
                        }
                    ]
                });
            });

            function openDeleteModal(unitId) {
                $('#deleteModal').modal('show');

                $('#confirmDelete').on('click', function() {
                    deleteUnit(unitId);
                });
            }

            function deleteUnit(unitId) {
                $.ajax({
                    url: '/admin/unit/' + unitId,
                    type: 'DELETE',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        $('#leaseTable').DataTable().ajax.reload();
                        $('#deleteModal').modal('hide');
                    }
                });
            }
        </script>







        <script>
            let unitCounter = 1;

            function addUnit() {
                unitCounter++;

                const unitsContainer = document.getElementById('units-container');

                const unitItem = document.createElement('div');
                unitItem.classList.add('unit-item', 'mb-4');
                unitItem.innerHTML = `
        <h3 class="mb-2 text-lg font-bold">Unit ${unitCounter}</h3>
        <div class="flex mb-2">
              <div class="w-1/2 px-2">
                <label for="unit-unit_name-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Unit Name:</label>
                <input  type="text" id="unit-unit_name-${unitCounter}" name="units[${unitCounter - 1}][unit_name]"
                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                    placeholder="Unit Size">
            </div>
            <div class="w-1/2 px-2">
                <label for="unit-size-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Size:</label>
                <input  type="text" id="unit-size-${unitCounter}" name="units[${unitCounter - 1}][size]"
                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                    placeholder="Unit Size">
            </div>
                 <div class="w-1/2 px-2">
                    <label for="unit-rate-type-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Rate Type:</label>
                    <select id="unit-rate-type-${unitCounter}" name="units[${unitCounter - 1}][rate_type]"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                        <option value="" disabled selected>Rate Type</option>
                       <option value="Rate base">Rate base</option>
                                <option value="Per Square Meter">Per Square Meter</option>
                    </select>
                </div>
                <div class="w-1/2 px-2">
                <label for="unit-rate-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Rate:</label>
                <input  type="text" id="unit-rate-${unitCounter}" name="units[${unitCounter - 1}][rate]"
                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                    placeholder="Unit Rate">
            </div>
        </div>
        <div class="flex mb-2">
            <div class="w-1/2 px-2">
                <label for="unit-escalation-${unitCounter}"
                    class="block mb-2 text-sm font-bold text-gray-700">Yearly
                    Escalation:</label>
                <input  type="text" id="unit-escalation-${unitCounter}" name="units[${unitCounter - 1}][yearly_escalation]"
                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                    placeholder="Yearly Escalation">
            </div>
        </div>
    `;

                unitsContainer.appendChild(unitItem);
            }

            function closeModal(modalId) {
                const modal = document.getElementById(modalId);
                modal.classList.add('hidden');
            }
        </script>





        <script>
            // Function to open a modal
            function openModal(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.remove('hidden');
                modal.classList.add('flex');
            }

            // Function to close a modal
            function closeModal(modalId) {
                var modal = document.getElementById(modalId);
                modal.classList.add('hidden');
                modal.classList.remove('flex');
            }

            // Function to handle add item form submission
            function submitAddItemForm(event) {
                event.preventDefault();
                var itemName = document.getElementById('item-name').value;
                console.log('Adding item:', itemName);
                document.getElementById('addItemForm').reset(); // Reset form
                closeModal('addItemModal'); // Close modal
            }


            function openEditModal(propertyId) {

                document.getElementById('editItemModal' + propertyId).classList.remove('hidden');
            }


            function closeEditModal(propertyId) {
                // Hide the modal
                document.getElementById('editItemModal' + propertyId).classList.add('hidden');
            }

            // Function to handle form submission (in this case, just closing the modal)
            function submitEditItemForm(event, propertyId) {
                event.preventDefault(); // Prevent form submission

                // In a real scenario without AJAX, you might just close the modal
                closeEditModal(propertyId);
            }
        </script>
    @endsection
