<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
    $(document).ready(function() {
        function calculatePaymentSchedule() {
            var startDate = $('#lease_start_date').val();
            var rateType = $('#rate_type').val();
            var duration = parseInt($('#lease_duration').val());

            if (startDate && rateType && duration) {
                var paymentSchedule = [];
                var currentDate = new Date(startDate);
                var endDate;

                switch (rateType) {
                    case 'Daily':
                        endDate = new Date(currentDate);
                        endDate.setDate(currentDate.getDate() + duration);
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setDate(currentDate.getDate() + 1);
                        }
                        break;
                    case 'Weekly':
                        endDate = new Date(currentDate);
                        endDate.setDate(currentDate.getDate() + (duration * 7));
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setDate(currentDate.getDate() + 7);
                        }
                        break;
                    case 'Monthly':
                        endDate = new Date(currentDate);
                        endDate.setMonth(currentDate.getMonth() + duration);
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setMonth(currentDate.getMonth() + 1);
                        }
                        break;
                }

                // Display payment schedule
                $('#payment_schedule').empty();
                paymentSchedule.forEach(function(date, index) {
                    $('#payment_schedule').append('<div>Payment ' + (index + 1) + ': ' + date
                        .toDateString() + '</div>');
                });
            } else {
                $('#payment_schedule').empty();
            }
        }

        $('#property_address').change(function() {
            var propertyId = $(this).val();
            if (propertyId) {
                $.ajax({
                    url: '/units/' + propertyId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $('#unit_id').empty();
                        $('#unit_id').append(
                            '<option value="" disabled selected>Select Unit</option>');
                        $.each(data, function(key, unit) {
                            var unitSize = unit.size ? ' (' + unit.size + ')' : '';
                            $('#unit_id').append('<option value="' + unit.unit_id +
                                '">' + unit.unit_name + unitSize + '</option>');
                        });
                    },
                    error: function(xhr, status, error) {
                        console.error('Error fetching units:', status, error);
                        alert('Error fetching units. Please try again later.');
                    }
                });
            } else {
                $('#unit_id').empty();
                $('#unit_id').append('<option value="" disabled selected>Select Unit</option>');
            }
        });

        $('#unit_id').change(function() {
            var unitId = $(this).val();
            if (unitId) {
                $.ajax({
                    url: '/unit/' + unitId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        if (data.rate_type === 'Per Square Meter') {
                            if (data.rate && data.size) {
                                var rate = parseFloat(data.rate);
                                var size = parseFloat(data.size);
                                var calculatedRent = rate * size;
                                $('#contract_type').val(calculatedRent.toFixed(2));
                            } else {
                                $('#contract_type').val('');
                            }
                        } else {
                            if (data.rate) {
                                $('#contract_type').val(data.rate);
                            } else {
                                $('#contract_type').val('');
                            }
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error('Error fetching unit details:', status, error);
                        alert('Error fetching unit details. Please try again later.');
                    }
                });
            } else {
                $('#contract_type').val('');
            }
        });

        $('#lease_start_date, #rate_type, #lease_duration').change(calculatePaymentSchedule);
    });
</script>
<script>
    $(document).ready(function() {
        function calculatePaymentSchedule1() {
            var startDate = $('#lease_start_date1').val();
            var rateType = $('#rate_type1').val();
            var duration = parseInt($('#lease_duration1').val());

            if (startDate && rateType && duration) {
                var paymentSchedule = [];
                var currentDate = new Date(startDate);
                var endDate;

                switch (rateType) {
                    case 'Daily':
                        endDate = new Date(currentDate);
                        endDate.setDate(currentDate.getDate() + duration);
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setDate(currentDate.getDate() + 1);
                        }
                        break;
                    case 'Weekly':
                        endDate = new Date(currentDate);
                        endDate.setDate(currentDate.getDate() + (duration * 7));
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setDate(currentDate.getDate() + 7);
                        }
                        break;
                    case 'Monthly':
                        endDate = new Date(currentDate);
                        endDate.setMonth(currentDate.getMonth() + duration);
                        for (var i = 0; i < duration; i++) {
                            paymentSchedule.push(new Date(currentDate));
                            currentDate.setMonth(currentDate.getMonth() + 1);
                        }
                        break;
                }

                // Display payment schedule
                $('#payment_schedule').empty();
                paymentSchedule.forEach(function(date, index) {
                    $('#payment_schedule1').append('<div>Payment ' + (index + 1) + ': ' + date
                        .toDateString() + '</div>');
                });
            } else {
                $('#payment_schedule1').empty();
            }
        }

        $('#property_id1').change(function() {
            var propertyId = $(this).val();
            if (propertyId) {
                $.ajax({
                    url: '/units/' + propertyId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $('#unit_id1').empty();
                        $('#unit_id1').append(
                            '<option value="" disabled selected>Select Unit</option>');
                        $.each(data, function(key, unit) {
                            var unitSize = unit.size ? ' (' + unit.size + ')' : '';
                            $('#unit_id1').append('<option value="' + unit.unit_id +
                                '">' + unit.unit_name + unitSize + '</option>');
                        });
                    },
                    error: function(xhr, status, error) {
                        console.error('Error fetching units:', status, error);
                        alert('Error fetching units. Please try again later.');
                    }
                });
            } else {
                $('#unit_id1').empty();
                $('#unit_id1').append('<option value="" disabled selected>Select Unit</option>');
            }
        });

        $('#unit_id1').change(function() {
            var unitId = $(this).val();
            if (unitId) {
                $.ajax({
                    url: '/unit/' + unitId,
                    type: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        if (data.rate_type === 'Per Square Meter') {
                            if (data.rate && data.size) {
                                var rate = parseFloat(data.rate);
                                var size = parseFloat(data.size);
                                var calculatedRent = rate * size;
                                $('#contract_type1').val(calculatedRent.toFixed(2));
                            } else {
                                $('#contract_type1').val('');
                            }
                        } else {
                            if (data.rate) {
                                $('#contract_type1').val(data.rate);
                            } else {
                                $('#contract_type1').val('');
                            }
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error('Error fetching unit details:', status, error);
                        alert('Error fetching unit details. Please try again later.');
                    }
                });
            } else {
                $('#contract_type1').val('');
            }
        });

        $('#lease_start_date1, #rate_type1, #lease_duration1').change(calculatePaymentSchedule1);
    });
</script>




<!-- Edit Item Modal -->


<script>
    // Function to open a modal
    function openModal(modalId) {
        var modal = document.getElementById(modalId);
        modal.classList.remove('hidden');
        modal.classList.add('flex');
    }

    // Function to close a modal
    function closeModal(modalId) {
        var modal = document.getElementById(modalId);
        modal.classList.add('hidden');
        modal.classList.remove('flex');
    }

    // Function to handle add item form submission
    function submitAddItemForm(event) {
        event.preventDefault();
        var itemName = document.getElementById('item-name').value;
        console.log('Adding item:', itemName);
        document.getElementById('addItemForm').reset(); // Reset form
        closeModal('addItemModal'); // Close modal
    }

    // Function to handle edit item form submission
</script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const updateButtons = document.querySelectorAll('.update-status');

        updateButtons.forEach(button => {
            button.addEventListener('click', function(event) {
                const paymentId = button.getAttribute('data-payment-id');
                const form = document.getElementById(`form_${paymentId}`);
                const currentStatusElement = document.getElementById(`status_${paymentId}`);
                const currentStatus = currentStatusElement.textContent.trim();
                let newStatus = 'Unpaid'; // Default to 'Pending' if current is 'Paid'
                let amount = null;

                if (currentStatus === 'Unpaid') {
                    newStatus = 'Paid';
                }

                // Check if the status is changing to 'Paid' and retrieve the amount
                if (newStatus === 'Paid') {
                    amount = document.getElementById(`amount_${paymentId}`).value;
                }

                fetch(form.getAttribute('action'), {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/json',
                            'X-CSRF-Token': '{{ csrf_token() }}'
                        },
                        body: JSON.stringify({
                            _method: 'PUT',
                            new_status: newStatus,
                            amount: amount // Include amount in the request
                        })
                    })
                    .then(response => {
                        if (!response.ok) {
                            throw new Error('Network response was not ok');
                        }
                        return response.json();
                    })
                    .then(data => {
                        // Update status in UI
                        currentStatusElement.textContent = newStatus;

                        // Update button color
                        button.classList.remove('bg-red-500', 'bg-blue-500',
                            'hover:bg-red-700', 'hover:bg-blue-700');
                        if (newStatus === 'Unpaid') {
                            button.classList.add('bg-red-500', 'hover:bg-red-700');
                        } else {
                            button.classList.add('bg-blue-500', 'hover:bg-blue-700');
                        }
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        // Handle error if needed
                    });
            });
        });
    });
</script>




<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function() {
        $('#searchInput').on('input', function() {
            const searchValue = $(this).val().toLowerCase().trim();
            $('#leaseTable tbody tr').each(function() {
                const property = $(this).find('.property').text().toLowerCase();
                const ownersName = $(this).find('.owners-name').text().toLowerCase();
                const unit = $(this).find('.unit').text().toLowerCase();
                const contractType = $(this).find('.contract-type').text().toLowerCase();
                const leaseStartDate = $(this).find('.lease-start-date').text().toLowerCase();
                const leaseDuration = $(this).find('.lease-duration').text().toLowerCase();
                const client = $(this).find('.client').text().toLowerCase();

                if (property.includes(searchValue) ||
                    ownersName.includes(searchValue) ||
                    unit.includes(searchValue) ||
                    contractType.includes(searchValue) ||
                    leaseStartDate.includes(searchValue) ||
                    leaseDuration.includes(searchValue) ||
                    client.includes(searchValue)) {
                    $(this).show();
                } else {
                    $(this).hide();
                }
            });
        });
    });
</script>
