<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

    @vite('resources/css/app.css')
    <style>
        body {
            font-family: 'Poppins', sans-serif;
        }
    </style>
</head>

<button data-drawer-target="default-sidebar" data-drawer-toggle="default-sidebar" aria-controls="default-sidebar"
    type="button"
    class="inline-flex items-center p-2 mt-2 text-sm text-gray-500 rounded-lg ms-3 sm:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600">
    <span class="sr-only">Open sidebar</span>
    <svg class="w-6 h-6" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
        <path clip-rule="evenodd" fill-rule="evenodd"
            d="M2 4.75A.75.75 0 012.75 4h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 4.75zm0 10.5a.75.75 0 01.75-.75h7.5a.75.75 0 010 1.5h-7.5a.75.75 0 01-.75-.75zM2 10a.75.75 0 01.75-.75h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 10z">
        </path>
    </svg>
</button>

<aside id="default-sidebar"
    class="fixed top-0 left-0 z-40 w-64 h-screen transition-transform -translate-x-full sm:translate-x-0"
    aria-label="Sidebar">
    <div class="h-full px-3 py-4 overflow-y-auto bg-black">
        <ul class="mt-20 space-y-2 font-medium">
            <li>
                <a href="{{ url('/') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 22 21">
                        <path
                            d="M16.975 11H10V4.025a1 1 0 0 0-1.066-.998 8.5 8.5 0 1 0 9.039 9.039.999.999 0 0 0-1-1.066h.002Z" />
                        <path
                            d="M12.5 0c-.157 0-.311.01-.565.027A1 1 0 0 0 11 1.02V10h8.975a1 1 0 0 0 1-.935c.013-.188.028-.374.028-.565A8.51 8.51 0 0 0 12.5 0Z" />
                    </svg>
                    <span class="ms-3">Dashboard</span>
                </a>
            </li>
            <li>
                <a href="{{ url('/admin/property') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 18">
                        <path
                            d="M6.143 0H1.857A1.857 1.857 0 0 0 0 1.857v4.286C0 7.169.831 8 1.857 8h4.286A1.857 1.857 0 0 0 8 6.143V1.857A1.857 1.857 0 0 0 6.143 0Zm10 0h-4.286A1.857 1.857 0 0 0 10 1.857v4.286C10 7.169 10.831 8 11.857 8h4.286A1.857 1.857 0 0 0 18 6.143V1.857A1.857 1.857 0 0 0 16.143 0Zm-10 10H1.857A1.857 1.857 0 0 0 0 11.857v4.286C0 17.169.831 18 1.857 18h4.286A1.857 1.857 0 0 0 8 16.143v-4.286A1.857 1.857 0 0 0 6.143 10Zm10 0h-4.286A1.857 1.857 0 0 0 10 11.857v4.286c0 1.026.831 1.857 1.857 1.857h4.286A1.857 1.857 0 0 0 18 16.143v-4.286A1.857 1.857 0 0 0 16.143 10Z" />
                    </svg>
                    <span class="flex-1 ms-3 whitespace-nowrap">Property</span>

                </a>
            </li>
            <li>
                <a href="{{ url('/admin/allunits') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M3 21V3a1 1 0 0 1 1-1h16a1 1 0 0 1 1 1v18M3 9h18M3 13h18M3 17h18M8 21v-4M16 21v-4" />
                    </svg>
                    <span class="flex-1 ms-3 whitespace-nowrap">Units</span>
                </a>
            </li>

            <li>
                <a href="{{ url('/admin/clients') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
                        <path
                            d="M14 2a3.963 3.963 0 0 0-1.4.267 6.439 6.439 0 0 1-1.331 6.638A4 4 0 1 0 14 2Zm1 9h-1.264A6.957 6.957 0 0 1 15 15v2a2.97 2.97 0 0 1-.184 1H19a1 1 0 0 0 1-1v-1a5.006 5.006 0 0 0-5-5ZM6.5 9a4.5 4.5 0 1 0 0-9 4.5 4.5 0 0 0 0 9ZM8 10H5a5.006 5.006 0 0 0-5 5v2a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-2a5.006 5.006 0 0 0-5-5Z" />
                    </svg>
                    <span class="flex-1 ms-3 whitespace-nowrap">Client</span>
                </a>
            </li>
            {{-- <li>
                <a href="{{ url('/billing-statements') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M9 12h6M9 16h6M9 8h2M12 2H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V8l-6-6z" />
                    </svg>
                    <span class="flex-1 ms-3 whitespace-nowrap">Billing Statement</span>
                </a>
            </li> --}}

            <li>
                <button type="button" class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group"
                    aria-controls="dropdown-example2" data-collapse-toggle="dropdown-example2">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M12 8c1.1 0 2 .9 2 2s-.9 2-2 2-2 .9-2 2 .9 2 2 2m0-8v2m-4 8h8m-8-4h8m-8-4h2m10-4H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V6l-6-6z" />
                    </svg>


                    <span class="flex-1 ml-3 text-left whitespace-nowrap"> Account Receivables</span>
                    <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <ul id="dropdown-example2" class="hidden py-2 pl-10 space-y-2">
                    <li>
                        <a href="{{ url('/Alllpaymentlist') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Billing
                            Statement
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('/additionalfees') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Additional
                            Fee
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('/miscellaneous_fees') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Miscellaneous
                            Income
                        </a>
                    </li>



                </ul>
            </li>
            <li>
                <button type="button" class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group"
                    aria-controls="dropdown-example3" data-collapse-toggle="dropdown-example3">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M3 7h18M3 11h18M3 15h18M3 19h18M4 4h16a2 2 0 012 2v12a2 2 0 01-2 2H4a2 2 0 01-2-2V6a2 2 0 012-2z" />
                    </svg>
                    <span class="flex-1 ml-3 text-left whitespace-nowrap"> Account Payables</span>
                    <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <ul id="dropdown-example3" class="hidden py-2 pl-10 space-y-2">
                    <li>
                        <a href="{{ url('/payables') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Payables
                        </a>
                    </li>




                </ul>
            </li>
            <li>
                <a href="{{ url('/ManagePayments') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M17 9V7a2 2 0 00-2-2H9a2 2 0 00-2 2v2m10 0H7m10 0h2a2 2 0 012 2v6a2 2 0 01-2 2H7a2 2 0 01-2-2v-6a2 2 0 012-2h2m4 4v-2m-4 2h8" />
                    </svg>

                    <span class="flex-1 ms-3 whitespace-nowrap">Payments</span>
                </a>
            </li>




            <li>
                <button type="button"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group"
                    aria-controls="dropdown-example" data-collapse-toggle="dropdown-example">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                        <path fill="currentColor"
                            d="M10 0C6.14 0 3 3.14 3 7c0 2.93 2.17 5.43 5 5.92V14c0 .55.45 1 1 1s1-.45 1-1v-1.08c2.83-.49 5-2.99 5-5.92 0-3.86-3.14-7-7-7zm1 16.25c0 .41-.34.75-.75.75h-1.5c-.41 0-.75-.34-.75-.75v-.75h3v.75zm1.25 1.75c0 .41-.34.75-.75.75h-4c-.41 0-.75-.34-.75-.75v-1h5.5v1z" />
                    </svg>
                    <span class="flex-1 ml-3 text-left whitespace-nowrap">Utility Bills</span>
                    <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <ul id="dropdown-example" class="hidden py-2 pl-10 space-y-2">
                    <li>
                        <a href="{{ url('/electricbill') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Electric
                            Bills</a>
                    </li>
                    <li>
                        <a href="{{ url('/waterbill') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Water
                            Bills</a>
                    </li>


                </ul>
            </li>
            <li>
                <button type="button"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group"
                    aria-controls="dropdown-example5" data-collapse-toggle="dropdown-example5">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M12 8c1.1 0 2 .9 2 2s-.9 2-2 2-2 .9-2 2 .9 2 2 2m0-8v2m-4 8h8m-8-4h8m-8-4h2m10-4H6a2 2 0 00-2 2v16a2 2 0 002 2h12a2 2 0 002-2V6l-6-6z" />
                    </svg>


                    <span class="flex-1 ml-3 text-left whitespace-nowrap">Reports</span>
                    <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <ul id="dropdown-example5" class="hidden py-2 pl-10 space-y-2">
                    <li>
                        <a href="{{ url('/recievable/reports') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Recievables

                        </a>
                    </li>

                    <li>
                        <a href="{{ url('/combined-report') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                            Payables

                        </a>
                    </li>
                    <li>
                        <a href="{{ url('/monthlyrevenue') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                            Revenue

                        </a>
                    </li>

                    {{-- <li>
                        <a href="{{ url('/additionalfees') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                            Reciepts

                        </a>
                    </li> --}}



                </ul>
            </li>
            <li>
                <button type="button"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group"
                    aria-controls="dropdown-example1" data-collapse-toggle="dropdown-example1">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20">
                        <path fill="currentColor"
                            d="M15.29 11.29l-1.47-1.47c.33-.55.53-1.18.53-1.82 0-2.21-1.79-4-4-4s-4 1.79-4 4c0 .64.2 1.27.53 1.82L4.71 11.29A3.937 3.937 0 0 0 3 14c0 2.21 1.79 4 4 4s4-1.79 4-4a3.937 3.937 0 0 0-1.71-2.71zM10 15c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM14.5 8.5c0-.55-.45-1-1-1s-1 .45-1 1 .45 1 1 1 .99-.45 1-1zM5.5 8.5c0-.55-.45-1-1-1s-1 .45-1 1 .45 1 1 1 .99-.45 1-1z" />
                    </svg>

                    <span class="flex-1 ml-3 text-left whitespace-nowrap"> Payroll</span>
                    <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd"></path>
                    </svg>
                </button>
                <ul id="dropdown-example1" class="hidden py-2 pl-10 space-y-2">
                    <li>
                        <a href="{{ url('/employees') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Employee
                        </a>
                    </li>
                    {{-- <li>
                        <a href="{{ url('/deductions') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Deductions
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('/earnings') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Earnings
                        </a>
                    </li> --}}
                    <li>
                        <a href="{{ url('/payrolls') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Payroll
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('/attendance') }}"
                            class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">Attendance
                        </a>
                    </li>


                </ul>
            </li>


            <li>
                <a href="{{ route('inventory.index') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor">
                        <path fill-rule="evenodd"
                            d="M2 2a2 2 0 00-2 2v14a2 2 0 002 2h16a2 2 0 002-2V4a2 2 0 00-2-2H2zm3 8a1 1 0 011-1h10a1 1 0 110 2H6a1 1 0 01-1-1zm0-4a1 1 0 011-1h4a1 1 0 110 2H6a1 1 0 01-1-1z"
                            clip-rule="evenodd" />
                    </svg>

                    <span class="flex-1 ms-3 whitespace-nowrap">Inventory</span>
                </a>
            </li>
            <li>
                <a href="{{ url('/logs') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M3 3h18v18H3V3zm2 2v14h14V5H5z" />
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 5l14 14" />
                    </svg>


                    <span class="flex-1 ms-3 whitespace-nowrap">Audit Logs</span>
                </a>
            </li>
            <li>
                <a href="{{ url('/admin') }}"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M12 2C10.343 2 8.78 2.522 7.485 3.465L6.485 4.465C4.403 6.186 3 8.96 3 12V18L5.29 20.29C6.68 21.68 8.33 22 10 22H14C15.67 22 17.32 21.68 18.71 20.29L21 18V12C21 8.96 19.597 6.186 17.515 4.465L16.515 3.465C15.22 2.522 13.657 2 12 2ZM9.5 8C10.328 8 11 8.672 11 9.5C11 10.328 10.328 11 9.5 11C8.672 11 8 10.328 8 9.5C8 8.672 8.672 8 9.5 8ZM14.5 8C15.328 8 16 8.672 16 9.5C16 10.328 15.328 11 14.5 11C13.672 11 13 10.328 13 9.5C13 8.672 13.672 8 14.5 8ZM12 17C10.34 17 8.913 16.168 8.292 15H15.708C15.087 16.168 13.66 17 12 17Z" />
                    </svg>


                    <span class="flex-1 ms-3 whitespace-nowrap">Admin</span>
                </a>
            </li>
            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const button = document.querySelector('[data-collapse-toggle="dropdown-example5"]');
                    const dropdown = document.getElementById('dropdown-example5');

                    button.addEventListener('click', function() {
                        dropdown.classList.toggle('hidden'); // Toggle visibility of the dropdown
                    });
                });
            </script>
            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const button = document.querySelector('[data-collapse-toggle="dropdown-example2"]');
                    const dropdown = document.getElementById('dropdown-example2');

                    button.addEventListener('click', function() {
                        dropdown.classList.toggle('hidden'); // Toggle visibility of the dropdown
                    });
                });
            </script>
            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const button = document.querySelector('[data-collapse-toggle="dropdown-example"]');
                    const dropdown = document.getElementById('dropdown-example');

                    button.addEventListener('click', function() {
                        dropdown.classList.toggle('hidden'); // Toggle visibility of the dropdown
                    });
                });
            </script>
            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const button = document.querySelector('[data-collapse-toggle="dropdown-example1"]');
                    const dropdown = document.getElementById('dropdown-example1');

                    button.addEventListener('click', function() {
                        dropdown.classList.toggle('hidden'); // Toggle visibility of the dropdown
                    });
                });
            </script>
            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const button = document.querySelector('[data-collapse-toggle="dropdown-example3"]');
                    const dropdown = document.getElementById('dropdown-example3');

                    button.addEventListener('click', function() {
                        dropdown.classList.toggle('hidden'); // Toggle visibility of the dropdown
                    });
                });
            </script>


            <li>
                <a href="#" onclick="openLogoutModal()"
                    class="flex items-center p-2 text-white rounded-lg dark:hover:bg-gray-700 group">
                    <svg class="flex-shrink-0 w-5 h-5 text-gray-500 transition duration-75 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                        viewBox="0 0 20 20">
                        <path d="M5 5V.13a2.96 2.96 0 0 0-1.293.749L.879 3.707A2.96 2.96 0 0 0 .13 5H5Z" />
                        <path
                            d="M6.737 11.061a2.961 2.961 0 0 1 .81-1.515l6.117-6.116A4.839 4.839 0 0 1 16 2.141V2a1.97 1.97 0 0 0-1.933-2H7v5a2 2 0 0 1-2 2H0v11a1.969 1.969 0 0 0 1.933 2h12.134A1.97 1.97 0 0 0 16 18v-3.093l-1.546 1.546c-.413.413-.94.695-1.513.81l-3.4.679a2.947 2.947 0 0 1-1.85-.227 2.96 2.96 0 0 1-1.635-3.257l.681-3.397Z" />
                        <path
                            d="M8.961 16a.93.93 0 0 0 .189-.019l3.4-.679a.961.961 0 0 0 .49-.263l6.118-6.117a2.884 2.884 0 0 0-4.079-4.078l-6.117 6.117a.96.96 0 0 0-.263.491l-.679 3.4A.961.961 0 0 0 8.961 16Zm7.477-9.8a.958.958 0 0 1 .68-.281.961.961 0 0 1 .682 1.644l-.315.315-1.36-1.36.313-.318Zm-5.911 5.911 4.236-4.236 1.359 1.359-4.236 4.237-1.7.339.341-1.699Z" />
                    </svg>
                    <span class="flex-1 ms-3 whitespace-nowrap">Logout</span>
                </a>
            </li>
        </ul>
    </div>
</aside>

<div class="p-4 sm:ml-64">
    @yield('content')


    <!-- DataTables JavaScript -->
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    @yield('scripts')

</div>


<!-- Add this modal at the end of your layout or where appropriate -->
<!-- Logout Modal -->
<div id="logoutModal" class="fixed inset-0 flex items-center justify-center hidden bg-gray-500 bg-opacity-75">
    <div class="w-1/2 p-8 bg-white rounded shadow-lg">
        <div class="mb-6 text-center">
            <h2 class="text-lg font-bold">Confirm Logout</h2>
        </div>
        <div class="mb-6 text-center">
            <p>Are you sure you want to logout?</p>
        </div>
        <div class="flex justify-center">
            <form id="logoutForm" action="{{ route('logout') }}" method="POST">
                @csrf
                <button type="submit"
                    class="px-4 py-2 mr-4 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
                    Logout
                </button>
                <button type="button" class="px-4 py-2 font-bold text-white bg-gray-400 rounded hover:bg-gray-600"
                    onclick="closeLogoutModal()">
                    Cancel
                </button>
            </form>
        </div>
    </div>
</div>

<script>
    function openLogoutModal() {
        document.getElementById('logoutModal').classList.remove('hidden');
    }

    function closeLogoutModal() {
        document.getElementById('logoutModal').classList.add('hidden');
    }
</script>


<script>
    $(document).ready(function() {
        // Toggle sidebar visibility
        $('[data-drawer-toggle]').on('click', function() {
            var target = $(this).data('drawer-target');
            var sidebar = $('#' + target);

            if (sidebar.hasClass('-translate-x-full')) {
                sidebar.removeClass('-translate-x-full').addClass('translate-x-0');
            } else {
                sidebar.removeClass('translate-x-0').addClass('-translate-x-full');
            }
        });
    });
</script>



</body>

</html>
