<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PropertyController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\LeaseController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\UtilitiesController;
use App\Http\Controllers\BillingStatementController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\LogsController;
use App\Http\Controllers\PayrollController;
use App\Http\Controllers\ReportsController;
use App\Http\Controllers\EarningController;
use App\Http\Controllers\DeductionController;
use App\Http\Controllers\EmployeeContorller;
use App\Http\Controllers\PayableController;
use App\Http\Controllers\InventoryController;
use App\Http\Controllers\AdditionalFeeController;
use App\Http\Controllers\AttendanceController;
use App\Http\Controllers\MiscellaneousFeeController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Route::get('/unit', function () {
    return view('CMS.units');
});



Route::get('/statementform', function () {
    return view('CMS.Payment.statementform');
});



Route::get('/login', [AuthController::class, 'showLoginForm'])->name('login');
Route::post('/login', [AuthController::class, 'login']);
Route::post('/logout', [AuthController::class, 'logout'])->name('logout');






Route::middleware('admin')->group(function () {

    Route::get('/inventory', [InventoryController::class, 'index'])->name('inventory.index');
    Route::get('/inventory/create', [InventoryController::class, 'create'])->name('inventory.create');
    Route::post('/inventory/store', [InventoryController::class, 'store'])->name('inventory.store');
    Route::get('/inventory/{inventory}', [InventoryController::class, 'show'])->name('inventory.show');
    Route::get('/inventory/{inventory}/edit', [InventoryController::class, 'edit'])->name('inventory.edit');
    Route::put('/inventory/{inventory}', [InventoryController::class, 'update'])->name('inventory.update');
    Route::delete('/inventory/{inventory}', [InventoryController::class, 'destroy'])->name('inventory.destroy');
    Route::post('/inventory/{inventory}/stock', [InventoryController::class, 'stockInOut'])->name('inventory.stockInOut');
    Route::post('/inventory/in_out', [InventoryController::class, 'storeStockMovement'])->name('inventory.in_out');

    Route::get('/get-payment-amount/{payment_id}', [PaymentController::class, 'getPaymentAmount']);


    Route::get('/admin/property', [PropertyController::class, 'index'])->name('properties.create');
    Route::get('/admin/unit/{id}', [PropertyController::class, 'viewunits'])->name('units.index');
    Route::post('/properties', [PropertyController::class, 'store'])->name('properties.store');
    Route::post('/unit', [PropertyController::class, 'storenewunit'])->name('unit.store');
    Route::put('/properties/{property}', [PropertyController::class, 'update'])->name('properties.update');
    Route::post('/unit-update', [PropertyController::class, 'updateunits'])->name('unit.update');
    Route::delete('/properties/{id}', [PropertyController::class, 'delete'])->name('properties.destroy');
    Route::delete('/Unit/{id}', [PropertyController::class, 'deleteunit'])->name('delete.unit');
    Route::get('/admin/allunits', [PropertyController::class, 'allunits']);


    Route::get('/admin/clients', [ClientController::class, 'index'])->name('clients.create');
    Route::post('/add-client', [ClientController::class, 'store'])->name('client.store');
    Route::delete('/delete-client/{id}', [ClientController::class, 'delete'])->name('delete.client');
    Route::put('/client/{id}', [ClientController::class, 'update'])->name('client.update');
    Route::get('/export-clients', [ClientController::class, 'exportClients'])->name('export.clients');



    Route::get('/clients-billing-soa/{id}', [ClientController::class, 'clientsoa'])->name('clients.clientsoa');



    Route::put('/update-payment-status/{payment_id}', [LeaseController::class, 'updateStatus'])->name('update.payment.status');



    Route::get('/lease/{id}', [LeaseController::class, 'index'])->name('lease.index');

    Route::get('/lease', [LeaseController::class, 'index1'])->name('clients.create');
    Route::get('/units/{propertyId}', [LeaseController::class, 'getUnitsByProperty']);
    Route::get('/unit/{unitId}', [LeaseController::class, 'getUnitDetails']);
    Route::post('/add-lease', [LeaseController::class, 'store'])->name('lease.store');
    Route::delete('/delete-lease/{id}', [LeaseController::class, 'deletelease'])->name('delete.lease');
    Route::post('/leasesupdate/{id}', [LeaseController::class, 'update'])->name('lease.update');


    Route::get('/leases/create/{unit_id}', [LeaseController::class, 'create'])->name('lease.create');

    Route::post('/lease/cancel/{id}', [LeaseController::class, 'unitcancel'])->name('lease.cancel');


    Route::get('/paymentlist/{id}', [PaymentController::class, 'index'])->name('payment.list');
    Route::get('/clientpaymentlist/{id}', [PaymentController::class, 'index2'])->name('payment.list2');
    Route::get('/Alllpaymentlist', [PaymentController::class, 'allpayments']);
    Route::put('/newpayment/{id}', [PaymentController::class, 'update'])->name('payment.update');
    Route::post('/newpayments', [PaymentController::class, 'store']);
    Route::get('/ManagePayments', [PaymentController::class, 'clientsoa'])->name('manage.payments');
    Route::delete('/newpayment/{id}', [PaymentController::class, 'deletenewpayment'])->name('delete.newpayment');
    Route::delete('/payment/{id}', [PaymentController::class, 'deletepayment'])->name('delete.payment');
    Route::put('/update-payment/{payment_id}', [PaymentController::class, 'updatepayment'])->name('allpayment.update');

    Route::get('/search-clients', [PaymentController::class, 'searchClients'])->name('search.clients');


    Route::post('/newwaterbill', [UtilitiesController::class, 'store']);
    Route::get('/waterbill', [UtilitiesController::class, 'index']);
    Route::get('/electricbill', [UtilitiesController::class, 'electricbillview']);
    Route::post('/newelectricbill', [UtilitiesController::class, 'storeelectricbill'])->name('elect.add');
    Route::delete('/electricbill/{id}', [UtilitiesController::class, 'deleteElectricbill'])->name('delete.electric');
    Route::delete('/waterbill/{id}', [UtilitiesController::class, 'deletewaterbill'])->name('delete.water');




    Route::get('/', [DashboardController::class, 'index'])->name('dashboard');

    Route::get('/statementform/{id}', [BillingStatementController::class, 'statementofaccount']);
    Route::get('/soa/{id}/{p_id}', [BillingStatementController::class, 'soa']);
    Route::get('/invoice/{id}/{p_id}', [BillingStatementController::class, 'invoice']);
    Route::get('/demand_letter/{id}', [BillingStatementController::class, 'demandletter']);

    Route::get('/foreclosure_letter/{id}', [BillingStatementController::class, 'forclosurenotice']);


    Route::get('/billing-statements', [BillingStatementController::class, 'index'])->name('billing-statements.index');
    Route::post('/billing-statements-add', [BillingStatementController::class, 'store'])->name('billing-statements.store');
    Route::delete('/billingstatement/{id}', [BillingStatementController::class, 'deletebillingstatement'])->name('delete.billingstatement');


    Route::get('/foreclosure', function () {
        return view('CMS.Letter.forclosure');
    });




    Route::get('/payables/report', function () {
        return view('CMS.Payables.report');
    });






    Route::get('/accountsreports', function () {
        return view('CMS.Report.accountrecievables');
    });













    Route::get('/logs', [LogsController::class, 'index'])->name('logs.index');

    Route::delete('/logs/{id}', [LogsController::class, 'delete'])->name('logs.delete');
    Route::post('/logs/delete-all', [LogsController::class, 'deleteAll'])->name('logs.deleteAll');

    // web.php
    Route::delete('/inventorystock/{id}', [InventoryController::class, 'delete'])->name('inventory.delete');

    Route::delete('/consumable/{id}', [InventoryController::class, 'deleteconsumable'])->name('consumable.delete');


    Route::post('/add-consumables', [InventoryController::class, 'storeconsumables'])->name('add.consumables');
    Route::put('/update-consumables/{id}', [InventoryController::class, 'updateconsumables'])->name('update.consumables');

    Route::resource('attendance', AttendanceController::class);
    Route::post('/attendance/import', [AttendanceController::class, 'import'])->name('attendance.import');

    Route::resource('payrolls', PayrollController::class);

    Route::resource('miscellaneous_fees', MiscellaneousFeeController::class);

    Route::get('/miscellaneous-fees/report', [MiscellaneousFeeController::class, 'report'])->name('miscellaneous-fees.report');

    Route::resource('admin', AdminController::class);




    Route::resource('employees', EmployeeContorller::class);
    Route::resource('earnings', EarningController::class);
    Route::resource('deductions', DeductionController::class);
    Route::get('/employeepayroll/{id}', [PayrollController::class, 'individualpayroll'])->name('employee.payroll');

    Route::resource('payables', PayableController::class);
    Route::resource('additionalfees', AdditionalFeeController::class);

    Route::get('payables/report/', [PayableController::class, 'generateReport'])->name('payables.report');


    Route::get('/export-revenue', [ReportsController::class, 'exportRevenue'])->name('exportRevenue');

    Route::get('/export-inventory', [ReportsController::class, 'InventoryExport'])->name('export.inventory');
    Route::get('/export-electricbill', [ReportsController::class, 'E_billExport'])->name('export.Ebill');

    Route::get('/export-waterbill', [ReportsController::class, 'W_billExport'])->name('export.Wbill');

    Route::get('/recievable/reports', [ReportsController::class, 'accountsReport'])->name('reports.recievables');
    Route::get('/monthlyrevenue', [ReportsController::class, 'monthlyrevenue'])->name('monthlyrevenue');
    Route::get('/combined-report', [ReportsController::class, 'combinedReport'])->name('combinedReport');
    Route::get('export/combined-payment', [ReportsController::class, 'exportCombinedPayment'])->name('paymentreport');
    Route::get('/combined-report', [ReportsController::class, 'combinedReport'])->name('combined.report');


    Route::get('/withholding-tax-report', [ReportsController::class, 'withholdingTaxReport'])->name('withholding.tax.report');

    Route::get('/property', [ReportsController::class, 'PropertyExport'])->name('property.export');
    Route::get('/consumable', [ReportsController::class, 'exportConsumables'])->name('export.consumables');



    Route::get('/export-attendance', [ReportsController::class, 'exportAttendance'])->name('export.attendance');
});


Route::middleware('client')->group(function () {

    Route::get('/CMS/clients', [ClientController::class, 'clientdata'])->name('clients.retrieve');
    Route::get('/payments/create', [ClientController::class, 'showPaymentForm'])->name('payments.create');
    Route::post('/payments/redirect', [ClientController::class, 'redirectToPaymentLink'])->name('payments.redirect');
});
