 <!-- Use your layout template as per your application setup -->

<?php $__env->startSection('content'); ?>
    <div class=" containe mx-80">
        <div class="text-center">
            <h2 class="mb-4 text-3xl font-bold">Add lease</h2>
            <?php if(session('success')): ?>
                <div class="text-center text-red-900 alert alert-success">
                    <?php echo e(session('success')); ?>

                </div>
            <?php endif; ?>
            <form method="POST" action="<?php echo e(route('lease.store')); ?>" class="p-6 bg-white rounded">
                <?php echo csrf_field(); ?>
                <input type="hidden" id="property_id" name="property_id"
                    value="<?php echo e(old('property_id', $clientmain->property->id)); ?>">
                <input type="hidden" id="unit_id" name="unit_id" value="<?php echo e(old('unit_id', $clientmain->unit_id)); ?>">

                <div class="overflow-x-auto">
                    <table class="w-full border-collapse border border-gray-200">
                        <thead>
                            <tr class="bg-gray-100 text-left">
                                <th class="px-4 py-2 border border-gray-300">Field</th>
                                <th class="px-4 py-2 border border-gray-300">Value</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Tenant Name:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <select id="client_id" name="client_id"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        required>
                                        <option value="">Select Client</option>
                                        <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($client->client_id); ?>"
                                                <?php echo e(old('client_id') == $client->client_id ? 'selected' : ''); ?>>
                                                <?php echo e($client->owners_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Lease Start Date:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="date" id="lease_start_date" name="lease_start_date"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        value="<?php echo e(old('lease_start_date')); ?>" required>
                                    <?php $__errorArgs = ['lease_start_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Contract Type:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <select id="rate_type" name="rate_type"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline">
                                        <option value="" disabled selected>Select Contract Type</option>
                                        <option value="Daily" <?php echo e(old('rate_type') == 'Daily' ? 'selected' : ''); ?>>Daily
                                        </option>
                                        <option value="Weekly" <?php echo e(old('rate_type') == 'Weekly' ? 'selected' : ''); ?>>Weekly
                                        </option>
                                        <option value="Monthly" <?php echo e(old('rate_type') == 'Monthly' ? 'selected' : ''); ?>>
                                            Monthly</option>
                                    </select>
                                    <?php $__errorArgs = ['rate_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Lease Duration:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="number" id="lease_duration" name="lease_duration"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Enter Duration" value="<?php echo e(old('lease_duration')); ?>" required>
                                    <?php $__errorArgs = ['lease_duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Rent Amount:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="text" id="payment_amount" name="payment_amount"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Enter Monthly Rent Amount"
                                        value="<?php echo e(old('payment_amount', $clientmain->rate_type == 'Per Square Meter' ? $clientmain->rate * $clientmain->size : $clientmain->rate)); ?>">
                                    <?php $__errorArgs = ['payment_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Yearly Escalation:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="number" id="yearly_escalation" name="yearly_escalation"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Yearly Escalation" value="<?php echo e(old('yearly_escalation')); ?>">
                                    <?php $__errorArgs = ['yearly_escalation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Terms:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="number" id="terms" name="terms"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Terms" value="<?php echo e(old('terms')); ?>">
                                    <?php $__errorArgs = ['terms'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Business Start Date:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="date" id="business_start_date" name="business_start"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Business Start Date" value="<?php echo e(old('business_start')); ?>">
                                    <?php $__errorArgs = ['business_start'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Annual (Rental Relief):</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="text" id="relief_rental" name="relief_rental"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="" value="<?php echo e(old('relief_rental')); ?>">
                                    <?php $__errorArgs = ['relief_rental'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Security Deposit:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <input type="text" id="security_deposit" name="security_deposit"
                                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-gray-300 rounded shadow-sm focus:outline-none focus:shadow-outline"
                                        placeholder="Deposit" value="<?php echo e(old('security_deposit')); ?>">
                                    <?php $__errorArgs = ['security_deposit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Utilities:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <textarea id="utilities" name="utilities" rows="3"
                                        class="w-full px-3 py-2 text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500"><?php echo e(old('utilities')); ?></textarea>
                                    <?php $__errorArgs = ['utilities'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Rules and Regulations:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <textarea id="rules" name="rules_and_regulations" rows="3"
                                        class="w-full px-3 py-2 text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500"><?php echo e(old('rules_and_regulations')); ?></textarea>
                                    <?php $__errorArgs = ['rules_and_regulations'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <p class="text-red-500 text-sm mt-1"><?php echo e($message); ?></p>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="px-4 py-2 border border-gray-300 font-bold">Payment Schedule:</td>
                                <td class="px-4 py-2 border border-gray-300">
                                    <div id="payment_schedule"
                                        class="w-full h-40 px-3 py-2 overflow-x-auto text-gray-700 border border-gray-300 rounded shadow-sm">
                                        <!-- Payment schedule content here -->
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <!-- Submit Button -->
                <div class="mt-4">
                    <button type="submit" class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-700">Save
                        Lease Agreement</button>
                </div>
            </form>


            <a href="<?php echo e(url('/lease', $clientmain->unit_id)); ?>"
                class="inline-block px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Go to list</a>
        </div>
    </div>
    
<?php $__env->stopSection(); ?>

<?php echo $__env->make('CMS.unitmodal.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/leaseManagement/leasepage.blade.php ENDPATH**/ ?>