

<?php $__env->startSection('content'); ?>
    <style>
        @media print {
            body * {
                visibility: hidden;
            }

            .print-content,
            .print-content * {
                visibility: visible;
                font-size: 10px;
                /* Adjust the font size as needed */
            }

            .print-content {
                position: absolute;
                left: 0;
                top: 0;
                width: 210mm;
                /* A4 width */
                height: 350mm;
                /* A4 height */
                padding: 10mm;
                /* Add padding to simulate margin */
                box-sizing: border-box;
            }

            .print-content table td,
            .print-content table th {
                padding: 2px;
                /* Adjust the padding as needed */
            }
        }
    </style>
    <div class="container px-4 py-6 mx-auto">
        <h1 class="mb-6 text-3xl font-bold text-gray-900">Miscellaneous Fees Report</h1>

        <form action="<?php echo e(route('miscellaneous-fees.report')); ?>" method="GET" class="mb-6">
            <div class="grid grid-cols-1 gap-4 md:grid-cols-3">
                <div>
                    <label for="month" class="block mb-1 text-sm font-medium text-gray-700">Month</label>
                    <select id="month" name="month"
                        class="block w-full py-2 pl-3 pr-10 border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
                        <?php $__currentLoopData = range(1, 12); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $m): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($m); ?>"
                                <?php echo e($m == request('month', now()->month) ? 'selected' : ''); ?>>
                                <?php echo e(date('F', mktime(0, 0, 0, $m, 1))); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <div>
                    <label for="year" class="block mb-1 text-sm font-medium text-gray-700">Year</label>
                    <select id="year" name="year"
                        class="block w-full py-2 pl-3 pr-10 border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
                        <?php $__currentLoopData = range(now()->year - 5, now()->year); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $y): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($y); ?>" <?php echo e($y == request('year', now()->year) ? 'selected' : ''); ?>>
                                <?php echo e($y); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <div class="flex items-end">
                    <button type="submit"
                        class="inline-flex justify-center w-full px-4 py-2 text-sm font-medium text-white bg-indigo-600 border border-transparent rounded-md shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                        Generate Report
                    </button>
                </div>
            </div>
        </form>
        <div class="print-content">
            <div class="overflow-hidden bg-white shadow sm:rounded-lg">
                <div class="px-4 py-5 sm:px-6">
                    <h3 class="text-lg font-medium leading-6 text-gray-900">
                        Total Miscellaneous Fees for <?php echo e(date('F', mktime(0, 0, 0, request('month', now()->month), 1))); ?>

                        <?php echo e(request('year', now()->year)); ?>

                    </h3>
                </div>

            </div>

            <div class="mt-8">
                <table class="min-w-full divide-y divide-gray-200">
                    <thead class="text-center bg-gray-50">
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-500 uppercase">
                                Property
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-500 uppercase">Type
                            </th>

                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-500 uppercase">
                                Amount
                                Paid (PHP)</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-500 uppercase">
                                Voucher
                            </th>


                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-500 uppercase">Date
                            </th>
                        </tr>
                    </thead>
                    <tbody class="text-center bg-white divide-y divide-gray-200">
                        <?php $__currentLoopData = $fees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="px-6 py-4 text-sm text-gray-900 whitespace-nowrap">
                                    <?php echo e($fee->property->property_name); ?></td>
                                <td class="px-6 py-4 text-sm text-gray-900 whitespace-nowrap"><?php echo e($fee->type); ?></td>

                                <td class="px-6 py-4 text-sm text-gray-900 whitespace-nowrap">
                                    <?php echo e(number_format($fee->amount_paid, 2)); ?></td>
                                <td class="px-6 py-4 text-sm text-gray-900 whitespace-nowrap"><?php echo e($fee->id); ?></td>

                                <td class="px-6 py-4 text-sm text-gray-900 whitespace-nowrap"><?php echo e($fee->formatted_date); ?>

                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div class="mt-10 border-t border-gray-200">
                    <div class="grid grid-cols-2 gap-2 px-4 py-5 ml-10 bg-gray-50">
                        <p class="text-sm font-medium text-gray-500">
                            Total Amount
                        </p>
                        <p class="text-sm font-bold text-gray-900">
                            ₱<?php echo e(number_format($totalFees, 2)); ?>

                        </p>
                    </div>
                </div>

            </div>
        </div>
        <div class="mt-4 text-center">
            <button onclick="window.print()" class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
                Print Statement
            </button>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Recievable/miscellaneous_report.blade.php ENDPATH**/ ?>