<!-- resources/views/CMS/inventory/index.blade.php -->



<?php $__env->startSection('content'); ?>
    <div class="container px-4 py-8 mx-auto">
        <div class="grid grid-cols-1 gap-4 lg:grid-cols-3" id="invdiv">
            <!-- Inventory Items Section -->
            <div class="overflow-hidden bg-white rounded-lg shadow-md lg:col-span-1">
                <div class="px-4 py-2 bg-gray-200 border-b">
                    <h3 class="text-lg font-semibold text-gray-800">Inventory Management</h3>
                </div>
                <div class="p-4">
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('stkdiv')">Stock In/Out</button>
                    </div>
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('condiv')">Consumables</button>
                    </div>

                    <form id="addForm" action="<?php echo e(route('inventory.store')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="mb-4">
                            <label for="category" class="block text-sm font-medium text-gray-700">Category</label>
                            <select name="category" id="category"
                                class="block w-full mt-1 border-gray-300 rounded-md shadow-sm">
                                <option value="Tools & Machineries">Tools & Machineries</option>
                                <option value="Consumables / Excess Materials">Consumables / Excess Materials</option>
                                <option value="Office Supplies">Office Supplies</option>
                                <option value="Office Equipment">Office Equipment</option>
                            </select>
                        </div>
                        <div class="mb-4">
                            <label for="item_name" class="block text-sm font-medium text-gray-700">Item Name</label>
                            <input type="text" name="item_name" id="item_name"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        </div>
                        <div class="mb-4">
                            <label for="quantity" class="block text-sm font-medium text-gray-700">Quantity</label>
                            <input type="number" name="quantity" id="quantity"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        </div>
                        <div class="mb-4">
                            <label for="unit" class="block text-sm font-medium text-gray-700">Notes</label>
                            <input type="text" name="unit" id="unit"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm">
                        </div>
                        <div class="flex justify-end">
                            <button type="submit"
                                class="px-4 py-2 ml-2 text-white bg-blue-500 rounded hover:bg-blue-600">Add</button>
                        </div>
                    </form>
                </div>
            </div>

            <div class="mt-10 lg:col-span-2">
                <?php if(session('success')): ?>
                    <div class="p-2 mt-4 text-green-700 bg-green-100 rounded"><?php echo e(session('success')); ?></div>
                <?php endif; ?>
                <div class="flex justify-between py-5 ">
                    <div>
                        <h3 class="p-5 text-lg font-semibold text-gray-800">Items</h3>
                    </div>
                    <div>
                        <a href="<?php echo e(route('export.inventory')); ?>"
                            class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
                            Export Inventory
                        </a>
                    </div>
                </div>


                <table id="itemsTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                    <thead class="bg-gray-200">
                        <tr>
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Category</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Item Name</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Quantity</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Notes</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Actions</th>
                        </tr>
                    </thead>
                    <tbody class="text-sm text-gray-600"></tbody>
                </table>
            </div>
        </div>

        <div class="grid hidden grid-cols-1 gap-4 lg:grid-cols-3" id="stkdiv">
            <div class="overflow-hidden bg-white rounded-lg shadow-md lg:col-span-1">
                <div class="px-4 py-2 bg-gray-200 border-b">
                    <h3 class="text-lg font-semibold text-gray-800">Stock In/Out Management</h3>
                </div>
                <div class="p-4">
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('invdiv')">Inventory</button>
                    </div>
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('condiv')">Consumables</button>
                    </div>

                    <form action="<?php echo e(route('inventory.in_out')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="mb-4">
                            <label for="inventory_id" class="block text-sm font-medium text-gray-700">Item</label>
                            <select name="inventory_id" id="inventory_id"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                                <?php $__currentLoopData = $inventoryItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->item_name); ?> (<?php echo e($item->category); ?>)
                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-4">
                            <label for="type" class="block text-sm font-medium text-gray-700">Type</label>
                            <select name="type" id="type"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                                <option value="in">Stock In</option>
                                <option value="out">Stock Out</option>
                            </select>
                        </div>
                        <div class="mb-4">
                            <label for="quantity" class="block text-sm font-medium text-gray-700">Quantity</label>
                            <input type="number" name="quantity" id="quantity"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        </div>
                        <div class="mb-4">
                            <label for="notes" class="block text-sm font-medium text-gray-700">Notes</label>
                            <input type="text" name="notes" id="notes"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        </div>
                        <div class="mb-4">
                            <label for="date" class="block text-sm font-medium text-gray-700">Date</label>
                            <input type="date" name="date" id="date"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        </div>
                        <div class="flex justify-end">
                            <button type="submit"
                                class="px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600 ">Submit</button>
                        </div>
                    </form>
                </div>
            </div>

            <div class="mt-10 lg:col-span-2">
                <?php if(session('success')): ?>
                    <div class="p-2 mt-4 text-green-700 bg-green-100 rounded"><?php echo e(session('success')); ?></div>
                <?php endif; ?>

                <h3 class="p-5 text-lg font-semibold text-gray-800">Stock In/Out</h3>
                <table id="stocksTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                    <thead class="bg-gray-200">
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Item</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Type</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Quantity</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Notes</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Date</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Actions</th>
                        </tr>
                    </thead>
                    <tbody class="text-sm text-gray-600">
                    </tbody>
                </table>
            </div>
        </div>



        <div class="grid hidden grid-cols-1 gap-4 lg:grid-cols-3" id="condiv">
            <div class="overflow-hidden bg-white rounded-lg shadow-md lg:col-span-1">
                <div class="px-4 py-2 bg-gray-200 border-b">
                    <h3 class="text-lg font-semibold text-gray-800">Consumables</h3>
                </div>
                <div class="p-4">
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('invdiv')">Inventory</button>
                    </div>
                    <div class="mb-4">
                        <button class="w-full px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600"
                            onclick="toggleTable('stkdiv')">Stock In/Out</button>
                    </div>
                    <form action="<?php echo e(route('add.consumables')); ?>" method="POST">
                        <?php echo csrf_field(); ?>

                        <div class="mb-4">
                            <label for="name" class="block text-sm font-medium text-gray-700">Name</label>
                            <input type="text" name="name" id="name" value="<?php echo e(old('name')); ?>"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                required>
                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mt-1 text-xs text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-4">
                            <label for="quantity" class="block text-sm font-medium text-gray-700">Quantity</label>
                            <input type="number" name="quantity" id="quantity" value="<?php echo e(old('quantity')); ?>"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                required>
                            <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mt-1 text-xs text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-4">
                            <label for="amount_spent" class="block text-sm font-medium text-gray-700">Amount Spent</label>
                            <input type="text" name="amount_spent" id="amount_spent"
                                value="<?php echo e(old('amount_spent')); ?>"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm <?php $__errorArgs = ['amount_spent'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                required>
                            <?php $__errorArgs = ['amount_spent'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mt-1 text-xs text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-4">
                            <label for="date" class="block text-sm font-medium text-gray-700">Date</label>
                            <input type="date" name="date" id="date" value="<?php echo e(old('date')); ?>"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                required>
                            <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mt-1 text-xs text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-4">
                            <label for="notes" class="block text-sm font-medium text-gray-700">Notes</label>
                            <input type="text" name="notes" id="notes" value="<?php echo e(old('notes')); ?>"
                                class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm <?php $__errorArgs = ['notes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                            <?php $__errorArgs = ['notes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mt-1 text-xs text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="flex justify-end">
                            <button type="submit"
                                class="px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600">Submit</button>
                        </div>
                    </form>

                </div>
            </div>

            <div class="mt-10 lg:col-span-2">
                <?php if(session('success')): ?>
                    <div class="p-2 mt-4 text-green-700 bg-green-100 rounded"><?php echo e(session('success')); ?></div>
                <?php endif; ?>

                <h3 class="p-5 text-lg font-semibold text-gray-800">Consumables</h3>
                <form action="<?php echo e(route('export.consumables')); ?>" method="GET">
                    <!-- Year Input -->
                    <div class="mb-4">
                        <label for="year" class="block text-sm font-medium text-gray-700">Year:</label>
                        <input type="number" name="year" id="year" min="2000" max="<?php echo e(date('Y')); ?>"
                            value="<?php echo e(old('year', date('Y'))); ?>" required
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm">
                    </div>

                    <!-- Month Selector -->
                    <div class="mb-4">
                        <label for="month" class="block text-sm font-medium text-gray-700">Month:</label>
                        <select name="month" id="month" required
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm">
                            <?php for($i = 1; $i <= 12; $i++): ?>
                                <option value="<?php echo e($i); ?>" <?php echo e(old('month') == $i ? 'selected' : ''); ?>>
                                    <?php echo e(DateTime::createFromFormat('!m', $i)->format('F')); ?>

                                </option>
                            <?php endfor; ?>
                        </select>
                    </div>

                    <!-- Submit Button -->
                    <div class="flex justify-center">
                        <button type="submit"
                            class="px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600">Export</button>
                    </div>
                </form>

                <table id="consumablesTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                    <thead class="bg-gray-200">
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Item Name</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Quantity</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Amount Spent
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Date</th>

                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Notes</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Actions</th>
                        </tr>
                    </thead>
                    <tbody class="text-sm text-gray-600">
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>







    <?php $__currentLoopData = $inventoryItems1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div id="deleteModal<?php echo e($item->id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                    <h5 class="font-bold text-white">Confirm Delete</h5>
                    <button onclick="closeModal12('deleteModal<?php echo e($item->id); ?>')" class="text-white">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="px-4 py-4">
                    <p>Are you sure you want to delete this item?</p>
                </div>

                <!-- Modal footer -->
                <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                    <button onclick="closeModal12('deleteModal<?php echo e($item->id); ?>')"
                        class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                    <!-- Form for delete -->
                    <form id="deleteForm<?php echo e($item->id); ?>" action="<?php echo e(route('inventory.destroy', $item->id)); ?>"
                        method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit"
                            class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                    </form>
                </div>
            </div>
        </div>





        <div id="editModal<?php echo e($item->id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="w-1/2 mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                    <h5 class="font-bold text-white">Confirm Delete</h5>
                    <button onclick="closeModal12('editModal<?php echo e($item->id); ?>')" class="text-white">&times;</button>
                </div>

                <!-- Modal body -->
                <form action="<?php echo e(route('inventory.update', $item->id)); ?>" method="POST" class="p-10 ">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="mb-4">
                        <label for="category" class="block text-sm font-medium text-gray-700">Category</label>
                        <select name="category" id="category"
                            class="block w-full mt-1 border-gray-300 rounded-md shadow-sm" required>
                            <option value="Tools & Machineries"
                                <?php echo e($item->category === 'Tools & Machineries' ? 'selected' : ''); ?>>Tools & Machineries
                            </option>
                            <option value="Consumables / Excess Materials"
                                <?php echo e($item->category === 'Consumables / Excess Materials' ? 'selected' : ''); ?>>Consumables /
                                Excess Materials</option>
                            <option value="Office Supplies" <?php echo e($item->category === 'Office Supplies' ? 'selected' : ''); ?>>
                                Office Supplies</option>
                            <option value="Office Equipment"
                                <?php echo e($item->category === 'Office Equipment' ? 'selected' : ''); ?>>Office Equipment</option>
                        </select>
                    </div>
                    <div class="mb-4">
                        <label for="item_name" class="block text-sm font-medium text-gray-700">Item Name</label>
                        <input type="text" name="item_name" id="item_name" value="<?php echo e($item->item_name); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                    </div>
                    <div class="mb-4">
                        <label for="quantity" class="block text-sm font-medium text-gray-700">Quantity</label>
                        <input type="number" name="quantity" id="quantity" value="<?php echo e($item->quantity); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                    </div>
                    <div class="mb-4">
                        <label for="unit" class="block text-sm font-medium text-gray-700">Notes</label>
                        <input type="text" name="unit" id="unit" value="<?php echo e($item->unit); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm">
                    </div>
                    <div class="flex justify-end">
                        <button type="submit"
                            class="px-4 py-2 ml-2 text-white bg-blue-500 rounded hover:bg-blue-600">Update</button>
                    </div>
                </form>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


    <?php $__currentLoopData = $consumables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div id="deleteconsumableModal<?php echo e($item->id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                    <h5 class="font-bold text-white">Confirm Delete</h5>
                    <button onclick="closeModal12('deleteconsumableModal<?php echo e($item->id); ?>')"
                        class="text-white">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="px-4 py-4">
                    <p>Are you sure you want to delete this consumable item?</p>
                </div>

                <!-- Modal footer -->
                <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                    <button onclick="closeModal12('deleteconsumableModal<?php echo e($item->id); ?>')"
                        class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                    <!-- Form for delete -->
                    <form id="deleteForm<?php echo e($item->id); ?>" action="<?php echo e(route('consumable.delete', $item->id)); ?>"
                        method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit"
                            class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                    </form>
                </div>
            </div>
        </div>




        <div id="editmodalconsume<?php echo e($item->id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="w-1/2 mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                    <h5 class="font-bold text-white">Edit Consumable</h5>
                    <button onclick="closeModal12('editmodalconsume<?php echo e($item->id); ?>')"
                        class="text-white">&times;</button>
                </div>
                <!-- Modal body -->
                <form action="<?php echo e(route('update.consumables', $item->id)); ?>" method="POST" class="p-10">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>

                    <div class="mb-4">
                        <label for="name" class="block text-sm font-medium text-gray-700">Name</label>
                        <input type="text" name="name" id="name" value="<?php echo e(old('name', $item->name)); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="mb-4">
                        <label for="quantity" class="block text-sm font-medium text-gray-700">Quantity</label>
                        <input type="number" name="quantity" id="quantity"
                            value="<?php echo e(old('quantity', $item->quantity)); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="mb-4">
                        <label for="amount_spent" class="block text-sm font-medium text-gray-700">Amount Spent</label>
                        <input type="text" name="amount_spent" id="amount_spent"
                            value="<?php echo e(old('amount_spent', $item->amount_spent)); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        <?php $__errorArgs = ['amount_spent'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="mb-4">
                        <label for="date" class="block text-sm font-medium text-gray-700">Date</label>
                        <input type="date" name="date" id="date" value="<?php echo e(old('date', $item->date)); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm" required>
                        <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="mb-4">
                        <label for="notes" class="block text-sm font-medium text-gray-700">Notes</label>
                        <input type="text" name="notes" id="notes" value="<?php echo e(old('notes', $item->notes)); ?>"
                            class="block w-full mt-1 border-2 border-gray-300 rounded-md shadow-sm">
                        <?php $__errorArgs = ['notes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="flex justify-end">
                        <button type="submit"
                            class="px-4 py-2 ml-2 text-white bg-blue-500 rounded hover:bg-blue-600">Update</button>
                    </div>
                </form>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>







    <?php $__currentLoopData = $stockInOut1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div id="deletestockModal<?php echo e($item->id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                    <h5 class="font-bold text-white">Confirm Delete</h5>
                    <button onclick="closeModal12('deletestockModal<?php echo e($item->id); ?>')"
                        class="text-white">&times;</button>
                </div>


                <div class="px-4 py-4">
                    <p>Are you sure you want to delete this item?</p>
                </div>

                <!-- Modal footer -->
                <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                    <button onclick="closeModal12('deleteModal<?php echo e($item->id); ?>')"
                        class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                    <!-- Form for delete -->
                    <form id="deleteForm<?php echo e($item->id); ?>" action="<?php echo e(route('inventory.delete', $item->id)); ?>"
                        method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit"
                            class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



    <script>
        // Function to open a modal
        function openModal12(modalId) {
            document.getElementById(modalId).classList.remove('hidden');
        }

        function closeModal12(modalId) {
            document.getElementById(modalId).classList.add('hidden');
        }
    </script>

<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function() {
            $('#itemsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '<?php echo e(route('inventory.index')); ?>',
                    data: {
                        table: 'item'
                    }
                },
                columns: [{
                        data: 'category',
                        name: 'category'
                    },
                    {
                        data: 'item_name',
                        name: 'item_name'
                    },
                    {
                        data: 'quantity',
                        name: 'quantity'
                    },

                    {
                        data: 'unit',
                        name: 'unit'
                    },
                    {
                        data: 'actions',
                        name: 'actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });

            $('#stocksTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '<?php echo e(route('inventory.index')); ?>',
                    data: {
                        table: 'stocks'
                    }
                },
                columns: [{
                        data: 'inventory.item_name',
                        name: 'inventory.item_name'
                    },
                    {
                        data: 'type',
                        name: 'type'
                    },
                    {
                        data: 'quantity',
                        name: 'quantity'
                    },
                    {
                        data: 'notes',
                        name: 'notes'
                    },
                    {
                        data: 'date',
                        name: 'date'
                    },
                    {
                        data: 'actions',
                        name: 'actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
            $('#consumablesTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '<?php echo e(route('inventory.index')); ?>',
                    data: {
                        table: 'consumables'
                    }
                },
                columns: [{
                        data: 'name',
                        name: 'name'
                    },
                    {
                        data: 'quantity',
                        name: 'quantity'
                    },
                    {
                        data: 'amount_spent',
                        name: 'amount_spent'
                    },

                    {
                        data: 'date',
                        name: 'date',
                        render: function(data, type, row) {
                            // Format the date as "Month Day, Year"
                            if (type === 'display' && data) {
                                var date = new Date(data);
                                var options = {
                                    year: 'numeric',
                                    month: 'long',
                                    day: 'numeric'
                                };
                                return date.toLocaleDateString('en-US', options);
                            }
                            return data;
                        }
                    },
                    {
                        data: 'notes',
                        name: 'notes'
                    },

                    {
                        data: 'actions',
                        name: 'actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
        });


        function openModal(action, id) {
            // Handle modal opening logic here
        }

        function toggleTable(tableId) {
            const divs = document.querySelectorAll(".grid");
            divs.forEach(div => {
                if (div.id === tableId) {
                    div.classList.remove("hidden");
                } else {
                    div.classList.add("hidden");
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/inventory/index.blade.php ENDPATH**/ ?>