

<?php $__env->startSection('content'); ?>
    <div class="">
        <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
            onclick="openModal('addItemModal')">Add New Bill</button>
        <?php if(session('success')): ?>
            <div class="text-center text-green-500"><?php echo e(session('success')); ?></div>
        <?php endif; ?>

        <div class="overflow-x-auto">
            <table id="propertiesTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                <thead class="bg-gray-200">
                    <tr>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Location
                        </th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Renters
                            Name</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Consumption
                        </th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Rate
                        </th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Amount</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Date from to</th>
                    </tr>
                </thead>
                <tbody class="divide-y divide-gray-200">
                    <!-- Table rows will be populated dynamically by DataTables -->
                </tbody>
            </table>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    
    <script>
        function openModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
        }

        function closeModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
        }
    </script>

    <div id="addItemModal" class="absolute inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <div class="w-1/2 overflow-y-auto bg-white rounded-lg">
            <!-- Modal header -->
            <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                <h5 class="font-bold text-white">Add New Bill</h5>
                <button onclick="closeModal('addItemModal')" class="text-white">&times;</button>
            </div>

            <form action="<?php echo e(route('properties.store')); ?>" method="POST" class="p-6 bg-white rounded shadow-md">
                <?php echo csrf_field(); ?>

                <!-- Property Name -->
                <div class="mb-4">
                    <label for="property-name" class="block mb-2 text-sm font-bold text-gray-700">Location
                    </label>
                    <input required type="text" id="property-name" name="property_name"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter property name">
                </div>

                <!-- Street Address -->
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Renters
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Consumption
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Rate
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Amount
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Date start
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>
                <div class="mb-4">
                    <label for="street-address" class="block mb-2 text-sm font-bold text-gray-700">Date end
                    </label>
                    <input required type="text" id="street-address" name="street_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="1234 Main St">
                </div>



                <!-- City, State, Zip -->


                <hr class="my-4">

                <button type="submit" class="w-full px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Save
                </button>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Utilitybills/electric.blade.php ENDPATH**/ ?>