<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
</head>

<body>
    
    <div class="mt-12 ml-80">

        <?php if(session('success')): ?>
            <div class="text-center text-red-900 alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>
        <table class="w-full table-auto">
            <thead>
                <tr>
                    <th class="px-4 py-2 border">Property</th>
                    <th class="px-4 py-2 border">Unit</th>
                    <th class="px-4 py-2 border">Lease Start Date</th>
                    <th class="px-4 py-2 border">Lease End Date</th>
                    <th class="px-4 py-2 border">Contract Type</th>
                    <th class="px-4 py-2 border">Rate</th>
                    <th class="px-4 py-2 border">Map</th>
                    <th class="px-4 py-2 border">Payment Schedule</th>


                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $leases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lease): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="text-center ">
                        <td class="px-4 py-2 border"><?php echo e($lease->property->property_name ?? 'N/A'); ?></td>
                        <td class="px-4 py-2 border"><?php echo e($lease->unit->unit_name ?? 'N/A'); ?></td>
                        <td class="px-4 py-2 border"><?php echo e($lease->lease_start_date ?? 'N/A'); ?></td>
                        <td class="px-4 py-2 border"><?php echo e($lease->lease_end_date ?? 'N/A'); ?></td>
                        <td class="px-4 py-2 border"><?php echo e($lease->unit->rate_type ?? 'N/A'); ?></td>
                        <td class="px-4 py-2 border"><?php echo e($lease->unit->rate ?? 'N/A'); ?></td>

                        <td class="px-4 py-2 border">
                            <a href="#"
                                class="view-map px-2 py-1 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
                                data-property-id="<?php echo e($lease->property->id); ?>"
                                data-property-name="<?php echo e($lease->property->property_name); ?>"
                                data-latitude="<?php echo e($lease->property->latitude); ?>"
                                data-longitude="<?php echo e($lease->property->longitude); ?>">View Map</a>




                            <div id="modal-<?php echo e($lease->property->id); ?>"
                                class="modal fixed inset-0 bg-gray-900 bg-opacity-50 flex items-center justify-center hidden">
                                <div class="modal-content bg-white p-8 rounded-lg shadow-lg max-w-4xl w-full relative">
                                    <!-- Close Button -->
                                    <a href="#"
                                        class="modal-close absolute top-2 right-2 text-gray-500 hover:text-gray-800">&times;</a>
                                    <h2 class="text-2xl font-bold mb-4">Map Modal: <span id="property-name"></span></h2>
                                    <div id="map-container" class="map-container" style="height: 600px;"></div>
                                    <!-- Another Close Button Inside the Modal -->
                                    <a href="#"
                                        class="mt-4 inline-block px-4 py-2 bg-blue-500 text-white rounded modal-close">Close
                                        Modal</a>
                                </div>
                            </div>


                        </td>

                        <td class="px-4 py-2 border">


                            <button onclick="openModal1('editItemModal<?php echo e($lease->lease_id); ?>')"
                                class="px-2 py-1 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"> View

                            </button>
                        </td>

                        <script>
                            // Function to open modal
                            function openModal1(modalId) {
                                var modal = document.getElementById(modalId);
                                modal.classList.remove('hidden');
                            }

                            // Function to close modal
                            function closeModal1(modalId) {
                                var modal = document.getElementById(modalId);
                                modal.classList.add('hidden');
                            }
                        </script>


                        <div id="editItemModal<?php echo e($lease->lease_id); ?>"
                            class="fixed inset-0 flex items-center justify-center hidden bg-gray-500 bg-opacity-75">
                            <div class="p-8 bg-white rounded-lg w-3/4 max-w-3xl overflow-y-auto">
                                <div class="flex justify-end">
                                    <span class="text-2xl cursor-pointer close"
                                        onclick="closeModal1('editItemModal<?php echo e($lease->lease_id); ?>')">&times;</span>
                                </div>

                                <h2 class="text-center font-bold text-xl mb-4">Payment Schedule and Status</h2>

                                <div class="grid grid-cols-1 gap-4 max-h-96 overflow-y-auto">
                                    <?php
                                        $start = new DateTime($lease->lease_start_date);
                                        $end = (new DateTime($lease->lease_end_date))->modify('+1 day'); // Adjust end date to include the end day

                                        // Adjust interval based on rate_type
                                        if ($lease->unit->rate_type == 'Weekly') {
                                            $interval = DateInterval::createFromDateString('1 week');
                                        } elseif ($lease->unit->rate_type == 'Daily') {
                                            $interval = DateInterval::createFromDateString('1 day');
                                        } else {
                                            // For 'Monthly' rate type, set the interval to move to the next month
                                            $interval = new DateInterval('P1M'); // P1M means "1 month"
                                        }

                                        // Create DatePeriod object
                                        $period = new DatePeriod($start, $interval, $end);
                                    ?>

                                    <?php $__currentLoopData = $period; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="border p-4 rounded-md bg-gray-100">
                                            <div class="mb-2">
                                                <span class="text-sm font-bold text-gray-700">Date:</span>
                                                <span
                                                    class="ml-2"><?php echo e($dt->format($lease->unit->rate_type == 'Monthly' ? 'M Y' : 'M d, Y')); ?></span>
                                            </div>
                                            <div class="mb-2">
                                                <span class="text-sm font-bold text-gray-700">Amount:</span>
                                                <span class="ml-2"><?php echo e($lease->unit->rate ?? 'N/A'); ?></span>
                                            </div>
                                            <div>
                                                <span class="text-sm font-bold text-gray-700">Status:</span>
                                                <span class="ml-2 text-yellow-600">Pending</span>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>

                                <hr class="my-4">

                                <form action="<?php echo e(route('payments.redirect')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>

                                    <div class="mb-4">
                                        <label for="amount"
                                            class="block text-sm font-bold text-gray-700">Amount:</label>
                                        <input type="text" id="amount" name="amount"
                                            value="<?php echo e($lease->unit->rate ?? 'N/A'); ?>" placeholder="Enter amount"
                                            class="border-gray-300 border rounded-md py-2 px-3 w-full">
                                    </div>

                                    <div class="mb-4">
                                        <label for="description"
                                            class="block text-sm font-bold text-gray-700">Description:</label>
                                        <input type="text" id="description" name="description"
                                            placeholder="Enter description"
                                            class="border-gray-300 border rounded-md py-2 px-3 w-full">
                                    </div>

                                    <div class="text-center">
                                        <button type="submit"
                                            class="bg-blue-500 hover:bg-blue-600 text-white font-bold py-2 px-4 rounded">Proceed
                                            to Payment</button>
                                    </div>
                                </form>
                            </div>
                        </div>

                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </tbody>
        </table>
    </div>



    <!-- Edit Item Modal -->


    <script>
        // Function to open a modal
        function openModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
            modal.classList.add('flex');
        }

        // Function to close a modal
        function closeModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
            modal.classList.remove('flex');
        }

        // Function to handle add item form submission
        function submitAddItemForm(event) {
            event.preventDefault();
            var itemName = document.getElementById('item-name').value;
            console.log('Adding item:', itemName);
            document.getElementById('addItemForm').reset(); // Reset form
            closeModal('addItemModal'); // Close modal
        }

        // Function to handle edit item form submission
    </script>


    <script src="https://cdn.jsdelivr.net/npm/leaflet-routing-machine@1.0.0/dist/leaflet-routing-machine.min.js"></script>

    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var viewMapLinks = document.querySelectorAll('.view-map');
            viewMapLinks.forEach(function(link) {
                link.addEventListener('click', function(event) {
                    event.preventDefault();
                    var propertyId = link.getAttribute('data-property-id');
                    var propertyName = link.getAttribute('data-property-name');
                    var latitude = parseFloat(link.getAttribute('data-latitude'));
                    var longitude = parseFloat(link.getAttribute('data-longitude'));

                    // Update modal content dynamically
                    var modal = document.getElementById('modal-' + propertyId);
                    var modalPropertyName = modal.querySelector('#property-name');
                    modalPropertyName.textContent = propertyName;

                    // Show modal
                    modal.classList.remove('hidden');

                    // Initialize map for this property
                    var mapContainer = modal.querySelector('#map-container');
                    var map = L.map(mapContainer).setView([latitude, longitude], 12);

                    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                        maxZoom: 19,
                    }).addTo(map);

                    L.marker([latitude, longitude])
                        .addTo(map)
                        .bindPopup(propertyName); // Adjust popup content as needed
                });
            });

            var modalCloseButtons = document.querySelectorAll('.modal-close');
            modalCloseButtons.forEach(function(button) {
                button.addEventListener('click', function(event) {
                    event.preventDefault();
                    var modal = button.closest('.modal');
                    modal.classList.add('hidden');
                });
            });
        });
    </script>
    
</body>

</html>

<?php echo $__env->make('CMS.unitmodal.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/ClientCMS/client.blade.php ENDPATH**/ ?>