

<?php $__env->startSection('content'); ?>
    <style>
        @media print {
            body * {
                visibility: hidden;
            }

            .print-content,
            .print-content * {
                visibility: visible;
                font-size: 10px;
                /* Maintain small font size */
            }

            .print-content {
                position: absolute;
                left: 0;
                top: 0;
                width: 210mm;
                /* A4 width */
                height: 297mm;
                /* A4 height */
                padding: 10mm;
                /* Reduce padding to create more space */
                box-sizing: border-box;
                margin: 0;
                /* Remove default margin */
            }

            .print-header {
                font-size: 10px;
                /* Smaller font size for header */
                font-weight: bold;
                margin-bottom: 2mm;
                /* Minimal bottom margin for header */
                text-align: center;
            }

            .print-content table {
                width: 100%;
                border-collapse: collapse;
            }

            .print-content table th,
            .print-content table td {
                padding: 2px;
                /* Keep padding compact */
                border: 1px solid black;
                /* Maintain border for clarity */
                text-align: left;
            }

            .print-footer {
                position: fixed;
                bottom: 5mm;
                /* Reduce margin at bottom */
                width: 100%;
                text-align: center;
                font-size: 10px;
                margin-top: 2mm;
                /* Minimize space above the footer */
            }
        }
    </style>

    <?php
        $vatAmount = 0;
        $withholdingTaxAmount = 0;
        $dueDate = $data->payment_date->copy()->addDays($data->lease->terms);
        $isPastDue = now()->isAfter($dueDate);
        $monthsPastDue = $isPastDue ? now()->diffInMonths($dueDate) : 0;
        $penalty = $data->Amount * 0.02 * $monthsPastDue;
        if ($data->lease->client->vat === 'vat') {
            $subtotal = $data->Amount + $totalElectricAmount + $totalWaterAmount + $additional;
            $vatAmount = $subtotal * 0.12;
        }

        if ($data->lease->client->w_holding_tax === 'true') {
            $withholdingTaxAmount = $subtotal * 0.05;
        }

        $subtotal = $data->Amount + $totalElectricAmount + $totalWaterAmount + $additional;
        $grandTotal = $subtotal + $vatAmount - $withholdingTaxAmount + $penalty;

    ?>

    <div class="max-w-4xl p-8 mx-auto mt-8 text-sm text-gray-800 bg-white rounded shadow-lg print-content">
        <!-- Header Section -->
        <div class="mb-8 text-center">
            <h1 class="text-2xl font-bold">San Roque Hermanas Inc.</h1>
            <p>MGR BLDG. II, Matina Crossing, Davao City</p>
            <p>Email: <a href="mailto:srhimgr@yahoo.com" class="text-blue-500">srhimgr@yahoo.com</a> | Tel: (082)299-4103 |
                Cell #: 0910-651-1604 | TIN: 006-040-261</p>
            <hr class="my-4">
        </div>

        <!-- Recipient Information -->
        <div class="mb-4">
            <p class="font-bold"><?php echo e($data->lease->client->owners_name); ?></p>
            <p>Owners Name</p>
            <p><?php echo e($data->lease->client->business_name); ?></p>
            <p><?php echo e($data->lease->unit->unit_name); ?> & <?php echo e($data->lease->property->property_name); ?>

            </p>
            <p><?php echo e($data->lease->property->street_address); ?>,<?php echo e($data->lease->property->city); ?>,
                <?php echo e($data->lease->property->state); ?>, <?php echo e($data->lease->property->zip); ?></p>
        </div>

        <!-- Statement Title -->
        <div class="mb-4">
            <p class="text-xl font-bold">STATEMENT OF ACCOUNT</p>
        </div>

        <!-- Statement Date -->
        <div class="mb-4">
            <p class="font-bold"> <?php echo e(date('F j, Y', strtotime($data->payment_date))); ?></p>
        </div>

        <!-- Greetings -->
        <div class="mb-8">
            <p>Madam:</p>
            <p>Greetings!</p>
            <p>Please be informed of your monthly rental obligation as shown below:</p>

            <table class="w-full border border-collapse border-gray-200">
                <thead>
                    <tr class="bg-gray-200">
                        <th class="px-4 py-2 border border-gray-300">Description & Amount</th>
                    </tr>
                </thead class="">

                <tbody>

                    <tr>
                        <td class="px-4 py-2 border border-gray-300">Advance Payment Last advanced
                            ₱<?php echo e(number_format($advance_payment, 2)); ?>

                        </td>
                    </tr>
                    <tr>
                        <td class="px-4 py-2 border border-gray-300">Previous Balance:
                            ₱<?php echo e(number_format($currentRentalBalance, 2)); ?></td>
                    </tr>
                    <tr>
                        <td class="px-4 py-2 border border-gray-300">Payments Received:
                            ₱<?php echo e(number_format($Amountpaid, 2)); ?>

                        </td>
                    </tr>
                    <tr>
                        <td class="px-4 py-2 border border-gray-300">Current Charges:
                            ₱<?php echo e(number_format($data->amount + $totalWaterAmount + $totalElectricAmount + $additional, 2)); ?>

                        </td>
                    </tr>
                    <?php if($data->lease->client->vat === 'vat'): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Add: VAT ₱(<?php echo e(number_format($data->Amount, 2)); ?> x
                                12%): <?php echo e(number_format($vatAmount, 2)); ?></td>
                        </tr>
                    <?php endif; ?>
                    <?php if($data->lease->client->w_holding_tax === 'true'): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Less: W/TAX
                                ₱(<?php echo e(number_format($data->Amount, 2)); ?>

                                x 5%): <?php echo e(number_format($withholdingTaxAmount, 2)); ?></td>
                        </tr>
                    <?php endif; ?>
                    <?php if($penalty > 0): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Penalty: ₱<?php echo e(number_format($penalty, 2)); ?></td>
                        </tr>
                    <?php endif; ?>
                    <tr class="font-bold">
                        <td class="px-4 py-2 border border-gray-300">Total Due:
                            ₱<?php echo e(number_format($currentRentalBalance + $penalty, 2)); ?>

                        </td>
                    </tr>
                </tbody>

            </table>

            <table class="w-full mt-10 border border-collapse border-gray-200">
                <thead>
                    <tr class="bg-gray-200">
                        <th class="px-4 py-2 border border-gray-300 text-start">Particularls</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="px-4 py-2 border border-gray-300">Rent due for 1 –
                            <?php echo e(date('F j, Y', strtotime($data->payment_date))); ?>: ₱<?php echo e(number_format($data->Amount, 2)); ?>

                        </td>
                    </tr>
                    <?php if($data->lease->client->vat === 'vat'): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Add: VAT ₱(<?php echo e(number_format($data->Amount, 2)); ?> x
                                12%): <?php echo e(number_format($vatAmount, 2)); ?></td>
                        </tr>
                    <?php endif; ?>

                    <?php if($data->lease->client->w_holding_tax === 'true'): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Less: W/TAX
                                ₱(<?php echo e(number_format($data->Amount, 2)); ?>

                                x 5%): <?php echo e(number_format($withholdingTaxAmount, 2)); ?></td>
                        </tr>
                    <?php endif; ?>

                    <?php $__empty_1 = true; $__currentLoopData = $data->waterPayments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $waterbill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Water bill
                                (<?php echo e(\Carbon\Carbon::parse($waterbill->start_date)->format('F j, Y')); ?> to
                                <?php echo e(\Carbon\Carbon::parse($waterbill->end_date)->format('F j, Y')); ?>)
                                :
                                ₱ <?php echo e(number_format($waterbill->amount, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Water bill: N/A</td>
                        </tr>
                    <?php endif; ?>

                    <?php $__empty_1 = true; $__currentLoopData = $data->electricPayments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $electricbill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Electric bill
                                (<?php echo e(\Carbon\Carbon::parse($electricbill->start_date)->format('F j, Y')); ?> to
                                <?php echo e(\Carbon\Carbon::parse($electricbill->end_date)->format('F j, Y')); ?>)
                                :
                                ₱<?php echo e(number_format($electricbill->amount, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Electric bill: N/A</td>
                        </tr>
                    <?php endif; ?>

                    <?php $__empty_1 = true; $__currentLoopData = $data->additionalFees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300"><?php echo e($fee->charge_type); ?>:
                                ₱<?php echo e(number_format($fee->amount, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="px-4 py-2 border border-gray-300">Additional Fees: N/A</td>
                        </tr>
                    <?php endif; ?>


                    <?php if($isPastDue): ?>
                        <tr>

                            <td class="px-4 py-2 border border-gray-300">Penalty for <?php echo e($monthsPastDue); ?> month(s) past
                                due <?php echo e(number_format($penalty, 2)); ?></td>

                        </tr>
                    <?php endif; ?>

                    <tr class="font-bold">
                        <td class="px-4 py-2 border border-gray-300">Grand Total: ₱<?php echo e(number_format($grandTotal, 2)); ?></td>
                    </tr>
                </tbody>
            </table>

            <div class="mt-8 mb-8">
                <p>Note:<?php echo e($data->billing_notes); ?></p>
            </div>

            <!-- Closing and Signatory -->
            <div class="mt-8">
                <p>Thank you for your prompt attention to this matter.</p>
                <p class="mt-4 font-bold">Very truly yours,</p>
                <p class="mt-4">San Roque Hermanas Inc.</p>
            </div>
        </div>
    </div>
    <div class="mt-4 text-center">
        <button onclick="window.print()" class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
            Print Statement
        </button>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Payment/forclosure.blade.php ENDPATH**/ ?>