

<?php $__env->startSection('content'); ?>
    <div class="container p-6 mx-auto">
        <h1 class="mb-4 text-2xl font-bold">Vat Report for <?php echo e($year); ?></h1>

        <div class="space-y-4">


            <form method="GET" action="<?php echo e(route('combined.report')); ?>">
                <?php echo csrf_field(); ?>
                <div class = "grid grid-cols-1 gap-4 md:grid-cols-3">
                    <div class="mb-4">
                        <label for="year" class="block text-gray-700">Year</label>
                        <input type="number" name="year" id="year" value="<?php echo e(old('year', date('Y'))); ?>"
                            class="w-full p-2 border rounded">
                    </div>

                    <div class="mb-4">
                        <label for="property_id" class="block text-gray-700">Property</label>
                        <select name="property_id" id="property_id" class="w-full p-2 border rounded">
                            <option value="">All Properties</option>
                            <?php $__currentLoopData = $properties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $property): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($property->id); ?>"
                                    <?php echo e(old('property_id') == $property->id ? 'selected' : ''); ?>>
                                    <?php echo e($property->property_name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="mb-4">
                        <label for="report_type" class="block text-gray-700">Report Type</label>
                        <select name="report_type" id="report_type" class="w-full p-2 border rounded">
                            <option value="monthly" <?php echo e(old('report_type', 'monthly') == 'monthly' ? 'selected' : ''); ?>>
                                Monthly
                            </option>
                            <option value="quarterly" <?php echo e(old('report_type') == 'quarterly' ? 'selected' : ''); ?>>Quarterly
                            </option>
                        </select>
                    </div>
                </div>

                <button type="submit" class="px-4 py-2 text-white bg-blue-500 rounded">Generate Report</button>
            </form>




            <table class="min-w-full text-sm bg-white border border-gray-300 rounded-lg shadow-md">
                <thead>
                    <tr class="text-left text-gray-600 bg-gray-200">
                        <th class="px-4 py-2">Unit Name</th>
                        <th class="px-4 py-2">Property Name</th>
                        <?php if($reportType === 'quarterly'): ?>
                            <?php $__currentLoopData = ['Q1', 'Q2', 'Q3', 'Q4']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quarter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <th><?php echo e($quarter); ?></th>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <?php $__currentLoopData = ['JAN', 'FEB', 'MAR', 'APR', 'MAY', 'JUN', 'JUL', 'AUG', 'SEP', 'OCT', 'NOV', 'DEC']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <th class="px-4 py-2"><?php echo e($month); ?></th>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="px-4 py-2 border"><?php echo e($unit->unit_name); ?></td>
                            <td class="px-4 py-2 border"><?php echo e($unit->property->property_name); ?></td>

                            <?php if($reportType === 'quarterly'): ?>
                                <?php $__currentLoopData = ['Q1' => [1, 2, 3], 'Q2' => [4, 5, 6], 'Q3' => [7, 8, 9], 'Q4' => [10, 11, 12]]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quarter => $months): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $totalAmount = 0;

                                        foreach ($unit->leases as $lease) {
                                            foreach ($lease->payments as $payment) {
                                                $paymentMonth = $payment->payment_date->format('n');
                                                $paymentYear = $payment->payment_date->format('Y');

                                                if ($paymentYear == $year && in_array($paymentMonth, $months)) {
                                                    $totalAmount += is_numeric($payment->Amount) ? $payment->Amount : 0;
                                                }
                                            }
                                        }

                                        $client = $unit->leases->first()->client ?? null;
                                        $vatApplicable = $client ? $client->vat === 'vat' : false;
                                        $vatAmount = 0;

                                        if ($vatApplicable) {
                                            $vatRate = 0.12;
                                            $vatAmount = $totalAmount * $vatRate;
                                        }

                                        $vatAmount = is_numeric($vatAmount) ? $vatAmount : 0;
                                    ?>
                                    <td class="px-4 py-2 border"><?php echo e(number_format($vatAmount, 2)); ?></td>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <?php $__currentLoopData = ['JAN', 'FEB', 'MAR', 'APR', 'MAY', 'JUN', 'JUL', 'AUG', 'SEP', 'OCT', 'NOV', 'DEC']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $monthNumber = date('n', strtotime($month));
                                        $totalAmount = 0;

                                        foreach ($unit->leases as $lease) {
                                            foreach ($lease->payments as $payment) {
                                                if (
                                                    $payment->payment_date->format('n') == $monthNumber &&
                                                    $payment->payment_date->format('Y') == $year
                                                ) {
                                                    $totalAmount += is_numeric($payment->Amount) ? $payment->Amount : 0;
                                                }
                                            }
                                        }

                                        $client = $unit->leases->first()->client ?? null;
                                        $vatApplicable = $client ? $client->vat === 'vat' : false;
                                        $vatAmount = 0;

                                        if ($vatApplicable) {
                                            $vatRate = 0.12;
                                            $vatAmount = $totalAmount * $vatRate;
                                        }

                                        $vatAmount = is_numeric($vatAmount) ? $vatAmount : 0;
                                    ?>
                                    <td class="px-4 py-2 border"><?php echo e(number_format($vatAmount, 2)); ?></td>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Report/bir.blade.php ENDPATH**/ ?>