<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>

<body>
    
    <div class="mt-12 ml-80">
        <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
            onclick="openModal('addItemModal')">Add Unit</button>
        <?php if(session('success')): ?>
            <div class="text-center text-red-900 alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>
        <table class="w-full table-auto">
            <thead>
                <tr>
                    <th class="px-4 py-2">Unit Name</th>
                    <th class="px-4 py-2">Size</th>
                    <th class="px-4 py-2">Rate Type</th>
                    <th class="px-4 py-2">Yearly Escalation</th>
                    <th class="px-4 py-2">Action</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="text-center ">
                        <td class="px-4 py-2 border"><?php echo e($unit->unit_name); ?></td>
                        <td class="px-4 py-2 border">
                            <?php echo e($unit->size); ?>

                        </td>
                        <td class="px-4 py-2 border">
                            <?php echo e($unit->rate_type); ?>

                        </td>
                        <td class="px-4 py-2 border">
                            <?php echo e($unit->yearly_escalation); ?>

                        </td>

                        <td class="px-4 py-2 border">
                            <!-- Edit Button (example) -->
                            <button onclick="openModal('editItemModal')"
                                class="px-2 py-1 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
                                Edit</button>
                            <!-- Delete Button with Modal -->
                            <button class="px-2 py-1 font-bold text-white bg-red-500 rounded hover:bg-red-700"
                                onclick="openModal('deleteModal<?php echo e($unit->unit_id); ?>')">Delete</button>

                            <!-- Delete Confirmation Modal -->
                            <div id="deleteModal<?php echo e($unit->unit_id); ?>"
                                class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
                                <!-- Modal dialog -->
                                <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                                    <!-- Modal header -->
                                    <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                                        <h5 class="font-bold text-white">Confirm Delete</h5>
                                        <button onclick="closeModal('deleteModal<?php echo e($unit->unit_id); ?>')"
                                            class="text-white">&times;</button>
                                    </div>

                                    <!-- Modal body -->
                                    <div class="px-4 py-4">
                                        <p>Are you sure you want to delete this unit?</p>
                                    </div>

                                    <!-- Modal footer -->
                                    <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                                        <button onclick="closeModal('deleteModal<?php echo e($unit->unit_id); ?>')"
                                            class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                                        <!-- Form for delete -->
                                        <form id="deleteForm<?php echo e($unit->unit_idd); ?>"
                                            action="<?php echo e(route('delete.unit', $unit->unit_id)); ?>" method="POST">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit"
                                                class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <script>
                                // Function to open modal
                                function openModal(modalId) {
                                    var modal = document.getElementById(modalId);
                                    modal.classList.remove('hidden');
                                }

                                // Function to close modal
                                function closeModal(modalId) {
                                    var modal = document.getElementById(modalId);
                                    modal.classList.add('hidden');
                                }
                            </script>
                        </td>

                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </tbody>
        </table>
    </div>

    <div id="addItemModal"
        class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
        <div class="w-1/2 p-8 bg-white rounded">
            <span class="float-right text-2xl cursor-pointer close" onclick="closeModal('addItemModal')">&times;</span>
            <h2 class="mb-4 text-2xl font-bold">Add Units</h2>

            <?php echo csrf_field(); ?>
            <div class="mb-3">
                <label for="property-name" class="block mb-1 text-sm font-semibold text-gray-700">Property
                    Name:</label>
                <span id="property-name"
                    class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm"><?php echo e($property->property_name); ?></span>
            </div>

            <div class="mb-3">
                <label for="street-address" class="block mb-1 text-sm font-semibold text-gray-700">Street
                    Address:</label>
                <span id="street-address"
                    class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm"><?php echo e($property->street_address); ?></span>
            </div>

            <div class="flex mb-3 -mx-1">
                <div class="w-1/2 px-1">
                    <label for="city" class="block mb-1 text-sm font-semibold text-gray-700">City:</label>
                    <span id="city"
                        class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm"><?php echo e($property->city); ?></span>
                </div>
                <div class="w-1/4 px-1">
                    <label for="state" class="block mb-1 text-sm font-semibold text-gray-700">State:</label>
                    <span id="state"
                        class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm"><?php echo e($property->state); ?></span>
                </div>
                <div class="w-1/4 px-1">
                    <label for="zip" class="block mb-1 text-sm font-semibold text-gray-700">Zip Code:</label>
                    <span id="zip"
                        class="block px-2 py-1 text-sm leading-tight text-gray-700 bg-gray-200 border border-gray-300 rounded shadow-sm"><?php echo e($property->zip); ?></span>
                </div>
            </div>


            <form method="POST" action="<?php echo e(route('unit.store')); ?>" class="p-6 bg-white rounded shadow-md">
                <?php echo csrf_field(); ?>
                <hr class="my-4">
                <input type="hidden" name="property_id" value="<?php echo e($property->id); ?>">
                <div id="units-container">
                    <div class="mb-4 unit-item">
                        <h3 class="mb-2 text-lg font-bold">Unit 1</h3>
                        <div class="flex mb-2">
                            <div class="w-1/2 px-2">
                                <label for="unit-size-1" class="block mb-2 text-sm font-bold text-gray-700">Unit
                                    Name:</label>
                                <input type="text" id="unit-size-1" name="units[0][unit_name]"
                                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                    placeholder="Unit Size">
                            </div>
                            <div class="w-1/2 px-2">
                                <label for="unit-size-1"
                                    class="block mb-2 text-sm font-bold text-gray-700">Size:</label>
                                <input type="text" id="unit-size-1" name="units[0][size]"
                                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                    placeholder="Unit Size">
                            </div>
                            <div class="w-1/2 px-2">
                                <label for="unit-rate-type-1" class="block mb-2 text-sm font-bold text-gray-700">Rate
                                    Type:</label>
                                <select id="unit-rate-type-1" name="units[0][rate_type]"
                                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                                    <option value="" disabled selected>Rate Type</option>
                                    <option value="Monthly">Monthly</option>
                                    <option value="Per Square Meter">Per Square Meter</option>
                                </select>
                            </div>
                        </div>
                        <div class="flex mb-2">
                            <div class="w-1/2 px-2">
                                <label for="unit-escalation-1"
                                    class="block mb-2 text-sm font-bold text-gray-700">Yearly
                                    Escalation:</label>
                                <input type="text" id="unit-escalation-1" name="units[0][yearly_escalation]"
                                    class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                                    placeholder="Yearly Escalation">
                            </div>
                        </div>
                    </div>
                </div>

                <button type="button" onclick="addUnit()"
                    class="px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">
                    Add Unit
                </button>

                <button type="submit" class="px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Save
                    Property</button>
            </form>
        </div>
    </div>

    <script>
        let unitCounter = 1;

        function addUnit() {
            unitCounter++;

            const unitsContainer = document.getElementById('units-container');

            const unitItem = document.createElement('div');
            unitItem.classList.add('unit-item', 'mb-4');
            unitItem.innerHTML = `
            <h3 class="mb-2 text-lg font-bold">Unit ${unitCounter}</h3>
            <div class="flex mb-2">
                  <div class="w-1/2 px-2">
                    <label for="unit-unit_name-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Unit Name:</label>
                    <input  type="text" id="unit-unit_name-${unitCounter}" name="units[${unitCounter - 1}][unit_name]"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Unit Size">
                </div>
                <div class="w-1/2 px-2">
                    <label for="unit-size-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Size:</label>
                    <input  type="text" id="unit-size-${unitCounter}" name="units[${unitCounter - 1}][size]"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Unit Size">
                </div>
                     <div class="w-1/2 px-2">
                        <label for="unit-rate-type-${unitCounter}" class="block mb-2 text-sm font-bold text-gray-700">Rate Type:</label>
                        <select id="unit-rate-type-${unitCounter}" name="units[${unitCounter - 1}][rate_type]"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                            <option value="" disabled selected>Rate Type</option>
                            <option value="Monthly">Monthly</option>
                            <option value="Per Square Meter">Per Square Meter</option>
                        </select>
                    </div>
            </div>
            <div class="flex mb-2">
                <div class="w-1/2 px-2">
                    <label for="unit-escalation-${unitCounter}"
                        class="block mb-2 text-sm font-bold text-gray-700">Yearly
                        Escalation:</label>
                    <input  type="text" id="unit-escalation-${unitCounter}" name="units[${unitCounter - 1}][yearly_escalation]"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Yearly Escalation">
                </div>
            </div>
        `;

            unitsContainer.appendChild(unitItem);
        }

        function closeModal(modalId) {
            const modal = document.getElementById(modalId);
            modal.classList.add('hidden');
        }
    </script>


    <!-- Button to open the Edit Item Modal -->


    <!-- Edit Item Modal -->
    <div id="editItemModal" class="fixed inset-0 flex items-center justify-center hidden bg-gray-500 bg-opacity-75">
        <div class="w-1/2 p-8 bg-white rounded">
            <span class="float-right text-2xl cursor-pointer close"
                onclick="closeModal('editItemModal')">&times;</span>
            <h2 class="mb-4 text-2xl font-bold">Edit Item</h2>
            <form id="editItemForm" onsubmit="submitEditItemForm(event)">
                <div class="mb-4">
                    <label for="edit-item-name" class="block mb-2 text-sm font-bold text-gray-700">Item Name:</label>
                    <input type="text" id="edit-item-name" name="name" value="Item 1"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                </div>
                <button type="submit"
                    class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">Update</button>
            </form>
        </div>
    </div>

    <script>
        // Function to open a modal
        function openModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
            modal.classList.add('flex');
        }

        // Function to close a modal
        function closeModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
            modal.classList.remove('flex');
        }

        // Function to handle add item form submission
        function submitAddItemForm(event) {
            event.preventDefault();
            var itemName = document.getElementById('item-name').value;
            console.log('Adding item:', itemName);
            document.getElementById('addItemForm').reset(); // Reset form
            closeModal('addItemModal'); // Close modal
        }

        // Function to handle edit item form submission
        function submitEditItemForm(event) {
            event.preventDefault();
            var editItemName = document.getElementById('edit-item-name').value;
            console.log('Updating item:', editItemName);
            closeModal('editItemModal'); // Close modal
        }
    </script>
</body>

</html>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/units.blade.php ENDPATH**/ ?>