 <!-- Use your layout template as per your application setup -->

<?php $__env->startSection('content'); ?>
    <div class="flex items-center justify-center h-screen">
        <div class="text-center">
            <h2 class="mb-4 text-3xl font-bold">Add lease</h2>
            <?php if(session('success')): ?>
                <div class="text-center text-red-900 alert alert-success">
                    <?php echo e(session('success')); ?>

                </div>
            <?php endif; ?>
            <form method="POST" action="<?php echo e(route('lease.store')); ?>" class="">
                <?php echo csrf_field(); ?>
                <div class="grid grid-cols-1 gap-6 p-6 bg-white rounded md:grid-cols-3">
                    <input type="hidden" id="property_id" name="property_id" required
                        value="<?php echo e($clientmain->property->id); ?>">
                    <input type="hidden" id="unit_id" name="unit_id" required value="<?php echo e($clientmain->unit_id); ?>">




                    <div class="col-span-1">
                        <label for="client_id" class="block mb-2 text-sm font-bold text-gray-700">Tenant
                            Name:</label>
                        <select id="client_id" name="client_id"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow-sm appearance-none focus:outline-none focus:shadow-outline"
                            required>
                            <option value="">Select Client</option>
                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $clients): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($clients->client_id); ?>"><?php echo e($clients->owners_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="col-span-1">
                        <label for="lease_start_date" class="block mb-2 text-sm font-bold text-gray-700">Lease
                            Start
                            Date:</label>
                        <input type="date" id="lease_start_date" name="lease_start_date"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            required>
                    </div>

                    <div class="col-span-1">
                        <label for="rate_type" class="block mb-2 text-sm font-bold text-gray-700">Contract
                            Type:</label>
                        <select id="rate_type" name="rate_type"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                            <option value="" disabled selected>Contract Type</option>
                            <option value="Daily">Daily</option>
                            <option value="Weekly">Weekly</option>
                            <option value="Monthly">Monthly</option>

                        </select>
                    </div>

                    <div class="col-span-1">
                        <label for="lease_duration" class="block mb-2 text-sm font-bold text-gray-700">Lease
                            Duration:</label>
                        <input type="number" id="lease_duration" name="lease_duration"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Enter Duration" required>
                    </div>
                    <div class="col-span-1">
                        <label for="payment_amount" class="block mb-2 text-sm font-bold text-gray-700">Rent Amount:</label>
                        <input type="text" id="contract_type" name="payment_amount"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Enter Monthly Rent Amount"
                            value="<?php echo e($clientmain->rate_type == 'Per Square Meter' ? $clientmain->rate * $clientmain->size : $clientmain->rate); ?>">
                    </div>

                    <div class="col-span-1">
                        <label for="yearly_escalation" class="block mb-2 text-sm font-bold text-gray-700">Yearly
                            Escalation:</label>
                        <input type="number" id="yearly_escalation" name="yearly_escalation"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Yearly Escalation">
                    </div>
                    <div class="col-span-1">
                        <label for="terms" class="block mb-2 text-sm font-bold text-gray-700">Terms:</label>
                        <input type="number" id="terms" name="terms"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Terms">
                    </div>
                    <div class="col-span-1">
                        <label for="relief_rental" class="block mb-2 text-sm font-bold text-gray-700">Annual (Rental
                            Relief):</label>
                        <input type="text" id="relief_rental" name="relief_rental"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="">
                    </div>
                    <div class="col-span-1">
                        <label for="advance_payment" class="block mb-2 text-sm font-bold text-gray-700">Advance
                            Payment:</label>
                        <input type="text" id="advance_payment" name="advance_payment"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Advance Payment">
                    </div>
                    <div class="col-span-1">
                        <label for="security_deposit" class="block mb-2 text-sm font-bold text-gray-700">Security
                            Deposit:</label>
                        <input type="text" id="security_deposit" name="security_deposit"
                            class="w-full px-3 py-2 leading-tight text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                            placeholder="Deposit">
                    </div>
                </div>
                <div class="px-10 overflow-y-auto h-96">
                    <div class="col-span-3">
                        <label for="utilities" class="block mb-2 text-sm font-bold text-gray-700">Utilities</label>
                        <textarea id="utilities" name="utilities" rows="3"
                            class="w-full px-3 py-2 text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500"></textarea>
                    </div>

                    <!-- Rules and Regulations -->
                    <div class="col-span-3">
                        <label for="rules" class="block mb-2 text-sm font-bold text-gray-700">Rules and
                            Regulations</label>
                        <textarea id="rules" name="rules_and_regulations" rows="3"
                            class="w-full px-3 py-2 text-gray-700 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500"></textarea>
                    </div>



                    <div id="payment_schedule_container" class="col-span-2">
                        <label for="payment_schedule" class="block mb-2 text-sm font-bold text-gray-700">Payment
                            Schedule:</label>
                        <div id="payment_schedule"
                            class="w-full h-40 px-3 py-2 overflow-x-auto text-gray-700 border border-black rounded shadow appearance-none focus:outline-none focus:shadow-outline">

                        </div>
                    </div>
                </div>

                <!-- Submit Button -->
                <div class="col-span-2">
                    <button type="submit"
                        class="w-full px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Save
                        Lease
                        Agreement
                    </button>
                </div>
            </form>
            <a href="<?php echo e(url('/lease', $clientmain->unit_id)); ?>"
                class="inline-block px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Go to list</a>
        </div>
    </div>
    
<?php $__env->stopSection(); ?>

<?php echo $__env->make('CMS.unitmodal.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/LeaseManagement/leasepage.blade.php ENDPATH**/ ?>