

<?php $__env->startSection('content'); ?>
    <div class=" container mx-auto">
        <div class="overflow-hidden bg-white rounded-lg shadow-md">


            <div class="px-4 py-2 bg-gray-200 border-b">
                <h3 class="text-lg font-semibold text-gray-800">MANAGE PAYMENTS</h3>
            </div>
            <div class="p-4 bg-white rounded shadow-md">
                <form action="<?php echo e(route('paymentreport')); ?>" method="GET" class="space-y-4">
                    <div class="grid grid-cols-1 gap-4 sm:grid-cols-2">
                        <div>
                            <label for="month" class="block text-sm font-medium text-gray-700">Month:</label>
                            <select name="month" id="month"
                                class="block w-full mt-1 border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
                                <option value="">All</option> <!-- Option to select all months -->
                                <?php for($i = 1; $i <= 12; $i++): ?>
                                    <option value="<?php echo e($i); ?>"><?php echo e(date('F', mktime(0, 0, 0, $i, 1))); ?></option>
                                <?php endfor; ?>
                            </select>
                        </div>
                        <div>
                            <label for="year" class="block text-sm font-medium text-gray-700">Year:</label>
                            <select name="year" id="year"
                                class="block w-full mt-1 border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
                                <option value="">All</option> <!-- Option to select all years -->
                                <?php for($i = date('Y'); $i >= 2000; $i--): ?>
                                    <option value="<?php echo e($i); ?>"><?php echo e($i); ?></option>
                                <?php endfor; ?>
                            </select>
                        </div>
                    </div>
                    <div class="flex items-center justify-end space-x-4">
                        <button type="submit"
                            class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Export
                        </button>
                        <button type="button"
                            class="px-4 py-2 font-bold text-white bg-green-500 rounded hover:bg-green-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-green-500"
                            onclick="openModal('addItemModal')">
                            Add New Payment
                        </button>
                    </div>
                </form>

            </div>

            <div class="overflow-x-auto">
                <?php if(session('success')): ?>
                    <div class="text-center text-green-500"><?php echo e(session('success')); ?></div>
                <?php endif; ?>
                <table id="newPaymentsTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                    <thead class="bg-gray-200 ">
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Billing No.
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Payment Ref.
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Tenant</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Property</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Payment Method
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Bank</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Rental Amount
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Water Bill
                                Amount
                            </th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Electric Bill
                                Amount</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Status</th>
                            <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Action</th>

                        </tr>
                    </thead>
                    <tbody class="text-sm text-gray-600">

                        <!-- Table rows will be populated dynamically by DataTables -->
                    </tbody>
                </table>
            </div>



        </div>

    </div>


    <?php $__currentLoopData = $newpayments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div id="deleteModal<?php echo e($payment->newpayment_id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="max-w-md mx-auto overflow-hidden bg-white rounded-lg shadow-xl">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-red-500">
                    <h5 class="font-bold text-white">Confirm Delete</h5>
                    <button onclick="closeModaldelete('deleteModal<?php echo e($payment->newpayment_id); ?>')"
                        class="text-white">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="px-4 py-4">
                    <p>Are you sure you want to delete this payment?</p>
                </div>

                <!-- Modal footer -->
                <div class="flex items-center justify-end px-4 py-3 bg-gray-100">
                    <button onclick="closeModaldelete('deleteModal<?php echo e($payment->newpayment_id); ?>')"
                        class="px-3 py-1 mr-2 text-gray-800 bg-gray-300 rounded hover:bg-gray-400">Cancel</button>

                    <!-- Form for delete -->
                    <form id="deleteForm<?php echo e($payment->newpayment_id); ?>"
                        action="<?php echo e(route('delete.newpayment', $payment->newpayment_id)); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit"
                            class="px-3 py-1 text-white bg-red-500 rounded hover:bg-red-600">Delete</button>
                    </form>
                </div>
            </div>
        </div>



        <div id="EditModal<?php echo e($payment->newpayment_id); ?>"
            class="fixed inset-0 flex items-center justify-center hidden bg-black bg-opacity-50">
            <!-- Modal dialog -->
            <div class="w-1/2 mx-auto overflow-hidden bg-white rounded-lg shadow-xl ">
                <!-- Modal header -->
                <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                    <h5 class="font-bold text-white">Edit Payment</h5>
                    <button onclick="closeModaldelete('EditModal<?php echo e($payment->newpayment_id); ?>')"
                        class="text-white">&times;</button>
                </div>
                <form method="POST" action="<?php echo e(route('payment.update', ['id' => $payment->newpayment_id])); ?>">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>

                    <div class="grid grid-cols-1 gap-4 p-4 md:grid-cols-2">
                        <div>
                            <label for="rental_amount" class="form-label">Rental Amount</label>
                            <input type="number" id="rental_amount" name="rental_amount"
                                class="border-2 form-control <?php $__errorArgs = ['rental_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required
                                value="<?php echo e(old('rental_amount', $payment->rental_amount)); ?>">
                            <?php $__errorArgs = ['rental_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <label for="waterbill_amount" class="form-label">Water Bill Amount</label>
                            <input type="number" id="waterbill_amount" name="waterbill_amount"
                                class="border-2 form-control <?php $__errorArgs = ['waterbill_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                value="<?php echo e(old('waterbill_amount', $payment->waterbill_amount)); ?>">
                            <?php $__errorArgs = ['waterbill_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <label for="electricbill_amount" class="form-label">Electric Bill Amount</label>
                            <input type="number" id="electricbill_amount" name="electricbill_amount"
                                class="border-2 form-control <?php $__errorArgs = ['electricbill_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                value="<?php echo e(old('electricbill_amount', $payment->electricbill_amount)); ?>">
                            <?php $__errorArgs = ['electricbill_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <label for="advance_payment_amount" class="form-label">Advance Payment</label>
                            <input type="number" id="advance_payment_amount" name="advance_payment_amount"
                                class="border-2 form-control <?php $__errorArgs = ['advance_payment_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                value="<?php echo e(old('advance_payment_amount', $payment->advance_payment)); ?>">
                            <?php $__errorArgs = ['advance_payment_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <label for="payment_method" class="form-label">Payment Method</label>
                            <select name="payment_method"
                                class="border-2 form-control <?php $__errorArgs = ['payment_method'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required>
                                <option value="" disabled>Select a payment method</option>
                                <option value="Cash"
                                    <?php echo e(old('payment_method', $payment->payment_method) == 'Cash' ? 'selected' : ''); ?>>Cash
                                </option>
                                <option value="Check"
                                    <?php echo e(old('payment_method', $payment->payment_method) == 'Check' ? 'selected' : ''); ?>>
                                    Check</option>
                                <option value="PDC"
                                    <?php echo e(old('payment_method', $payment->payment_method) == 'PDC' ? 'selected' : ''); ?>>PDC
                                </option>
                                <option value="E-Wallet"
                                    <?php echo e(old('payment_method', $payment->payment_method) == 'E-Wallet' ? 'selected' : ''); ?>>
                                    E-Wallet</option>
                                <option value="Online Transfer"
                                    <?php echo e(old('payment_method', $payment->payment_method) == 'Online Transfer' ? 'selected' : ''); ?>>
                                    Online Transfer</option>
                            </select>
                            <?php $__errorArgs = ['payment_method'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div
                            <?php echo e(old('payment_method', $payment->payment_method) == 'Check' || old('payment_method', $payment->payment_method) == 'PDC' ? 'block' : 'none'); ?>;">
                            <label for="bank" class="form-label">Bank</label>
                            <input type="text" name="bank"
                                class="border-2 form-control <?php $__errorArgs = ['bank'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                value="<?php echo e(old('bank', $payment->bank)); ?>">
                            <?php $__errorArgs = ['bank'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div
                            <?php echo e(old('payment_method', $payment->payment_method) == 'Check' || old('payment_method', $payment->payment_method) == 'PDC' ? 'block' : 'none'); ?>;">
                            <label for="check_no" class="form-label">Check No.</label>
                            <input type="text" name="check_no"
                                class="border-2 form-control <?php $__errorArgs = ['check_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                value="<?php echo e(old('check_no', $payment->check_no)); ?>">
                            <?php $__errorArgs = ['check_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <label for="status" class="form-label">Status</label>
                            <select id="status" name="status"
                                class="border-2 form-control <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required>
                                <option value="Unpaid"
                                    <?php echo e(old('status', $payment->status) == 'Unpaid' ? 'selected' : ''); ?>>Unpaid</option>
                                <option value="Paid" <?php echo e(old('status', $payment->status) == 'Paid' ? 'selected' : ''); ?>>
                                    Paid</option>
                            </select>
                            <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="col-span-2">
                            <label for="remarks" class="form-label">Remarks</label>
                            <textarea id="remarks" name="remarks" class="border-2 form-control <?php $__errorArgs = ['remarks'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-red-500 <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"><?php echo e(old('remarks', $payment->remarks)); ?></textarea>
                            <?php $__errorArgs = ['remarks'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-sm text-red-500"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="flex justify-center gap-3 my-3">
                        <button type="button" class="px-10 py-2 text-white bg-red-600 border-2"
                            onclick="closeModaldelete('EditModal<?php echo e($payment->newpayment_id); ?>')">Close</button>
                        <button type="submit" class="px-10 py-2 text-white bg-blue-600 border-2">Save changes</button>
                    </div>
                </form>




            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



    <script>
        $(document).ready(function() {
            $('#newPaymentsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "<?php echo e(route('manage.payments', ['table' => 'newPayments'])); ?>", // Adjust the route name and parameters
                },
                columns: [{
                        data: 'payment_id',
                        name: 'payment_id' // Corrected the column name
                    },
                    {
                        data: 'newpayment_id',
                        name: 'newpayment_id'
                    }, {
                        data: 'renter',
                        name: 'renter'
                    },
                    {
                        data: 'property',
                        name: 'property'
                    },
                    {
                        data: 'payment_method',
                        name: 'payment_method'
                    },
                    {
                        data: 'bank',
                        name: 'bank'
                    },
                    {
                        data: 'rental_amount', // Changed to the correct field
                        name: 'rental_amount'
                    },
                    {
                        data: 'waterbill_amount', // Added water bill amount
                        name: 'waterbill_amount'
                    },
                    {
                        data: 'electricbill_amount', // Added electric bill amount
                        name: 'electricbill_amount'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },
                    {
                        data: 'actions',
                        name: 'actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
        });
    </script>




    <div id="addItemModal"
        class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
        <div class="w-full h-auto max-h-screen bg-white rounded-lg shadow-lg md:w-1/2">

            <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                <h5 class="font-bold text-white">Add Payment</h5>
                <button onclick="closeModal('addItemModal')" class="text-white">&times;</button>
            </div>
            <form method="POST" action="<?php echo e(url('/newpayments')); ?>" class="">
                <?php echo csrf_field(); ?>

                <div class="col-span-1 p-3">
                    <label for="search_payment" class="block mb-2 text-sm font-bold text-gray-700">Soa No:</label>
                    <input type="text" id="search_payment"
                        class="w-full py-1 mb-2 border-2 border-gray-300 rounded-md shadow-sm" placeholder="Search...">
                    <div class="relative">
                        <select id="payment_id" name="payment_id"
                            class="absolute z-10 hidden w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                            size="5" required>
                            <option value="">Select Client</option>
                            <?php $__currentLoopData = $payment1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($payment->payment_id); ?>">Billing No.<?php echo e($payment->payment_id); ?>,
                                    Renter: <?php echo e($payment->lease->client->owners_name); ?>, Billing Date:
                                    <?php echo e(date('F j, Y', strtotime($payment->payment_date))); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <script>
                    document.getElementById('search_payment').addEventListener('focus', function() {
                        document.getElementById('payment_id').classList.remove('hidden');
                    });

                    document.getElementById('search_payment').addEventListener('blur', function() {
                        setTimeout(function() {
                            document.getElementById('payment_id').classList.add('hidden');
                        }, 200);
                    });

                    document.getElementById('search_payment').addEventListener('input', function() {
                        var searchValue = this.value.toLowerCase();
                        var select = document.getElementById('payment_id');
                        var options = select.options;
                        var found = false;

                        for (var i = 0; i < options.length; i++) {
                            var optionText = options[i].text.toLowerCase();
                            if (optionText.includes(searchValue)) {
                                options[i].style.display = '';
                                found = true;
                            } else {
                                options[i].style.display = 'none';
                            }
                        }

                        select.size = found ? options.length : 1;
                    });

                    document.getElementById('payment_id').addEventListener('change', function() {
                        var selectedOption = this.options[this.selectedIndex];
                        document.getElementById('search_payment').value = selectedOption.text;
                        this.classList.add('hidden');
                    });
                </script>




                <div class="p-4 overflow-x-auto bg-white border border-gray-300 rounded shadow-md">
                    <div class="grid grid-cols-2 ">
                        <table class="min-w-full text-sm divide-y divide-gray-200">
                            <thead class="bg-gray-50">
                                <tr>
                                    <th
                                        class="px-3 py-2 text-xs font-medium tracking-wider text-left text-gray-500 uppercase">
                                        Outstanding Balance</th>
                                    <th
                                        class="px-3 py-2 text-xs font-medium tracking-wider text-left text-gray-500 uppercase">
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="bg-white divide-y divide-gray-200 ">
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Tenant Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="ownersName" name="ownersName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Property Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="propertyName" name="propertyName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Unit Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="unitName" name="unitName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Advance Payment</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="advancepayment" name="advance_payment"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Rent Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="rentalAmount" name="rentalAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Rental Penalty</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="penaltyAmount" name="penaltyAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Vat Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="vatAmount" name="vatAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">With Holding Tax</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="withholdingTaxAmount" name="withholdingTaxAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Total Rental Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="rentaltotalAmount" name="rentalAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Water Bill Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="waterAmount" name="waterAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Electric Bill Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="electricAmount" name="electricAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Billing Date</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="billing_date" name="billing_date"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Due Date</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="due_date" name="due_date"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Additional Fees</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="additionalfees" name="additionalfees"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 text-xl font-bold text-gray-900">Total</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="grandtotal" name="grandtotal"
                                            class="w-full px-2 py-1 font-bold border border-gray-300 rounded-md shadow-sm"
                                            readonly>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="overflow-x-auto bg-white rounded-lg shadow-lg">
                            <table class="min-w-full divide-y divide-gray-300">
                                <thead class="bg-gray-100">
                                    <tr>
                                        <th class="px-4 py-2 text-sm font-medium text-left text-gray-700">Payment</th>
                                        <th class="px-4 py-2 text-sm font-medium text-left text-gray-700"></th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Rental Amount</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="rental_amount" name="rental_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'rentaltotalAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Water Bill Amount</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="waterbill_amount" name="waterbill_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'waterAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Electric Bill Amount
                                        </td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="electricbill_amount" name="electricbill_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'electricAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Additional Fees</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="additionalfees_amount" name="additionalfees_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'additionalfees')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Advance Payment</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="advance_payment_amount"
                                                name="advance_payment_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Payment Method</td>
                                        <td class="px-4 py-2">
                                            <select id="payment_method" name="payment_method"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm" required
                                                onchange="togglePaymentFields()">
                                                <option value="" disabled selected>Select a payment method
                                                </option>
                                                <option value="Cash">Cash</option>
                                                <option value="Check">Check</option>
                                                <option value="PDC">PDC</option>
                                                <option value="E-Wallet">E-Wallet</option>
                                                <option value="Online Transfer">Online Transfer</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr id="bankInput" class="hidden transition-all duration-300 ease-in-out">
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Bank</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="bank" name="bank"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                    <tr id="checkNoInput" class="hidden transition-all duration-300 ease-in-out">
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Check No.</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="check_no" name="check_no"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>

                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Remarks</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="remarks" name="remarks"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="col-span-2 p-10 text-center">
                        <button type="submit"
                            class="px-4 py-2 mt-4 text-white bg-blue-500 rounded w-72 hover:bg-blue-700">Save</button>
                    </div>
            </form>

        </div>
    </div>

    <script>
        function togglePaymentFields() {
            const paymentMethod = document.getElementById('payment_method').value;
            const bankInput = document.getElementById('bankInput');
            const checkNoInput = document.getElementById('checkNoInput');

            if (paymentMethod === 'Check' || paymentMethod === 'PDC') {
                bankInput.classList.remove('hidden'); // Show bank input
                checkNoInput.classList.remove('hidden'); // Show check number input
            } else {
                bankInput.classList.add('hidden'); // Hide bank input
                checkNoInput.classList.add('hidden'); // Hide check number input
            }
        }

        function limitInput(input, limitId) {
            const limitValue = parseFloat(document.getElementById(limitId).value) || 0;

            if (parseFloat(input.value) > limitValue) {
                input.value = limitValue; // Reset to the limit
            }
        }
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Get the base URL from the meta tag or default to localhost
            const baseUrl = document.querySelector('meta[name="base-url"]') ?
                document.querySelector('meta[name="base-url"]').getAttribute('content') :
                'http://127.0.0.1:8000';

            // Event listener for payment_id change
            document.getElementById('payment_id').addEventListener('change', function() {
                var paymentId = this.value;
                const url = `${baseUrl}/get-payment-amount/${paymentId}`;

                if (paymentId) {
                    fetch(url)
                        .then(response => response.json())
                        .then(data => {
                            // Update fields with data from the server
                            document.getElementById('grandtotal').value = data.grandtotal;
                            document.getElementById('vatAmount').value = data.vatAmount;
                            document.getElementById('withholdingTaxAmount').value = data
                                .withholdingTaxAmount;
                            document.getElementById('billing_date').value = formatDate(data
                                .billingdate);
                            document.getElementById('due_date').value = formatDate(data.dueDate);
                            document.getElementById('rentaltotalAmount').value = data
                                .adjustedPaymentAmount;
                            document.getElementById('rentalAmount').value = data.paymentAmount;
                            document.getElementById('penaltyAmount').value = data.penaltyAmount;
                            document.getElementById('waterAmount').value = data.waterAmount;
                            document.getElementById('electricAmount').value = data.electricAmount;
                            document.getElementById('additionalfees').value = data.additionalFeesAmount;
                            document.getElementById('ownersName').value = data.client;
                            document.getElementById('propertyName').value = data.property;
                            document.getElementById('unitName').value = data.unit;
                            document.getElementById('advancepayment').value = data.advancePayment;
                        })
                        .catch(error => console.error('Error:', error));
                } else {
                    // Clear all fields if no paymentId
                    document.getElementById('grandtotal').value = '';
                    document.getElementById('vatAmount').value = '';
                    document.getElementById('withholdingTaxAmount').value = '';
                    document.getElementById('rentaltotalAmount').value = '';
                    document.getElementById('penaltyAmount').value = '';
                    document.getElementById('rentalAmount').value = '';
                    document.getElementById('waterAmount').value = '';
                    document.getElementById('electricAmount').value = '';
                    document.getElementById('additionalfees').value = '';
                    document.getElementById('billing_date').value = '';
                    document.getElementById('due_date').value = '';
                    document.getElementById('ownersName').value = '';
                    document.getElementById('propertyName').value = '';
                    document.getElementById('unitName').value = '';
                    document.getElementById('advancepayment').value = '';
                }
            });

            function formatDate(dateString) {
                if (!dateString) return '';
                const options = {
                    year: 'numeric',
                    month: 'long',
                    day: 'numeric'
                };
                const date = new Date(dateString);
                return date.toLocaleDateString(undefined, options);
            }


        });
    </script>


    <script>
        // Function to handle add item form submission
        function submitAddItemForm(event) {
            event.preventDefault();
            var itemName = document.getElementById('item-name').value;
            console.log('Adding item:', itemName);
            document.getElementById('addItemForm').reset(); // Reset form
            closeModal('addItemModal'); // Close modal
        }

        function openModaldelete(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
            modal.classList.add('flex');
        }

        // Function to close a modal
        function closeModaldelete(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
            modal.classList.remove('flex');
        }

        function openModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
            modal.classList.add('flex');
        }

        function closeModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
            modal.classList.remove('flex');
        }
        // Function to handle edit item form submission
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Payment/managepayment.blade.php ENDPATH**/ ?>