

<?php $__env->startSection('content'); ?>
    <style>
        @media print {
            body * {
                visibility: hidden;
            }

            .print-content,
            .print-content * {
                visibility: visible;
                font-size: 10px;
                /* Adjust the font size as needed */
            }

            .print-content {
                position: absolute;
                left: 0;
                top: 0;
                width: 210mm;
                /* A4 width */
                height: 297mm;
                /* A4 height */
                padding: 10mm;
                /* Add padding to simulate margin */
                box-sizing: border-box;
            }

            .print-content table td,
            .print-content table th {
                padding: 2px;
                /* Adjust the padding as needed */
            }
        }
    </style>

    <div class="container p-6 mx-auto print-content">
        <h1 class="mb-4 text-2xl font-bold">VAT Report for <?php echo e($year); ?></h1>

        <div class="space-y-4">

            <a href="<?php echo e(route('withholding.tax.report')); ?>" class="text-blue-500 underline">Withholding Tax Report</a>

            <form method="GET" action="<?php echo e(route('combined.report')); ?>">
                <?php echo csrf_field(); ?>
                <div class="grid grid-cols-1 gap-4 md:grid-cols-3">
                    <div class="mb-4">
                        <label for="year" class="block text-gray-700">Year</label>
                        <input type="number" name="year" id="year" value="<?php echo e(old('year', date('Y'))); ?>"
                            class="w-full p-2 border rounded">
                    </div>

                    <div class="mb-4">
                        <label for="property_id" class="block text-gray-700">Property</label>
                        <select name="property_id" id="property_id" class="w-full p-2 border rounded">
                            <option value="">All Properties</option>
                            <?php $__currentLoopData = $properties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $property): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($property->id); ?>"
                                    <?php echo e(old('property_id') == $property->id ? 'selected' : ''); ?>>
                                    <?php echo e($property->property_name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>


                </div>

                <button type="submit" class="px-4 py-2 text-white bg-blue-500 rounded">Generate Report</button>
            </form>

            <table class="min-w-full text-sm bg-white border border-gray-300 rounded-lg shadow-md">
                <thead>
                    <tr class="text-left text-gray-600 bg-gray-200">
                        <th class="px-4 py-2">Unit Name</th>
                        <th class="px-4 py-2">Property Name</th>

                        <?php $__currentLoopData = ['Q1', 'Q2', 'Q3', 'Q4']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quarter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <th class="px-4 py-2"><?php echo e($quarter); ?></th>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="px-4 py-2 border"><?php echo e($unit->unit_name); ?></td>
                            <td class="px-4 py-2 border"><?php echo e($unit->property->property_name); ?></td>


                            <?php $__currentLoopData = ['Q1' => [1, 2, 3], 'Q2' => [4, 5, 6], 'Q3' => [7, 8, 9], 'Q4' => [10, 11, 12]]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quarter => $months): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $totalAmount = 0;

                                    foreach ($unit->leases as $lease) {
                                        foreach ($lease->payments as $payment) {
                                            // Check if the payment date falls within the current quarter
                                            $paymentMonth = $payment->payment_date->format('n');
                                            $paymentYear = $payment->payment_date->format('Y');

                                            if ($paymentYear == $year && in_array($paymentMonth, $months)) {
                                                $totalAmount += is_numeric($payment->Amount) ? $payment->Amount : 0;
                                                $totalAmount += $payment->waterPayments->sum('amount') ?? 0;
                                                $totalAmount += $payment->electricPayments->sum('amount') ?? 0;
                                                $totalAmount += $payment->additionalFees->sum('amount') ?? 0;
                                            }
                                        }
                                    }

                                    $client = $unit->leases->first()->client ?? null;
                                    $vatApplicable = $client ? $client->vat === 'vat' : false;
                                    $vatAmount = 0;

                                    if ($vatApplicable) {
                                        $vatRate = 0.12; // 12% VAT
                                        $vatAmount = $totalAmount * $vatRate;
                                    }

                                    $vatAmount = is_numeric($vatAmount) ? $vatAmount : 0;
                                ?>
                                <td class="px-4 py-2 border"><?php echo e(number_format($vatAmount, 2)); ?></td>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>


        </div>

    </div>
    <div class="flex justify-center itemes-center"> <button onclick="window.print()"
            class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">
            Print
        </button></div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Report/vat.blade.php ENDPATH**/ ?>