

<?php $__env->startSection('content'); ?>
    <div class="max-w-3xl p-6 mx-auto bg-white border border-gray-300 rounded-lg shadow-lg">
        <div class="mb-6">
            <p class="text-lg font-semibold">San Roque Hermanas Inc.</p>
            <p class="mb-2">MGR BLDG. II, Matina Crossing, Davao City</p>
            <p>Tel: (082)299-4103</p>
            <p>Cell # 0910-651-1604</p>
        </div>

        <div class="mb-6">
            <p class="text-lg font-semibold">Foreclosure Notice</p>
        </div>

        <div class="mb-6">
            <p class="mb-2"><?php echo e(\Carbon\Carbon::now()->format('j F Y')); ?></p>
            <p><?php echo e($data->client->business_name); ?></p>
            <p><?php echo e($data->unit->unit_name); ?></p>
            <p><?php echo e($data->property->street_address); ?>,<?php echo e($data->property->city); ?> ,<?php echo e($data->property->zip); ?>

                ,<?php echo e($data->property->state); ?></p>
        </div>


        <div class="mb-6">
            <p>Sir / Madam:</p>
            <p class="mb-4">This is to inform you of your unpaid monthly rentals & light/water in the total amount as
                shown in the computation below:</p>

            <table class="min-w-full mb-4 border border-gray-300">
                <thead>
                    <tr class="bg-gray-200">
                        <th class="p-2 text-left">Description</th>
                        <th class="p-2 text-right">Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $data->newpayments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="p-2">Rent due for
                                <?php echo e($payment->start_date ? \Carbon\Carbon::parse($payment->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($payment->end_date ? \Carbon\Carbon::parse($payment->end_date)->format('j F Y') : 'N/A'); ?>

                            </td>
                            <td class="p-2 text-right">P </td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue rent for
                                <?php echo e($payment->start_date ? \Carbon\Carbon::parse($payment->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($payment->end_date ? \Carbon\Carbon::parse($payment->end_date)->format('j F Y') : 'N/A'); ?>

                            </td>
                            <td class="p-2 text-right">P <?php echo e(number_format($payment->penalty, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php $__currentLoopData = $data->client->waterbills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $waterbill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="p-2">Water bill
                                <?php echo e($waterbill->start_date ? \Carbon\Carbon::parse($waterbill->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($waterbill->end_date ? \Carbon\Carbon::parse($waterbill->end_date)->format('j F Y') : 'N/A'); ?>

                            <td class="p-2 text-right">P <?php echo e(number_format($waterbill->amount, 2)); ?></td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue water
                                <?php echo e($waterbill->start_date ? \Carbon\Carbon::parse($waterbill->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($waterbill->end_date ? \Carbon\Carbon::parse($waterbill->end_date)->format('j F Y') : 'N/A'); ?>

                            </td>
                            <td class="p-2 text-right">P <?php echo e(number_format($waterbill->penalty, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php $__currentLoopData = $data->client->electricbills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $electricbill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="p-2">Electric bill
                                <?php echo e($electricbill->start_date ? \Carbon\Carbon::parse($electricbill->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($electricbill->end_date ? \Carbon\Carbon::parse($electricbill->end_date)->format('j F Y') : 'N/A'); ?>

                            </td>
                            <td class="p-2 text-right">P <?php echo e(number_format($electricbill->amount, 2)); ?></td>
                        </tr>
                        <tr>
                            <td class="p-2">Penalty overdue Electric
                                <?php echo e($electricbill->start_date ? \Carbon\Carbon::parse($electricbill->start_date)->format('j F Y') : 'N/A'); ?>-
                                <?php echo e($electricbill->end_date ? \Carbon\Carbon::parse($electricbill->end_date)->format('j F Y') : 'N/A'); ?>


                            </td>
                            <td class="p-2 text-right">P <?php echo e(number_format($electricbill->penalty, 2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td class="p-2 font-semibold text-right">Total Payables</td>
                        <td class="p-2 font-semibold text-right">
                            P
                            <?php echo e(number_format($data->payments->sum('Amount') + $data->client->waterbills->sum('amount') + $data->client->electricbills->sum('amount'), 2)); ?>

                        </td>
                    </tr>
                </tfoot>
            </table>

            <p class="mb-4">Note: Bounced Check # UB 3470782 26Apr24 P24,827.00<br> UB 3470783 3May24 33,936.00</p>

            <p class="mb-4">It is stipulated in the Contract of Lease that in the event the LESSEE fails to pay two (2)
                monthly rental payments, the LESSOR is hereby authorized, and the LESSEE agrees, to padlock the leased
                premises without incurring any liability, civil or criminal. It must also be stated here that your security
                deposit with Us cannot be applied to or answer for any unpaid monthly rentals, electricity or water bills at
                this time.</p>

            <p class="mb-4">Accordingly, We demand that you to pay in cash or issue checks in the total amount as shown
                above on or before ___________________ from receipt of this notice. Otherwise, much to our regret, We will
                be constrained to take appropriate action against you which includes the possible padlocking of your
                premises and/or cutting off your water or electricity connection with Us, without prejudice to other further
                actions as may be allowed by law.</p>
        </div>

        <div class="flex justify-between mb-6">
            <div>
                <p>Prepared by:</p>
                <p class="font-semibold">Theresa G. Sabate</p>
                <p>Admin Staff</p>
            </div>
            <div>
                <p>Noted by:</p>
                <p class="font-semibold">Heracleo S. Roque</p>
                <p>Lessor</p>
            </div>
        </div>

        <div class="mb-6">
            <p>Received By: ________________________</p>
            <p>Signature over Printed Name</p>
        </div>
    </div>





















    



    

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Payment/statementform.blade.php ENDPATH**/ ?>