

<?php $__env->startSection('content'); ?>
    <div class="flex flex-wrap justify-center">

        <div class="w-full px-4 lg:w-1/3">
            <div class="overflow-hidden bg-white rounded-lg shadow-md">
                <div class="px-4 py-2 bg-gray-200 border-b">
                    <h3 class="text-lg font-semibold text-gray-800">Client Information</h3>
                </div>
                <div class="p-4">
                    <div class="mb-4">
                        <p class="text-sm font-semibold">Business Name</p>
                        <p class="text-sm"><?php echo e($clientmain->business_name); ?></p>
                    </div>
                    <div class="mb-4">
                        <p class="text-sm font-semibold">Owners Name</p>
                        <p class="text-sm"><?php echo e($clientmain->owners_name); ?></p>
                    </div>
                    <div class="mb-4">
                        <p class= "text-sm font-semibold">Home Address</p>
                        <p class="text-sm"><?php echo e($clientmain->home_address); ?></p>
                    </div>
                    <div class="mb-4">
                        <p class="text-sm font-semibold">Mobile No.</p>
                        <p class="text-sm"><?php echo e($clientmain->contact_no); ?></p>
                    </div>
                    <div class="mb-4">
                        <p class="text-sm font-semibold">Phone No.</p>
                        <p class="text-sm"><?php echo e($clientmain->phone_no); ?></p>
                    </div>

                    <div class="mb-4">
                        <p class="text-sm font-semibold">ID</p>
                        <p class="text-sm"><?php echo e($clientmain->id_type); ?>: <?php echo e($clientmain->id_no); ?></p>
                    </div>
                    <div class=""mb-4>
                        <p class= "text-sm font-semibold">With Holding Tax</p>
                        <p class="text-sm"><?php echo e($clientmain->w_holding_tax); ?></p>
                    </div>

                </div>
            </div>
        </div>
        <div class="w-full px-4 mb-4 lg:w-2/3 lg:mb-0">
            <div>
                <button id="showLeaseButton1" class="w-full px-4 py-2 m-3 mt-4 mr-2 text-white bg-blue-600 rounded lg:w-52">
                    Contracts
                </button>
                <button id="showPaymentsButton"
                    class="w-full px-4 py-2 m-3 mt-4 mr-2 text-white bg-blue-600 rounded lg:w-52">
                    Payments
                </button>
                <button id="showLeaseButton" class="w-full px-4 py-2 m-3 mt-4 mr-2 text-white bg-blue-600 rounded lg:w-52">
                    Billings
                </button>
            </div>



            <div class="overflow-hidden bg-white rounded-lg shadow-md">
                <!-- Contracts Section -->
                <div id="contracts" class="">
                    <div class="px-4 py-2 bg-gray-200 border-b">
                        <h3 class="text-lg font-semibold text-gray-800">MANAGE CONTRACTS</h3>
                    </div>
                    <table id="contractsTable"
                        class="min-w-full overflow-auto text-center bg-white border-collapse rounded shadow-md">
                        <thead class="bg-gray-200">
                            <tr>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Property
                                    Name
                                </th>

                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Unit
                                    Name
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Start Date
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">End Date
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Status</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Actions
                                </th>
                            </tr>
                        </thead>
                        <tbody class="text-sm text-gray-600 ">
                            <!-- Contract rows will be populated dynamically -->
                        </tbody>
                    </table>
                </div>

                <!-- Payments Section (Initially Hidden) -->
                <div id="payments" class="hidden">
                    <div class="px-4 py-2 bg-gray-200 border-b">
                        <h3 class="text-lg font-semibold text-gray-800">MANAGE PAYMENTS</h3>
                    </div>
                    <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
                        onclick="openModal('addItemModal')">Add New Payment</button>
                    <table id="newPaymentsTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                        <thead class="bg-gray-200">
                            <tr>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">SOA No.
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Payment
                                    Ref.</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Payment
                                    Method</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Bank</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Rental
                                    Amount</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Water Bill
                                    Amount</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Electric
                                    Bill Amount</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Status</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Action</th>
                            </tr>
                        </thead>
                        <tbody class="z-50 text-sm text-gray-600">
                            <!-- Payment rows will be populated dynamically -->
                        </tbody>
                    </table>
                </div>

                <!-- Lease Contracts Section (Initially Hidden) -->
                <div id="rents" class="hidden">
                    <div class="px-4 py-2 bg-gray-200 border-b">
                        <h3 class="text-lg font-semibold text-gray-800">MANAGE Rents</h3>
                    </div>
                    <table id="paymentsTable" class="min-w-full text-center bg-white border-collapse rounded shadow-md">
                        <thead class="bg-gray-200">
                            <tr>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Soa No.
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Amount</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Billing
                                    Date</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Due Date
                                </th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Status</th>
                                <th class="px-6 py-3 text-xs font-medium tracking-wider text-gray-700 uppercase">Action</th>
                            </tr>
                        </thead>
                        <tbody class="text-sm text-gray-600">
                            <!-- Lease contracts rows will be populated dynamically -->
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        
        <script>
            document.addEventListener('DOMContentLoaded', function() {
                const showLeaseButton1 = document.getElementById('showLeaseButton1');
                const showLeaseButton = document.getElementById('showLeaseButton');
                const showPaymentsButton = document.getElementById('showPaymentsButton');
                const contracts = document.getElementById('contracts');
                const payments = document.getElementById('payments');
                const rents = document.getElementById('rents');

                if (showLeaseButton1 && showLeaseButton && showPaymentsButton && contracts && payments && rents) {
                    // Show Contracts Section button click
                    showLeaseButton1.addEventListener('click', function() {
                        contracts.classList.remove('hidden');
                        payments.classList.add('hidden');
                        rents.classList.add('hidden');
                    });

                    // Show Lease Contracts Section button click
                    showLeaseButton.addEventListener('click', function() {
                        contracts.classList.add('hidden');
                        payments.classList.add('hidden');
                        rents.classList.remove('hidden');
                    });

                    // Show Payments Section button click
                    showPaymentsButton.addEventListener('click', function() {
                        contracts.classList.add('hidden');
                        payments.classList.remove('hidden');
                        rents.classList.add('hidden');
                    });
                }
            });
        </script>

    </div>
    <div id="addItemModal"
        class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
        <div class="w-full h-auto max-h-screen bg-white rounded-lg shadow-lg md:w-1/2">

            <div class="flex items-center justify-between px-4 py-2 bg-blue-500">
                <h5 class="font-bold text-white">Add Payment</h5>
                <button onclick="closeModal('addItemModal')" class="text-white">&times;</button>
            </div>
            <form method="POST" action="<?php echo e(url('/newpayments')); ?>" class="">
                <?php echo csrf_field(); ?>

                <div class="col-span-1 p-3">
                    <label for="search_payment" class="block mb-2 text-sm font-bold text-gray-700">Soa No:</label>
                    <input type="text" id="search_payment"
                        class="w-full py-1 mb-2 border-2 border-gray-300 rounded-md shadow-sm" placeholder="Search...">
                    <div class="relative">
                        <select id="payment_id" name="payment_id"
                            class="absolute z-10 hidden w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                            size="5" required>
                            <option value="">Select Client</option>
                            <?php $__currentLoopData = $payment1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($payment->payment_id); ?>">Billing No.<?php echo e($payment->payment_id); ?>,
                                    Renter: <?php echo e($payment->lease->client->owners_name); ?>, Billing Date:
                                    <?php echo e(date('F j, Y', strtotime($payment->payment_date))); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <script>
                    document.getElementById('search_payment').addEventListener('focus', function() {
                        document.getElementById('payment_id').classList.remove('hidden');
                    });

                    document.getElementById('search_payment').addEventListener('blur', function() {
                        setTimeout(function() {
                            document.getElementById('payment_id').classList.add('hidden');
                        }, 200);
                    });

                    document.getElementById('search_payment').addEventListener('input', function() {
                        var searchValue = this.value.toLowerCase();
                        var select = document.getElementById('payment_id');
                        var options = select.options;
                        var found = false;

                        for (var i = 0; i < options.length; i++) {
                            var optionText = options[i].text.toLowerCase();
                            if (optionText.includes(searchValue)) {
                                options[i].style.display = '';
                                found = true;
                            } else {
                                options[i].style.display = 'none';
                            }
                        }

                        select.size = found ? options.length : 1;
                    });

                    document.getElementById('payment_id').addEventListener('change', function() {
                        var selectedOption = this.options[this.selectedIndex];
                        document.getElementById('search_payment').value = selectedOption.text;
                        this.classList.add('hidden');
                    });
                </script>




                <div class="p-4 overflow-x-auto bg-white border border-gray-300 rounded shadow-md">
                    <div class="grid grid-cols-2 ">
                        <table class="min-w-full text-sm divide-y divide-gray-200">
                            <thead class="bg-gray-50">
                                <tr>
                                    <th
                                        class="px-3 py-2 text-xs font-medium tracking-wider text-left text-gray-500 uppercase">
                                        Outstanding Balance</th>
                                    <th
                                        class="px-3 py-2 text-xs font-medium tracking-wider text-left text-gray-500 uppercase">
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="bg-white divide-y divide-gray-200 ">
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Tenant Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="ownersName" name="ownersName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Property Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="propertyName" name="propertyName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Unit Name</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="unitName" name="unitName"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Advance Payment</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="advancepayment" name="advance_payment"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Rent Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="rentalAmount" name="rentalAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Rental Penalty</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="penaltyAmount" name="penaltyAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Vat Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="vatAmount" name="vatAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">With Holding Tax</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="withholdingTaxAmount" name="withholdingTaxAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Total Rental Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="rentaltotalAmount" name="rentalAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" required
                                            readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Water Bill Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="waterAmount" name="waterAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Electric Bill Amount</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="electricAmount" name="electricAmount"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Billing Date</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="billing_date" name="billing_date"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Due Date</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="due_date" name="due_date"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 font-medium text-gray-900">Additional Fees</td>
                                    <td class="px-3 py-2">
                                        <input type="number" id="additionalfees" name="additionalfees"
                                            class="w-full px-2 py-1 border-gray-300 rounded-md shadow-sm" readonly>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="px-3 py-2 text-xl font-bold text-gray-900">Total</td>
                                    <td class="px-3 py-2">
                                        <input type="text" id="grandtotal" name="grandtotal"
                                            class="w-full px-2 py-1 font-bold border border-gray-300 rounded-md shadow-sm"
                                            readonly>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="overflow-x-auto bg-white rounded-lg shadow-lg">
                            <table class="min-w-full divide-y divide-gray-300">
                                <thead class="bg-gray-100">
                                    <tr>
                                        <th class="px-4 py-2 text-sm font-medium text-left text-gray-700">Payment</th>
                                        <th class="px-4 py-2 text-sm font-medium text-left text-gray-700"></th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y divide-gray-200">
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Rental Amount</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="rental_amount" name="rental_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'rentaltotalAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Water Bill Amount</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="waterbill_amount" name="waterbill_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'waterAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Electric Bill Amount
                                        </td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="electricbill_amount" name="electricbill_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'electricAmount')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Additional Fees</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="additionalfees_amount" name="additionalfees_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm"
                                                oninput="limitInput(this, 'additionalfees')">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Advance Payment</td>
                                        <td class="px-4 py-2">
                                            <input type="number" id="advance_payment_amount"
                                                name="advance_payment_amount"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Payment Method</td>
                                        <td class="px-4 py-2">
                                            <select id="payment_method" name="payment_method"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm" required
                                                onchange="togglePaymentFields()">
                                                <option value="" disabled selected>Select a payment method
                                                </option>
                                                <option value="Cash">Cash</option>
                                                <option value="Check">Check</option>
                                                <option value="PDC">PDC</option>
                                                <option value="E-Wallet">E-Wallet</option>
                                                <option value="Online Transfer">Online Transfer</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr id="bankInput" class="hidden transition-all duration-300 ease-in-out">
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Bank</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="bank" name="bank"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                    <tr id="checkNoInput" class="hidden transition-all duration-300 ease-in-out">
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Check No.</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="check_no" name="check_no"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>

                                    <tr>
                                        <td class="px-4 py-2 text-sm font-medium text-gray-700">Remarks</td>
                                        <td class="px-4 py-2">
                                            <input type="text" id="remarks" name="remarks"
                                                class="w-full py-1 border-2 border-gray-300 rounded-md shadow-sm">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="col-span-2 p-10 text-center">
                        <button type="submit"
                            class="px-4 py-2 mt-4 text-white bg-blue-500 rounded w-72 hover:bg-blue-700">Save</button>
                    </div>
            </form>

        </div>
    </div>

    <script>
        function togglePaymentFields() {
            const paymentMethod = document.getElementById('payment_method').value;
            const bankInput = document.getElementById('bankInput');
            const checkNoInput = document.getElementById('checkNoInput');

            if (paymentMethod === 'Check' || paymentMethod === 'PDC') {
                bankInput.classList.remove('hidden'); // Show bank input
                checkNoInput.classList.remove('hidden'); // Show check number input
            } else {
                bankInput.classList.add('hidden'); // Hide bank input
                checkNoInput.classList.add('hidden'); // Hide check number input
            }
        }

        function limitInput(input, limitId) {
            const limitValue = parseFloat(document.getElementById(limitId).value) || 0;

            if (parseFloat(input.value) > limitValue) {
                input.value = limitValue; // Reset to the limit
            }
        }
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Get the base URL from the meta tag or default to localhost
            const baseUrl = document.querySelector('meta[name="base-url"]') ?
                document.querySelector('meta[name="base-url"]').getAttribute('content') :
                'http://127.0.0.1:8000';

            // Event listener for payment_id change
            document.getElementById('payment_id').addEventListener('change', function() {
                var paymentId = this.value;
                const url = `${baseUrl}/get-payment-amount/${paymentId}`;

                if (paymentId) {
                    fetch(url)
                        .then(response => response.json())
                        .then(data => {
                            // Update fields with data from the server
                            document.getElementById('grandtotal').value = data.grandtotal;
                            document.getElementById('vatAmount').value = data.vatAmount;
                            document.getElementById('withholdingTaxAmount').value = data
                                .withholdingTaxAmount;
                            document.getElementById('billing_date').value = formatDate(data
                                .billingdate);
                            document.getElementById('due_date').value = formatDate(data.dueDate);
                            document.getElementById('rentaltotalAmount').value = data
                                .adjustedPaymentAmount;
                            document.getElementById('rentalAmount').value = data.paymentAmount;
                            document.getElementById('penaltyAmount').value = data.penaltyAmount;
                            document.getElementById('waterAmount').value = data.waterAmount;
                            document.getElementById('electricAmount').value = data.electricAmount;
                            document.getElementById('additionalfees').value = data.additionalFeesAmount;
                            document.getElementById('ownersName').value = data.client;
                            document.getElementById('propertyName').value = data.property;
                            document.getElementById('unitName').value = data.unit;
                            document.getElementById('advancepayment').value = data.advancePayment;
                        })
                        .catch(error => console.error('Error:', error));
                } else {
                    // Clear all fields if no paymentId
                    document.getElementById('grandtotal').value = '';
                    document.getElementById('vatAmount').value = '';
                    document.getElementById('withholdingTaxAmount').value = '';
                    document.getElementById('rentaltotalAmount').value = '';
                    document.getElementById('penaltyAmount').value = '';
                    document.getElementById('rentalAmount').value = '';
                    document.getElementById('waterAmount').value = '';
                    document.getElementById('electricAmount').value = '';
                    document.getElementById('additionalfees').value = '';
                    document.getElementById('billing_date').value = '';
                    document.getElementById('due_date').value = '';
                    document.getElementById('ownersName').value = '';
                    document.getElementById('propertyName').value = '';
                    document.getElementById('unitName').value = '';
                    document.getElementById('advancepayment').value = '';
                }
            });

            function formatDate(dateString) {
                if (!dateString) return '';
                const options = {
                    year: 'numeric',
                    month: 'long',
                    day: 'numeric'
                };
                const date = new Date(dateString);
                return date.toLocaleDateString(undefined, options);
            }


        });
    </script>
    <script>
        $(document).ready(function() {
            var client_id = '<?php echo e($clientmain->client_id); ?>'; // Use client_id to fetch the relevant data
            $('#newPaymentsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "<?php echo e(route('clients.clientsoa', $clientmain->client_id)); ?>",
                    data: function(d) {
                        d.client_id = client_id;
                        d.table = 'newPayments';
                    }
                },
                columns: [{
                        data: 'payment_id',
                        name: 'payment_id' // Corrected the column name
                    },
                    {
                        data: 'newpayment_id',
                        name: 'newpayment_id'
                    },
                    {
                        data: 'payment_method',
                        name: 'payment_method'
                    },
                    {
                        data: 'bank',
                        name: 'bank'
                    },
                    {
                        data: 'rental_amount', // Changed to the correct field
                        name: 'rental_amount'
                    },
                    {
                        data: 'waterbill_amount', // Added water bill amount
                        name: 'waterbill_amount'
                    },
                    {
                        data: 'electricbill_amount', // Added electric bill amount
                        name: 'electricbill_amount'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },
                    {
                        data: 'actions',
                        name: 'actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
        });
    </script>


    <script>
        $(document).ready(function() {
            var client_id = '<?php echo e($clientmain->client_id); ?>'; // Use client_id to fetch the relevant data
            $('#contractsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "<?php echo e(route('clients.clientsoa', $clientmain->client_id)); ?>",
                    data: function(d) {
                        d.client_id = client_id;
                        d.table = 'contractsTable';
                    }
                },
                columns: [{
                        data: 'property_name',
                        name: 'property_name'
                    },

                    {
                        data: 'unit_name',
                        name: 'unit_name'
                    },
                    {
                        data: 'lease_start_date',
                        name: 'lease_start_date'
                    },
                    {
                        data: 'lease_end_date',
                        name: 'lease_end_date'
                    },
                    {
                        data: 'lease_status',
                        name: 'lease_status'
                    },
                    {
                        data: 'lease_actions',
                        name: 'lease_actions',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
        });
    </script>

    <script>
        $(document).ready(function() {
            var client_id = '<?php echo e($clientmain->client_id); ?>'; // Use client_id to fetch the relevant data
            $('#paymentsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "<?php echo e(route('clients.clientsoa', $clientmain->client_id)); ?>",
                    data: function(d) {
                        d.client_id = client_id;
                        d.table = 'payments';
                    }
                },
                columns: [{
                        data: 'payment_id',
                        name: 'payment_id'
                    },


                    {
                        data: 'amount',
                        name: 'amount'
                    },
                    {
                        data: 'payment_schedule',
                        name: 'payment_schedule'
                    },
                    {
                        data: 'due_date',
                        name: 'due_date'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },

                    {
                        data: 'Action',
                        name: 'Action',
                        orderable: false,
                        searchable: false
                    }
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('CMS.Client.modals', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Client/clientbillingsoa.blade.php ENDPATH**/ ?>