<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>

<body>
    
    <div class="mt-12 ml-80">
        <button class="px-4 py-2 mb-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700"
            onclick="openModal('addItemModal')">Add Lease</button>
        <?php if(session('success')): ?>
            <div class="text-center text-red-900 alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>
        <table class="w-full table-auto">
            <thead>
                <tr>
                    <th class="px-4 py-2">Name</th>
                    <th class="px-4 py-2">Address</th>
                    <th class="px-4 py-2">Units</th>
                    <th class="px-4 py-2">Actions</th>
                </tr>
            </thead>
            

            </tbody>
        </table>
    </div>

    <div id="addItemModal"
        class="fixed inset-0 flex items-center justify-center hidden overflow-auto bg-gray-500 bg-opacity-75">
        <div class="w-1/2 p-8 bg-white rounded">
            <span class="float-right text-2xl cursor-pointer close" onclick="closeModal('addItemModal')">&times;</span>
            <h2 class="mb-4 text-2xl font-bold">Add Property </h2>
            <!-- lease-form.blade.php -->
            <form method="POST" class="grid grid-cols-1 gap-6 p-6 bg-white rounded shadow-md md:grid-cols-2">
                <?php echo csrf_field(); ?>

                <!-- Property Information -->
                <div class="col-span-1">
                    <label for="property_address" class="block mb-2 text-sm font-bold text-gray-700">Property
                        Address:</label>
                    <input type="text" id="property_address" name="property_address"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Property Address" required>
                </div>

                <div class="col-span-1">
                    <label for="property_type" class="block mb-2 text-sm font-bold text-gray-700">Type of
                        Property:</label>
                    <select id="property_type" name="property_type"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        required>
                        <option value="">Select Property Type</option>
                        <option value="residential">Residential</option>
                        <option value="commercial">Commercial</option>
                        <option value="other">Other</option>
                    </select>
                </div>

                <!-- Landlord Information -->
                <div class="col-span-1">
                    <label for="landlord_name" class="block mb-2 text-sm font-bold text-gray-700">Landlord Name:</label>
                    <input type="text" id="landlord_name" name="landlord_name"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Landlord Name" required>
                </div>

                <div class="col-span-1">
                    <label for="landlord_contact" class="block mb-2 text-sm font-bold text-gray-700">Landlord
                        Contact:</label>
                    <input type="text" id="landlord_contact" name="landlord_contact"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Landlord Contact" required>
                </div>

                <!-- Tenant Information -->
                <div class="col-span-1">
                    <label for="tenant_name" class="block mb-2 text-sm font-bold text-gray-700">Tenant Name:</label>
                    <input type="text" id="tenant_name" name="tenant_name"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Tenant Name" required>
                </div>

                <div class="col-span-1">
                    <label for="tenant_contact" class="block mb-2 text-sm font-bold text-gray-700">Tenant
                        Contact:</label>
                    <input type="text" id="tenant_contact" name="tenant_contact"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Tenant Contact" required>
                </div>

                <!-- Lease Term -->
                <div class="col-span-1">
                    <label for="lease_start_date" class="block mb-2 text-sm font-bold text-gray-700">Lease Start
                        Date:</label>
                    <input type="date" id="lease_start_date" name="lease_start_date"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        required>
                </div>

                <div class="col-span-1">
                    <label for="lease_end_date" class="block mb-2 text-sm font-bold text-gray-700">Lease End
                        Date:</label>
                    <input type="date" id="lease_end_date" name="lease_end_date"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        required>
                </div>

                <!-- Rent Details -->
                <div class="col-span-1">
                    <label for="monthly_rent_amount" class="block mb-2 text-sm font-bold text-gray-700">Monthly Rent
                        Amount:</label>
                    <input type="text" id="monthly_rent_amount" name="monthly_rent_amount"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Monthly Rent Amount" required>
                </div>

                <div class="col-span-1">
                    <label for="rent_due_date" class="block mb-2 text-sm font-bold text-gray-700">Rent Payment Due
                        Date:</label>
                    <input type="number" id="rent_due_date" name="rent_due_date"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Rent Payment Due Date" required>
                </div>

                <div class="col-span-1">
                    <label for="security_deposit_amount" class="block mb-2 text-sm font-bold text-gray-700">Security
                        Deposit Amount:</label>
                    <input type="text" id="security_deposit_amount" name="security_deposit_amount"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Security Deposit Amount" required>
                </div>

                <!-- Terms and Conditions -->
                <div class="col-span-2">
                    <label for="use_of_property" class="block mb-2 text-sm font-bold text-gray-700">Use of
                        Property:</label>
                    <textarea id="use_of_property" name="use_of_property"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        rows="4" placeholder="Enter Terms and Conditions for Use of Property" required></textarea>
                </div>

                <!-- Legal Disclosures -->
                <div class="col-span-2">
                    <label for="lead_paint_disclosure" class="block mb-2 text-sm font-bold text-gray-700">Lead-Based
                        Paint Disclosure:</label>
                    <textarea id="lead_paint_disclosure" name="lead_paint_disclosure"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        rows="4" placeholder="Enter Lead-Based Paint Disclosure (if applicable)"></textarea>
                </div>

                <!-- Signatures -->
                <div class="col-span-1">
                    <label for="landlord_signature" class="block mb-2 text-sm font-bold text-gray-700">Landlord's
                        Signature:</label>
                    <input type="text" id="landlord_signature" name="landlord_signature"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Landlord's Signature" required>
                </div>

                <div class="col-span-1">
                    <label for="tenant_signature" class="block mb-2 text-sm font-bold text-gray-700">Tenant's
                        Signature:</label>
                    <input type="text" id="tenant_signature" name="tenant_signature"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline"
                        placeholder="Enter Tenant's Signature" required>
                </div>

                <!-- Submit Button -->
                <div class="col-span-2">
                    <button type="submit"
                        class="w-full px-4 py-2 mt-4 text-white bg-blue-500 rounded hover:bg-blue-700">Save Lease
                        Agreement
                    </button>
                </div>
            </form>


        </div>
    </div>







    <!-- Edit Item Modal -->
    <div id="editItemModal" class="fixed inset-0 flex items-center justify-center hidden bg-gray-500 bg-opacity-75">
        <div class="w-1/2 p-8 bg-white rounded">
            <span class="float-right text-2xl cursor-pointer close"
                onclick="closeModal('editItemModal')">&times;</span>
            <h2 class="mb-4 text-2xl font-bold">Edit Item</h2>
            <form id="editItemForm" onsubmit="submitEditItemForm(event)">
                <div class="mb-4">
                    <label for="edit-item-name" class="block mb-2 text-sm font-bold text-gray-700">Item Name:</label>
                    <input type="text" id="edit-item-name" name="name" value="Item 1"
                        class="w-full px-3 py-2 leading-tight text-gray-700 border rounded shadow appearance-none focus:outline-none focus:shadow-outline">
                </div>
                <button type="submit"
                    class="px-4 py-2 font-bold text-white bg-blue-500 rounded hover:bg-blue-700">Update</button>
            </form>
        </div>
    </div>

    <script>
        // Function to open a modal
        function openModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.remove('hidden');
            modal.classList.add('flex');
        }

        // Function to close a modal
        function closeModal(modalId) {
            var modal = document.getElementById(modalId);
            modal.classList.add('hidden');
            modal.classList.remove('flex');
        }

        // Function to handle add item form submission
        function submitAddItemForm(event) {
            event.preventDefault();
            var itemName = document.getElementById('item-name').value;
            console.log('Adding item:', itemName);
            document.getElementById('addItemForm').reset(); // Reset form
            closeModal('addItemModal'); // Close modal
        }

        // Function to handle edit item form submission
        function submitEditItemForm(event) {
            event.preventDefault();
            var editItemName = document.getElementById('edit-item-name').value;
            console.log('Updating item:', editItemName);
            closeModal('editItemModal'); // Close modal
        }
    </script>
    
</body>

</html>

<?php echo $__env->make('CMS.unitmodal.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/Least Management/least.blade.php ENDPATH**/ ?>